firefox (46.0+build5-0ubuntu0.14.04.2) trusty-security; urgency=medium

  * New upstream stable release (46.0)
    - see USN-2936-1

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Fix an issue where we weren't building release builds with
    --enable-official-branding
  * Update debian/build/create-tarball.py to create release tarballs correctly
    after changes to the upstream release automation
  * Refresh patches
    - update debian/patches/webapprt-support-for-langpacks.patch
  * Stop using system hyphenation patterns for now - we only did this
    previously to fit on a CD, and a review of the mappings is long overdue
    - remove debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/patches/series
    - update debian/firefox.links.in
    - update debian/vendor-gre.js
  * Drop libvpx-incomplete-array-paramters.patch - this bug was fixed in gcc
  * Add patch to revert an upstream search engine change that landed between
    the final beta and release

  [ Rico Tzschichholz ]
  * Build depend on libgtk-3-dev
    - update debian/control
  * Install the gtk2 directory
    - update debian/firefox.install.in

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 22 Apr 2016 19:42:13 +0100

firefox (45.0.2+build1-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_45_0_2_BUILD1)
    - see USN-2917-3

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 13 Apr 2016 22:42:10 +0100

firefox (45.0.1+build1-0ubuntu0.14.04.2) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_45_0_1_BUILD1)
    - see USN-2917-2

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 17 Mar 2016 10:09:36 +0000

firefox (45.0+build2-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_45_0_BUILD2)
    - see USN-2917-1

  * Refresh patches:
    * update debian/patches/normalize-distribution-searchplugins.patch
    * update debian/patches/unity-menubar.patch
  * Drop debian/patches/cleanup-geo-specific-search-defaults.patch - this
    shouldn't be needed now
  * Update debian/firefox.install.in now that the theme is not unpacked
  * libmozgnome.so no longer exists - update debian/firefox.install.in
  * Enable Telemetry
    - update debian/build/create-tarball.py
    - update debian/config/branch.mk
    - update debian/rules
  * Add Guaraní language pack
    - update debian/config/locales.all
    - update debian/config/locales.shipped
    - update debian/control
    - uppdate debian/config/searchplugins.conf
  * Install the contents of browser/features
    - update debian/firefox.install.in

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 02 Mar 2016 20:45:26 +0000

firefox (44.0.2+build1-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_44_0_2_BUILD1)
    - see USN-2893-1

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 09 Feb 2016 22:09:50 +0000

firefox (44.0.1+build2-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_44_0_1_BUILD2)
    - Fix LP: 1538724 - Re-establish equivalence between gfxImageFormat and
      cairo_format_t

  * Update the DuckDuckGo search plugin

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 05 Feb 2016 01:04:56 +0000

firefox (44.0+build3-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_44_0_BUILD3)
    - see USN-2880-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/support-coinstallable-trunk-builds.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Amazon has been dropped from the Turkish language pack. Update
    debian/config/searchplugins.conf accordingly

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 23 Jan 2016 00:10:14 +0000

firefox (43.0.4+build3-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_43_0_4_BUILD3)
    - Fix LP: #1527884 - Downloads fail in multi-user environments

  * Refresh debian/patches/ubuntu-ua-string-changes.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 05 Jan 2016 22:43:14 +0000

firefox (43.0+build1-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_43_0_BUILD1)
    - see USN-2833-1

  * Refresh patches
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/unity-menubar.patch
  * Remove patches fixed upstream
    - remove debian/patches/dont-hardcode-softfp-on-armhf.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 10 Dec 2015 00:47:27 +0000

firefox (42.0+build2-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream release from the beta channel (FIREFOX_42_0_BUILD2)
    - see USN-2785-1

  * Refresh patches
    - update debian/patches/dont-override-general-useragent-locale.patch
    - update debian/patches/unity-menubar.patch
  * Update unity-menubar.patch to work with GTK3
  * Install compare-locales in to the virtualenv with --old-and-unmanageable -
    the fix for bmo: #1188224 is incompatible with zipped eggs
  * Turn on the crash reporter again

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 28 Oct 2015 09:58:39 +0000

firefox (41.0.2+build2-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_41_0_2_BUILD2)
    - see USN-2768-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 14 Oct 2015 09:54:04 +0100

firefox (41.0.1+build2-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_41_0_1_BUILD2)
    - see USN-2743-4 and LP: #1501277

  * Disable the crash reporter as symbol uploads are currently broken. This
    means that Apport will be catching crashes for now

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 01 Oct 2015 18:14:34 +0100

firefox (41.0+build3-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_41_0_BUILD3)
    - see USN-2743-1

  * Refresh patches
    - update debian/patches/ubuntu-bookmarks.patch
    - update debian/patches/normalize-distribution-searchplugins.patch
    - update debian/patches/dont-override-general-useragent-locale.patch
  * Drop backout-bmo1162569.patch and update how we install our distribution
    searchplugins
    - update debian/build/rules.mk
    - add debian/config/searchplugins.conf
    - add debian/install-distribution-searchplugins.py
    - remove debian/patches/backout-bmo1162569.patch
    - update debian/patches/series
    - update debian/rules
    - remove all manifest files from debian/searchplugins

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 18 Sep 2015 09:45:47 +0100

firefox (40.0.3+build1-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_40_0_3_BUILD1)
    - see USN-2723-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 26 Aug 2015 19:11:40 +0100

firefox (40.0+build4-0ubuntu0.14.04.4) trusty-security; urgency=medium

  * Disable geo-specific search defaults, and clean up profiles that have
    been inadvertently switched to the wrong search default (LP: #1485741)
    - add debian/patches/disable-geo-specific-search-defaults-for-us.patch
    - add debian/patches/cleanup-geo-specific-search-defaults.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 18 Aug 2015 15:08:02 +0100

firefox (40.0+build4-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_40_0_BUILD4)
    - see USN-2702-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/normalize-distribution-searchplugins.patch
  * Add backout-bmo1162569.patch to temporarily backout shipping search
    engines in the omni.ja, until we've fixed the packaging and verified
    our search engine overrides work

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 04 Aug 2015 11:53:04 +0100

firefox (39.0+build5-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_39_0_BUILD5)
    - see USN-2656-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Bundle our checkout of compare-locales in a different location, given
    that the Mozilla repo now contains a different version of it in the
    location we used previously
    - update debian/build/rules.mk
    - update debian/build/create-tarball.py

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 29 Jun 2015 11:50:20 +0100

firefox (38.0+build3-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_38_0_BUILD3)
    - see USN-2602-1

  * Refresh patches
    - update debian/patches/ubuntu-bookmarks.patch
    - update debian/patches/unity-menubar.patch
  * Drop patches fixed upstream
    - remove debian/patches/add-non-skia-fallback.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 06 May 2015 14:54:39 +0100

firefox (37.0.2+build1-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_37_0_2_BUILD1)
    - see USN-2571-1

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 17 Apr 2015 17:58:25 +0100

firefox (37.0.1+build1-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_37_0_1_BUILD1)
    - see USN-2557-1

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 03 Apr 2015 14:40:25 +0100

firefox (37.0+build2-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_37_0_BUILD2)
    - see USN-2550-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 28 Mar 2015 21:48:21 +0000

firefox (36.0.4+build1-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_36_0_4_BUILD1)
    - see USN-2538-1

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 20 Mar 2015 12:51:15 +0000

firefox (36.0.1+build2-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_36_0_1_BUILD2)
    - see LP: #1429115
    - revert removal of the deprecated -remote command line option, as some
      older software (eg, Python 2.7's webbrowser module) still depends on it
      (LP: #1425972)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 06 Mar 2015 12:44:25 +0000

firefox (36.0+build2-0ubuntu0.14.04.4) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_36_0_BUILD2)
    - see USN-2505-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/patches/dont-override-general-useragent-locale.patch
  * Don't clone the nightly profile from the default profile at startup
    - update debian/firefox.sh.in
  * Don't use --with-app-basename to create the co-installable nightly build
    as it's not useful anymore, and changing the application name to
    "Firefox-Trunk" has always been problematic for code / addons that check
    the appname. Continue to use --with-app-name as before (which just changes
    the install name and the remoting name), and add a patch to introduce
    --with-app-profile, which allows us to change the profile location
    - update debian/build/rules.mk
    - update debian/build/config.mk
    - update debian/config/mozconfig.in
    - update debian/rules
    - add debian/patches/support-coinstallable-trunk-build.patch
    - add debian/patches/set-prgname-to-remoting-name.patch
    - update debian/patches/series
  * Install the gmp-clearkey directory
  * Add Google OAuth ID so contact import for Hello works (LP: #1401402)
  * Add Uzbek language pack
  * Add patch from Bugzilla to implement non-Skia fallback for unaccelerated
    rendering of 3D transforms to fix a build failure on platforms where Skia
    is not supported
    - add debian/patches/add-non-skia-fallback.patch
    - update debian/patches/series
  * Backport patch to fix a build failure in IonMonkey on platforms without
    a codegen
    - add debian/patches/fix-ion-ftbfs.patch
    - update debian/patches/series
  * Backport patch to fix a build failure in some unified builds
    - add debian/patches/fix-unified-ftbfs.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 23 Feb 2015 14:03:16 +0000

firefox (35.0.1+build1-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_35_0_1_BUILD1)
    - see USN-2458-3

 -- Chris Coulson <chris.coulson@canonical.com>  Sun, 25 Jan 2015 21:59:09 +0000

firefox (35.0+build3-0ubuntu0.14.04.2) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_35_0_BUILD3)
    - see USN-2458-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch
  * Disable all of the testsuite related patches and don't install anything
    in to the testsuite package for now. The patches have all bit-rotted,
    we're not running any tests and nobody is driving that anymore
  * Don't do unified builds unconditionally on i386, as they don't crash
    anymore
  * Disable Kashubian language pack
  * Add debian/patches/ubuntu-search-defaults.patch to set the default
    search engines. This is a temporary patch (these defaults will eventually
    go in to distribution.ini). Fixes LP: #1398174
  * Don't hardcode -mfloat-abi=softfp in libvpx
    - add debian/patches/dont-hardcode-softfp-on-armhf.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 09 Jan 2015 21:27:16 +0000

firefox (34.0+build2-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_34_0_BUILD2)
    - see USN-2424-1

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Remove the upstream duckduckgo search plugin from the language packs -
    we have our own already
  * Fix the webapprt locale extension symlinks
  * Refresh patches
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/dont-override-general-useragent-locale.patch
  * Get rid of disable-failing-python-tests.patch for now, at least until we
    are running unit tests again
  * Drop debian/patches/fix-compile-in-unified-mode.patch - fixed upstream
  * Disable Kurdish language pack

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * update apparmor profiles to include the openssl abstraction

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 27 Nov 2014 10:47:42 +0000

firefox (33.0+build2-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_33_0_BUILD2)
    - see USN-2372-1

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update debian/patches/dont-override-general-useragent-locale.patch
  * Remove fix-broken-langpack-install-manifests.patch - not needed now
  * Add Lower Sorbian to locale blacklist
  * Add language pack for Azerbaijani

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * update 12.04 and 13.10 AppArmor profiles for new accesses
  * add 14.10 profile with more fine-grained DBus access

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 09 Oct 2014 10:19:27 +0100

firefox (32.0.3+build1-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_32_0_3_BUILD1)
    - see USN-2360-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 24 Sep 2014 09:19:17 +0100

firefox (32.0+build1-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_32_0_BUILD1)
    - see USN-2329-1

  * Add temporary workaround for bug 1348333 - build with
    --enable-unified-compilation on gcc-4.8 x86 builds
  * Add debian/patches/fix-compile-in-unified-mode.patch - backported from
    mozilla-central
  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update d/p/test-integration/xpcshell-disable-addon-select-dialog-test-for-adt.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
  * Add Lower Sorbian to locale blacklist

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 30 Aug 2014 20:00:14 +0100

firefox (31.0+build1-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_31_0_BUILD1)
    - see LP: #1342311 for USN information

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Refresh patches
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update debian/patches/unity-menubar.patch
  * Don't include python pyc files in the diff
    - update debian/source/options
  * Add Upper Sorbian language pack

  [ Jamie Strandboge <jamie@canonical.com> ]
  * debian/usr.bin.firefox.apparmor.*: allow read of /etc/xfce4/defaults.list
    (LP: #1325048)

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 15 Jul 2014 20:51:26 +0100

firefox (30.0+build1-0ubuntu0.14.04.3) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_30_0_BUILD1)
    - see LP: #1326690 for USN information

  * Refresh patches
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update debian/patches/unity-menubar.patch
  * Drop patches, fixed upstream
    - remove debian/patches/aarch64-support.patch
    - remove debian/patches/fix-armhf-build.patch
  * Build with --enable-gstreamer=1.0 on 14.04 and later
  * Correctly override the duckduckgo plugin for the gd locale
  * Add patch to fix a build issue on architectures where WebRTC isn't enabled

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 05 Jun 2014 08:33:35 +0100

firefox (29.0.1+build2-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_29_0_1_BUILD2)
    - see USN-2185-2
    - Fixes LP: #1315020 - Printing PDF's results in a blank page

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 19 May 2014 19:05:22 +0100

firefox (29.0+build1-0ubuntu0.14.04.2) trusty-security; urgency=medium

  * New upstream stable release (FIREFOX_29_0_BUILD1)
    - see LP: #1313464 for USN information

  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/no_neon_on_arm.patch
  * Add Malay language pack
  * Backport changeset from aurora to fix armhf build
    - add debian/patches/fix-armhf-build.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 28 Apr 2014 00:38:31 +0100

firefox (28.0+build2-0ubuntu2) trusty; urgency=medium

  * debian/control{,.in}: Switch from old ttf- packages to font- packages.
    (LP: #1296663)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 22 Mar 2014 20:10:18 -0600

firefox (28.0+build2-0ubuntu1) trusty; urgency=medium

  * New upstream stable release (FIREFOX_28_0_BUILD2)

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 17 Mar 2014 13:07:43 +0000

firefox (28.0+build1-0ubuntu1) trusty; urgency=medium

  * New upstream stable release (FIREFOX_28_0_BUILD1)

  [ Jamie Strandboge <jamie@canonical.com> ]
  * usr.bin.firefox.apparmor*: updates for new firefox releases (LP: #1288260)
    - allow read of /sys/devices/pci[0-9]*/**/uevent
    - allow read of /etc/udev/udev.conf
    - explicityly deny /run/udev/data/**, like we do with evince

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Make geolocation work
  * Backport changeset from mozilla-central for aarch64 support
    - add debian/patches/aarch64-support.patch
    - update debian/patches/series
  * Use --enable-system-libffi on arm64, as the bundled libffi doesn't
    support this yet
  * Switch to the release channel

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 05 Mar 2014 08:11:10 -0600

firefox (28.0~b2+build1-0ubuntu2) trusty; urgency=medium

  * Build with --enable-release option to use "more conservative, release
    engineering-oriented options" as recommended by upstream for distros:
    - Fixes FTBFS on powerpc and may improve stability on other arches.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 26 Feb 2014 00:40:24 -0700

firefox (28.0~b2+build1-0ubuntu1) trusty; urgency=low

  * New upstream release from the beta channel (FIREFOX_28_0b2_BUILD1)

  * Disable Ganda and Northern Sotho locales
  * Refresh patches
    - update d/p/test-integration/mochitest-allow-test-manifest-for-browser-chrome.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update debian/patches/unity-menubar.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Add pulseaudio dependency
    - update debian/control
  * Disable autopkgtest for now, they've been failing for ages and not of much
    use running on the devel release anyway. We really need these running in the
    security PPA instead

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 30 Jan 2014 11:22:57 +0000

firefox (27.0~b6+build1-0ubuntu1) trusty; urgency=low

  * New upstream release from the beta channel (FIREFOX_27_0b6_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 15 Jan 2014 12:50:03 +0000

firefox (27.0~b2+build1-0ubuntu1) trusty; urgency=low

  * New upstream release from the beta channel (FIREFOX_27_0b2_BUILD1)

  * Add Aragonese and Xhosa language packs
    - update debian/control
    - update debian/locales.shipped
    - update debian/locales.all
    - add debian/searchplugins/an/list.txt
    - add debian/searchplugins/xh/list.txt

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 03 Jan 2014 10:19:56 +0000

firefox (27.0~b1+build1-0ubuntu1) trusty; urgency=low

  * New upstream release from the beta channel (FIREFOX_27_0b1_BUILD1)

  * Refresh patches
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update debian/patches/unity-menubar.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 06 Dec 2013 14:09:25 +0000

firefox (26.0~b10+build1-0ubuntu1) trusty; urgency=low

  * New upstream release from the beta channel (FIREFOX_26_0b10_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 06 Dec 2013 11:33:55 +0000

firefox (26.0~b6+build1-0ubuntu1) trusty; urgency=low

  * New upstream release from the beta channel (FIREFOX_26_0b6_BUILD1)

  * Switch to beta
  * Refresh patches
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update d/p/test-integration/mochitest-allow-test-manifest-for-browser-chrome.patch
    - update d/p/test-fixes/xpcshell-exthandler-no-writes-to-appdir.patch
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update d/p/test-integration/xpcshell-dont-return-nonzero-on-test-failure.patch
    - update d/p/test-integration/xpcshell-write-time-for-failed-test.patch
    - update debian/patches/unity-menubar.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/no_neon_on_arm.patch
  * Drop patches
    - remove d/p/test-fixes/mochitest-browser-plugincrash-with-no-crashreporter.patch
    - remove d/p/test-fixes/mochitest-dont-ship-browser-postupdate-test.patch
    - remove d/p/test-fixes/mochitest-tests-jar-fix.patch
    - update debian/patches/series
  * Update for mochitest/runtests.py changes
    - update debian/testing/testrunhelper.py
  * MOZILLA_OFFICIAL no longer controls whether the crashreporter is enabled,
    so just build with --disable-crashreporter to turn it off
    - update debian/apport/blacklist.in
    - update debian/build/config.mk
    - update debian/build/rules.mk

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 15 Nov 2013 09:41:36 +0000

firefox (25.0+build3-0ubuntu0.13.10.1) saucy-security; urgency=low

  * New upstream stable release (FIREFOX_25_0_BUILD3)
    - see LP: #1245414 for USN information

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Refresh patches
    - update d/p/test-fixes/xpcshell-docshell-no-writes-to-appdir.patch
    - update d/p/test-integration/xpcshell-write-time-for-failed-test.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update d/p/test-fixes/xpcshell-exthandler-no-writes-to-appdir.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update d/p/test-integration/mochitest-allow-test-manifest-for-browser-chrome.patch
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update debian/patches/unity-menubar.patch
  * Drop patches
    - remove d/p/test-fixes/xpcshell-docshell-no-writes-to-appdir.patch
    - remove d/p/test-fixes/xpcshell-contentprefs-no-writes-to-appdir.patch
    - remove d/p/test-fixes/mochitest-browser-plugincrash-with-no-crashreporter.patch
    - update debian/patches/series
  * Refactor the test results post-process script a bit so that it can use
    regular expressions in the configuration
    - update debian/testing/filter_results
    - update debian/testing/results-filter-manifest.json
    - update debian/tests/post-process
  * Run mochitest-plain in 5 chunks, similar to upstream. This should fix
    some test failures we see that seem to be caused by some tests not
    cleaning up properly (seems to fix LP: #1158781 and LP: #1194448)
    - update debian/testing/run_mochitest.in
    - update debian/tests/control
    - move debian/tests/mochitest => debian/tests/mochitest-1
    - add debian/tests/mochitest-2
    - add debian/tests/mochitest-3
    - add debian/tests/mochitest-4
    - add debian/tests/mochitest-5
  * Drop d/p/test-integration/test-sameoriginpolicy-debug.patch now that
    we run mochitest-plain in chunks
  * Add OCSPStaplingServer binary to testsuite
    - update debian/firefox-testsuite.install.in
    - update debian/build/rules.mk
  * Don't let make check failures fail the build for now, as there are some
    jit test failures
    - update debian/build/testsuite.mk
  * Try to stop the buildd's from terminating the build during long links
    (use a hack based on the one for the Chromium package)
    - add debian/build/keepalive-wrapper.py
    - update debian/build/rules.mk

  [ Jamie Strandboge <jamie@canonical.com> ]
  * add debian/usr.bin.firefox.apparmor.13.10 for dbus policy
  * debian/rules: conditionally use usr.bin.firefox.apparmor.13.10 on saucy
    and higher, otherwise usr.bin.firefox.apparmor.12.04
  * debian/usr.bin.firefox.apparmor.12.04: use ibus abstraction

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 28 Oct 2013 10:16:16 +0000

firefox (24.0+build1-0ubuntu1) saucy; urgency=low

  * New upstream stable release (FIREFOX_24_0_BUILD1)
    - see LP: #1223826 for USN information

  * Make sure bindings are always attached for menu popups, even if they
    already have a wrapper when the menu opens
    - update debian/patches/unity-menubar.patch
  * Make sure bindings are attached for menu's too, so that menu.open
    always works (finally fixes livemarks when running in Unity)
    - update debian/patches/unity-menubar.patch
  * Refresh patches
    - update d/p/test-fixes/mochitest-browser-plugincrash-with-no-crashreporter.patch
    - update d/p/test-fixes/xpcshell-docshell-no-writes-to-appdir.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update debian/patches/ubuntu-bookmarks.patch
    - update debian/patches/unity-menubar.patch
  * Make the debian/control autogeneration a bit cleaner
    - update debian/build/config.mk
    - update debian/build/dump-langpack-control-entries.pl
    - update debian/build/rules.mk
    - update debian/control.in
  * Don't set stuff that is set by dpkg-buildpackage
    - update debian/build/config.mk
    - update debian/build/rules.mk
  * Remove the executable bit from more file types
    - update debian/build/rules.mk
  * The upstream mochitest harness now supports a manifest file for all tests
    except for browser-chrome, but we need a separate manifest for each now
    - update d/p/test-integration/mochitest-allow-test-manifest-for-chrome.patch
    - rename d/p/test-integration/mochitest-allow-test-manifest-for-chrome.patch =>
        d/p/test-integration/mochitest-allow-test-manifest-for-browser-chrome.patch
    - update debian/patches/series
    - add debian/testing/extra/mochitest/mochitest-a11y.json
    - add debian/testing/extra/mochitest/mochitest-browser-chrome.json
    - update debian/testing/extra/mochitest/mochitest-chrome.json
    - update debian/testing/run_mochitest.in
  * Support running unit tests from an unpacked testsuite tarball anywhere on the
    filesystem
    - update debian/testing/testrunhelper.py
  * Include toolkit/components/mediasniffer/test/unit/data/ff-inst.exe in the
    tarball, as it's required for a mimetype sniffing test that we run
    - update debian/config/tarball.conf
  * Temporary debug patch
    - add d/p/test-integration/test-sameoriginpolicy-debug.patch
    - update debian/patches/series
  * Fix failing test_addEngine_callback.js search xpcshell test
    - rename d/p/test-fixes/xpcshell-search-fix-json-cache-test.patch =>
        d/p/test-fixes/xpcshell-search-fix-tests-when-plugins-are-not-in-appdir.patch
    - update d/p/test-fixes/xpcshell-search-fix-tests-when-plugins-are-not-in-appdir.patch
    - update debian/patches/series
  * Fix broken Bulgarian language pack
  * Blacklist Mongolian for now
    - update debian/config/locales.blacklist
  * Add GStreamber build-depends
    - update debian/control.in
  * Fix LP: #1223502 - firefox-testsuite should depend on fonts-liberation
    rather than ttf-liberation
  * Add libgl1-mesa-dri to firefox-testsuite depends so that gnome-session
    starts correctly in saucy

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 11 Sep 2013 12:32:22 +0100

firefox (23.0+build2-0ubuntu1) saucy; urgency=low

  * New upstream stable release (FIREFOX_23_0_BUILD2)

  * Switch to the release channel
    - update debian/config/branch.mk
    - update debian/config/locales.*
    - refresh debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 07 Aug 2013 18:55:00 +0100

firefox (23.0~b10+build1-0ubuntu1) saucy; urgency=low

  * New upstream release from the beta channel (FIREFOX_23_0b10_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 01 Aug 2013 10:05:42 +0100

firefox (23.0~b9+build1-0ubuntu1) saucy; urgency=low

  * New upstream release from the beta channel (FIREFOX_23_0b9_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 29 Jul 2013 22:03:10 +0100

firefox (23.0~b4+build1-0ubuntu1) saucy; urgency=low

  * New upstream release from the beta channel (FIREFOX_23_0b4_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 09 Jul 2013 10:22:34 +0100

firefox (23.0~b2+build1-0ubuntu1) saucy; urgency=low

  * New upstream release from the beta channel (FIREFOX_23_0b2_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 02 Jul 2013 13:36:58 +0100

firefox (23.0~b1+build1-0ubuntu1) saucy; urgency=low

  * New upstream release from the beta channel (FIREFOX_23_0b1_BUILD1)

  * Build conflict on python-progressbar, as having this installed causes the
    jit test harness to fail
    - update debian/control.in
  * Disable unsupported W3C webgl tests
    - update debian/testing/extra/mochitest/mochitest.json
  * Refresh paths for a11y tests after landing of bmo: #854868
    - update debian/testing/extra/mochitest/mochitest-chrome.json
  * Make firefox-globalmenu a real transitional package
    - update debian/control.in
    - update debian/build/mozbuild.mk
  * Just test the selected locale on all channels in test_langpack_chrome.js,
    rather than testing we get a correctly translated string. This is just
    way too fragile
    - update debian/testing/extra/xpcshell/package-tests/test_langpack_chrome.js
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update debian/patches/unity-menubar.patch
    - update debian/patches/dont-override-general-useragent-locale.patch
    - update debian/patches/no_neon_on_arm.patch
  * Drop crashtest-no-network-access.patch as the test seems to have been
    removed from the tree
  * Always build the crash reporter and Breakpad symbols on supported
    architectures, even if it is disabled at run time. Will hopefully avoid
    surprises by the time we reach beta (where the crash reporter is enabled)
    - update debian/rules
    - update debian/build/mozvars.mk
    - update debian/build/mozbuild.mk
  * Rename mozbuild.mk => rules.mk and mozvars.mk => config.mk
  * Shut up lintian
    - update debian/copyright
  * Make the transitional globalmenu package priority extra, section oldlibs
    - update debian/control.in
  * Make the testsuite priority extra, section misc
    - update debian/control.in
  * The testsuite shouldn't depend on essential package libc-bin
    - update debian/control.in
  * Override symlink-is-self-recursive warning in the testsuite, as this is
    intentional
    - add debian/firefox-testsuite.lintian-overrides.in
  * Remove the executable bit from the testsuite zip file
    - update debian/build/rules.mk
  * Remove the executable bit from searchplugins
    - update debian/build/rules.mk
  * Silence an embedded-library warning and some image-file-in-usr-lib warnings
    - update debian/firefox.lintian-overrides.in
  * Drop firefox-gnome-support. It was only depending on libraries that are
    already guaranteed to exist when firefox is installed (mostly, glib).
    Firefox has no need to depend on libnotify for the time being either, but
    if it does again, that dependency should just be on the main package
    - update debian/control.in
    - update debian/build/rules.mk
    - remove debian/firefox-gnome-support.install.in
  * Only blacklist Firefox in Apport on official builds
    - update debian/apport/blacklist.in
    - update debian/build/rules.mk
  * Merge in latest desktop file translations
    - update debian/firefox.desktop.in
  * Refresh patches
    - update debian/patches/dont-override-general-useragent-locale.patch
    - update debian/patches/no_neon_on_arm.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update d/p/test-overrides/disable-failing-python-tests.patch
    - update debian/patches/unity-menubar.patch
    - update debian/patches/fix-broken-langpack-install-manifests.patch
  * Disable intl.locale.matchOS in test_bug848297.js
    - add d/p/test-fixes/xpcshell-chrome-fix-test_bug848297-with-locale-matchOS.patch
    - update debian/patches/series
  * Write xpcshell test duration to the JUnit results when the test fails
    - add d/p/test-integration/xpcshell-write-time-for-failed-test.patch
    - update debian/patches/series
  * Update test-fixes/mochitest-browser-plugincrash-with-no-crashreporter.patch
    to just not include the test on !MOZ_CRASHREPORTER builds
  * Fix build-time xpcshell tests after landing of bmo: 597064, by
    using the python virtualenv provided by the upstream build system
    - update debian/build/testsuite.mk
    - update debian/build/rules.mk
  * Fix broken Bulgarian language pack
    - update debian/patches/fix-broken-langpack-install-manifests.patch

 -- chris coulson <chris.coulson@canonical.com>  wed, 26 jun 2013 17:44:33 +0100

firefox (22.0~b6+build1-0ubuntu1) saucy; urgency=low

  * new upstream release from the beta channel (firefox_22_0b6_build1)

 -- chris Coulson <chris.coulson@canonical.com>  Thu, 20 Jun 2013 10:57:54 +0100

firefox (22.0~b4+build1-0ubuntu1) saucy; urgency=low

  * New upstream release from the beta channel (FIREFOX_22_0b4_BUILD1)

  * Drop debian/patches/spsprofiler-no-jit.patch now, as it is fixed in the
    new version

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 06 Jun 2013 11:45:11 +0100

firefox (22.0~b3+build1-0ubuntu2) saucy; urgency=low

  * Backport upstream patch to #include jsscriptinlines.h in SPSProfiler.cpp
    so that it builds in no-jit configurations; fixes build on powerpc.
    - add debian/patches/spsprofiler-no-jit.patch
    - update debian/patches/series

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 31 May 2013 12:03:04 +0100

firefox (22.0~b3+build1-0ubuntu1) saucy; urgency=low

  * New upstream release from the beta channel (FIREFOX_22_0b3_BUILD1)

  * Fix test_langpack_chrome.js for Mongolian
    - update debian/testing/extra/xpcshell/package-tests/test_langpack_chrome.js
  * Refresh debian/patches/fix-broken-langpack-install-manifests.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 29 May 2013 15:11:19 +0100

firefox (22.0~b2+build1-0ubuntu1) saucy; urgency=low

  * New upstream release from the beta channel (FIREFOX_22_0b2_BUILD1)

  * Fix broken nso language pack (and test_langpack_load.js test)
    - update debian/patches/fix-broken-langpack-install-manifests.patch
  * Unbreak test_langpack_chrome.js for Hindi
    - update debian/testing/extra/xpcshell/package-tests/test_langpack_chrome.js
  * Run the xpcshell binary from the actual install directory rather than
    the temporary test directory, as some tests assume this now (eg, the
    distribution/ directory is assumed to be in the same directory as
    xpcshell). This means we also have to install httpd.js et al in to
    the actual components/ directory, as the upstream test harness assumes
    this too. This fixes test_ubuntu_searchplugins.js test failures since
    the distribution/ directory was moved back up a level on disk
    - update debian/build/rules.mk
    - update debian/firefox-testsuite.install.in
    - update debian/firefox.install.in
    - update debian/testing/run_xpcshell_tests
    - update debian/testing/testrunhelper.py
  * Make "make check" failures non-fatal on armhf. I don't think anybody
    actually genuinely cares whether Firefox works there or not, so don't
    let it block migration from proposed
    - update debian/build/testsuite.mk
  * Fix an issue where menus stop refreshing because we often don't get
    closed events from Unity when a menu closes, sigh....
    - update debian/patches/unity-menubar.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 17 May 2013 18:22:54 +0100

firefox (22.0~b1+build1-0ubuntu2) saucy; urgency=low

  * Backport part of commit from Aurora channel to ensure that
    parallelarray/bug858582.js is disabled on builds without ParallelArray
    - add d/p/test-fixes/jittest-disable-bug858582-with-no-parallelarray.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 16 May 2013 01:18:01 +0100

firefox (22.0~b1+build1-0ubuntu1) saucy; urgency=low

  * New upstream release from the beta channel (FIREFOX_22_0b1_BUILD1)

  * Switch saucy to beta
    - update debian/config/branch.mk
    - update debian/config/locales.shipped
    - refresh debian/control
  * Drop the menubar addon
    - remove debian/globalmenu
    - update debian/build/mozbuild.mk
    - update debian/config/mozconfig.in
    - update debian/control.in
    - remove debian/firefox-globalmenu.dirs.in
    - remove debian/firefox-globalmenu.links.in
    - remove debian/patches/unity-globalmenu-build-support.patch
    - add debian/unity-menubar.patch
    - update debian/patches/series.in
  * Don't access the network from 395609.xul to see if it fixes a hang
    - add d/p/test-fixes/crashtest-no-network-access.patch
    - update debian/patches/series.in
  * Get rid of the autogenerated debian/patches/series, as we don't use
    it now
    - rename debian/patches/series.in => debian/patches/series
    - update debian/build/mozbuild.mk
    - update debian/source/options
  * Fix LP: #1158931 by making the testsuite depend on hunspell-en-us
    - update debian/control.in
  * Drop unneeded test-integration/mochitest-optional-websock-log.patch
  * Stop patching upstream manifests to mark tests as failing, as this is
    too much of a maintenance burden. Instead, post-process the test
    results using our own manifest
    - update debian/patches/series
    - remove d/p/test-overrides/reftest-disable-failing-tests.patch
    - remove d/p/test-overrides/xpcshell-disable-failing-tests.patch
    - update debian/rules
    - update debian/testing/extra/mochitest/mochitest-chrome.json
    - update debian/testing/extra/mochitest/mochitest.json
    - add debian/testing/filter_results
    - update debian/tests/control.in
    - add debian/tests/post-process
    - add debian/testing/results-filter-manifest.json
    - update debian/firefox-testsuite.install.in
  * Don't return non-zero exit status from xpcshell test failures, as this
    turns the build red in Jenkins
    - add d/p/test-integration/xpcshell-dont-return-nonzero-on-test-failure.patch
    - update debian/patches/series.in
  * Fix testrunhelper.py to work now that libxpcom.so has gone
  * Disable some unsupported tests that test search healthreporting, as these
    don't work on Ubuntu where the searchplugins are not in the application
    directory
    - update debian/testing/extra/mochitest/mochitest-chrome.json
  * Remove obsolete patches
    - remove debian/patches/fix-makefile-substitution-bug.patch
    - remove debian/patches/gcc-4.7-name-lookup-fixes.patch
    - update debian/patches/series
  * Refresh patches
    - update debian/patches/no_neon_on_arm.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/fix-broken-langpack-install-manifests.patch
    - update d/p/test-fixes/xpcshell-xunit-output-no-bell.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update d/p/test-integration/xpcshell-output-valid-junit-xml.patch
    - update d/p/test-overrides/disable-failing-python-tests.patch
  * Fix test_langpack_chrome.js for Hindi, Mongolian and Tamil
    - update debian/testing/extra/xpcshell/package-tests/test_langpack_chrome.js
  * browser/distribution has moved back up a level
    - update debian/build/rules.mk
    - update debian/firefox-locale.preinst.in
    - update debian/firefox.dirs.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.postinst.in
    - update debian/firefox.preinst.in
  * Fix LP: #1180227 - Update the Apparmor profile to allow rw access to
    ~/.cache/mozilla/firefox, and allow locking of sqlite db's there too
    - update debian/usr.bin.firefox.apparmor.12.04
  * Testpilot has been removed from Firefox
    - update debian/firefox.install.in

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 14 May 2013 01:11:06 +0100

firefox (21.0+build2-0ubuntu1) saucy; urgency=low

  * New upstream stable release (FIREFOX_21_0_BUILD2)
    - see LP: #1178277

  * Update globalmenu-extension to 4.1
  * Drop support for building on older than precise
    - update debian/apport/source_firefox.py.in
    - update debian/build/mozbuild.mk
    - update debian/config/mozconfig.in
    - update debian/control.in
    - update debian/firefox-globalmenu.dirs.in
    - remove debian/firefox-restart-required.update-notifier.in
    - update debian/firefox.desktop.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.postinst.in
    - update debian/firefox.postrm.in
    - update debian/firefox.preinst.in
    - update debian/firefox.prerm.in
    - remove debian/patches/add-syspref-dir.patch
    - update debian/patches/series.in
    - remove debian/patches/use-new-yasm-in-lucid.patch
    - remove debian/patches/mozilla-kde.patch
    - remove debian/patches/firefox-kde.patch
    - update debian/rules
    - remove debian/usr.bin.firefox.apparmor.10.04
    - remove debian/usr.bin.firefox.apparmor.10.10
    - remove debian/usr.bin.firefox.apparmor.11.04
    - remove debian/usr.bin.firefox.apparmor.9.10
  * Drop the perl script for preprocessing the quilt series file
    - remove debian/build/enable-dist-patches.pl
    - update debian/build/mozbuild.mk
  * Make sure that SHELL is set in the build environment
    - update debian/build/mozbuild.mk
  * Don't set the MOZCONFIG environment variable, but just copy our config
    in to the root of the source tree
    - update debian/build/mozconfig.mk
  * Drop libthai suggest - this hasn't been needed for a long time
    - update debian/control
  * Replace latex-xft-fonts suggest with ttf-lyx (yes, I know this is a
    transitional package since 12.10, but it avoids suggesting a different
    package for each release)
    - update debian/control
  * Use virtualenv for compare-locales
    - update debian/build/create-tarball.py
    - update debian/build/mozbuild.mk
  * Refactor create-tarball.py
  * Drop test fixes merged upstream:
    - remove d/p/test-fixes/xpcshell-shell-disable-gconf-tests-when-using-gsettings.patch
    - remove d/p/test-fixes/mochitest-shell-disable-gconf-tests-when-using-gsettings.patch
    - update debian/patches/series.in
  * Drop debian/patches/python-virtualenv-multiarch-fix.patch - fixed upstream
  * Update for install layout changes
    - update debian/firefox-locale.preinst.in
    - update debian/firefox.dirs.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.postinst.in
    - update debian/firefox.preinst.in
    - update debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/rules
    - update debian/build/mozbuild.mk
    - update debian/testing/xpcshell-build.ini
    - add debian/build/fix-mozinfo-appname.py
    - update debian/testing/xpcshell-package-tests/xpcshell.ini
    - update debian/testing/xpcshell-package-tests/test_locale_matchOS_real.js
    - update debian/testing/xpcshell-package-tests/test_langpack_load.js
    - update debian/testing/xpcshell-package-tests/test_langpack_chrome.js
  * Disable telemetry xpcshell tests. Telemetry is not enabled on Ubuntu builds
    and the test_TelemetryPing.js fails anyway because the HG revision is
    not embedded in the ping
    - update d/p/test-integration/xpcshell-disable-failing-tests.patch
  * Skip browser_pluginCrashCommentAndURL.js on builds with crash reporting
    disabled
    - add d/p/test-fixes/mochitest-browser-plugincrash-with-no-crashreporter.patch
    - update debian/patches/series.in
  * Disable browser_google.js as this fails with our searchplugins, and we
    have our own tests
    - update debian/testing/mochitest-chrome.json
  * Temporarily disable tests in python/mozbuild/mozpack/tests, as they
    fail
    - add d/p/test-overrides/disable-failing-python-tests.patch
    - update debian/patches/series.in
  * Skip font-matching/synthetic-style-1.html reftest which fails on beta
    (note, it works on the nightly packaging)
    - update d/p/test-overrides/reftest-disable-failing-tests.patch
  * Make the testsuite depend on ttf-liberation to fix a mochitest
    failure in browser_fontinspector.js
    - update debian/control.in
  * Disable test_notifications_popup.html for now until we have time to
    investigate why it hangs
    - update debian/testing/mochitest.json
  * Run tests that need a display in an actual session with
    gnome-settings-daemon running (plus a WM):
    - update debian/testing/testrunhelper.py
    - update debian/firefox-testsuite.install.in
    - add debian/testing/run-test.desktop
    - update debian/testing/run_mochitest.in
    - update debian/testing/run_reftest.in
    - update debian/testing/run_xpcshell_tests.in
    - update debian/control.in
    - update debian/tests/mochitest
    - update debian/tests/mochitest-browser
    - update debian/tests/mochitest-chrome
    - update debian/tests/mochitest-a11y
    - update debian/tests/mochitest-ipcplugins
    - update debian/tests/crashtest
    - update debian/tests/jstestbrowser
    - update debian/tests/reftest
    - update debian/tests/xpcshell-package-tests
    - update debian/tests/xpcshell-tests
    - update d/p/test-overrides/reftest-disable-failing-tests.patch
  * Make the testsuite depend on ubuntu-settings and light-themes
    - update debian/control.in
  * Drop the JUnit XML changes from the mochitest and reftest addons
    and add this support to automation.py instead. This avoids duplication,
    means we only need 1 patch and makes it possible to add all types of log
    messages to the results (eg, screenshots of hung tests)
    - remove d/p/test-integration/reftest-output-junit-xml.patch
    - remove d/p/test-integration/mochitest-output-junit-xml.patch
    - add d/p/test-integration/automation-output-junit-xml.patch
    - update debian/patches/series.in
  * Don't install the testsuite unpacked on the filesystem in the
    traditional manner, but just install the packed zip and have the
    test scripts bootstrap a temporary environment with the expanded
    testsuite. The advantage of this is that we don't need to carry
    patches for tests that modify the test directory. What we are
    interested in testing are the components that the user normally runs,
    and the testsuite doesn't form part of this - so it doesn't matter
    where it's installed and runs from
    - update debian/build/mozbuild.mk
    - remove debian/firefox-testsuite.dirs.in
    - update debian/firefox-testsuite.install.in
    - update debian/firefox-testsuite.links.in
    - update debian/patches/series.in
    - remove d/p/test-fixes/xpcshell-ctypes-no-writes-to-appdir.patch
    - remove d/p/test-fixes/xpcshell-libpref-no-writes-to-testdir.patch
    - remove d/p/test-fixes/xpcshell-xpcom-no-writes-to-testdir-or-appdir.patch
    - update debian/rules
    - rename debian/testing/mochitest-chrome.json =>
        debian/testing/extra/mochitest/mochitest-chrome.json
    - rename debian/testing/mochitest.json =>
        debian/testing/extra/mochitest/mochitest.json
    - rename debian/testing/xpcshell-package-tests/* =>
        debian/testing/extra/xpcshell/package-tests/*
    - remove debian/testing/run-tests.desktop
    - update debian/testing/run_mochitest.in
    - update debian/testing/run_reftest.in
    - rename debian/testing/run_xpcshell_tests.in =>
        debian/testing/run_xpcshell_tests
    - update debian/testing/run_xpcshell_tests
    - update debian/testing/testrunhelper.py
    - update debian/tests/crashtest
    - update debian/tests/jstestbrowser
    - update debian/tests/mochitest
    - update debian/tests/mochitest-a11y
    - update debian/tests/mochitest-browser
    - update debian/tests/mochitest-chrome
    - update debian/tests/mochitest-ipcplugins
    - update debian/tests/reftest
    - update debian/tests/xpcshell-package-tests
    - update debian/tests/xpcshell-tests
  * Don't write the terminal bell character to JUnit results
    - add d/p/test-fixes/xpcshell-xunit-output-no-bell.patch
  * Fix test_json_cache.js test failure, caused by us not installing
    search plugins in the application directory
    - add d/p/test-fixes/xpcshell-search-fix-json-cache-test.patch
    - remove d/p/test-fixes/xpcshell-search-fix-browser-dirprovider.patch,
      as this isn't really needed and just complicates things
    - update debian/patches/series.in
  * Manually stage the testsuite in debian/tmp and dh_install it in to the
    package from there rather than from objdir/dist, as dh_install is called
    after we have created the breakpad symbols, which modifies the files
    in objdir/dist and causes dh_strip to fail later on
    - update debian/build/mozbuild.mk
    - update debian/firefox-testsuite.install.in
  * Fix test failure due to Northern Sotho language pack
    - update debian/patches/fix-broken-langpack-install-manifests.patch
  * Fix test_langpack_chrome.js for Mongolian and Swedish
    - update debian/testing/extra/xpcshell/package-tests/test_langpack_chrome.js
  * Disable some unsupported tests that test search healthreporting, as these
    don't work on Ubuntu where the searchplugins are not in the application
    directory
    - update debian/testing/extra/mochitest/mochitest-chrome.json
  * Disable hanging / crashing WebRTC tests
    - update debian/testing/extra/mochitest/mochitest.json
  * Refresh patches
    - update debian/patches/dont-include-hyphenation-patterns.patch
    - update d/p/test-integration/mochitest-allow-test-manifest-for-chrome.patch
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update d/p/test-overrides/xpcshell-disable-failing-tests.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 09 May 2013 14:51:42 +0100

firefox (20.0+build1-0ubuntu2) raring; urgency=low

  * Update globalmenu-extension to 4.0
    - Fix LP: #1169873 - Crash in uGlobalMenuObject::ShouldShowIcon()
    - Turn a nullptr deref in to a runtime abort for now, to try and get a
      better idea of what is happening (LP: #1169874)
  * Fix empty Replaces on 12.10 and later (LP: #1165408)
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 17 Apr 2013 09:29:49 +0100

firefox (20.0+build1-0ubuntu1) raring; urgency=low

  * New upstream stable release (FIREFOX_20_0_BUILD1)

  * Update globalmenu-extension to 3.9
    - Firefox 20 compatibility fixes
    - This is the last version of this addon, and will be dropped in the
      next Firefox release
  * Drop patches fixed upstream
    - remove debian/patches/ionmonkey-hardfp-support.patch
    - update debian/patches/series.in
  * firefox-gnome-support needs explicit dependency on libnotify
    - update debian/control{,.in}
  * Add support for autopkgtest, package the xpcshell, reftest and
    mochitest testsuites and migrate the xpcshell-tests, reftest, crashtest,
    jstestbrowser and mochitest targets to this. Note that tests that can't
    be ran as an autopkgtest (eg, if they require write permissions to the
    application directory) will still be ran at build time
    - add firefox-testsuite package in debian/control.in
    - update debian/control
    - add debian/firefox-testsuite.install.in
    - add debian/firefox-testsuite.links.in
    - update debian/build/mozbuild.mk
    - update debian/rules
    - drop xpcshell-tests, reftest, crashtest, jstestbrowser and mochitest
      targets from debian/build/testsuite.mk, add xpcshell-tests-build
      and the ability to run xpcshell-tests with our own reduced manifest
    - add debian/tests/control
    - add debian/tests/crashtest
    - add debian/tests/jstestbrowser
    - add debian/tests/mochitest
    - add debian/tests/reftest
    - add debian/tests/xpcshell-tests
    - add debian/testing/run_mochitest.in
    - add debian/testing/run_xpcshell_tests.in
    - add debian/testing/run_reftest.in
    - add debian/testing/testrunhelper.py
    - update debian/config/mozconfig.in to always build with --enable-tests
    - add debian/testing/xpcshell-build.ini
  * Ensure that the directory provider returns all searchplugin paths during
    the search service xpcshell tests
    - add d/p/test-fixes/xpcshell-search-fix-browser-dirprovider.patch
    - update debian/patches/series.in
  * Fix various tests that assume that either the application directory or
    test directory can be written to
    - add d/p/test-fixes/xpcshell-docshell-no-writes-to-appdir.patch
    - add d/p/test-fixes/xpcshell-contentprefs-no-writes-to-appdir.patch
    - add d/p/test-fixes/xpcshell-exthandler-no-writes-to-appdir.patch
    - add d/p/test-fixes/xpcshell-ctypes-no-writes-to-appdir.patch
    - add d/p/test-fixes/xpcshell-xpcom-no-writes-to-testdir-or-appdir.patch
    - add d/p/test-fixes/xpcshell-libpref-no-writes-to-testdir.patch
    - update debian/patches/series.in
  * Export NO_PNG_PKG_MANGLE as optipng breaks tests that are dependent
    on image format / size
    - update debian/build/mozbuild.mk
  * Don't test that the addon selection dialog appears in test_bug596343.js,
    as we disable this
    - add d/p/test-integration/xpcshell-disable-addon-select-dialog-test-for-adt.patch
    - update debian/patches/series
  * Don't write a log file to the script directory from mochitest
    - add d/p/test-integration/mochitest-optional-websock-log.patch
    - update debian/patches/series.in
  * Fix a failure in test_nodb_pluschanges.js due to const redeclaration
    - add d/p/test-fixes/xpcshell-search-fix-const-redeclaration.patch
    - update debian/patches/series.in
  * Don't run the GConf-specific test_421977.js on systems where GSettings
    is available, as it will fail
    - add d/p/t-f/xpcshell-shell-disable-gconf-tests-when-using-gsettings.patch
    - update debian/patches/series.in
  * Disable test_upgrade.js and test_upgrade_strictcompat.js xpcshell tests
    for now as they require write access to the application directory
    - add d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update debian/patches/series.in
  * Disable test_browserGlue_distribution.js for now as it requires write
    access to the application directory
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
  * Reset the "browser" and "embed-app" content prefs after running content
    mochitests, so that the subsequent DOM browser-element tests don't
    fail
    - add d/p/test-fixes/mochitest-content-reset-permissions-when-done.patch
    - update debian/patches/series.in
  * Disable various failing mochitests:
    - add debian/testing/mochitest.json
    - add debian/testing/mochitest-chrome.json
    - update debian/firefox-testsuite.install.in
  * Fix issue where some tests were being added to the mochitest tests.jar
    using their absolute path in the build tree
    - add debian/patches/test-fixes/mochitest-tests-jar-fix.patch
    - update debian/patches/series.in
  * Don't run the GConf specific browser_420786.js mochitest on systems where
    GSettings is available, as it will fail
    - add d/p/t-f/mochitest-shell-disable-gconf-tests-when-using-gsettings.patch
    - update debian/patches/series.in
  * Don't ship the browser_bug538331.js mochitest as this isn't relevant
    when not using the Mozilla AUS
    - add d/p/test-fixes/mochitest-dont-ship-browser-postupdate-test.patch
    - update debian/patches/series.in
  * Make "--test-manifest" work when running chrome, browser-chrome and a11y
    mochitests so that we can maintain a distro manifest for these
    - add d/p/test-integration/mochitest-allow-test-manifest-for-chrome.patch
    - update debian/patches/series.in
  * Disable failing reftests
    - add d/p/test-overrides/reftest-disable-failing-tests.patch
    - update debian/patches/series.in
  * Add vendor xpcshell tests to verify that the search service loads
    the expected number of search plugins from each language pack
    - update debian/build/mozbuild.mk
    - add debian/firefox-testsuite.dirs.in
    - update debian/firefox-testsuite.install.in
    - update debian/rules
    - add debian/testing/xpcshell-package-tests/head_package_tests.js
    - add debian/testing/xpcshell-package-tests/test_searchplugins_valid.js
    - add debian/testing/xpcshell-package-tests/test_searchplugins_valid_real.js
    - add debian/testing/xpcshell-package-tests/xpcshell.ini
    - update debian/tests/control
    - add debian/tests/xpcshell-package-tests
  * Drop the hacky perl scripts that were being used to make sure the language
    packs ship the correct plugins. Add a xpcshell test instead
    - update debian/build/mozbuild.mk
    - update debian/rules
    - remove debian/build/refresh-search-modifications.pl
    - remove debian/build/verify-search-overrides.pl
    - remove debian/config/search-mods.list
    - update debian/control.in
    - remove debian/searchplugins/compute-overrides.json
    - add debian/testing/xpcshell-package-tests/test_ubuntu_searchplugins.js
    - add debian/testing/xpcshell-package-tests/test_ubuntu_searchplugins_real.js
    - update debian/testing/xpcshell-package-tests/xpcshell.ini
  * Fix a test failure with the Italian Amazon search plugin 
    - update debian/searchplugins/it/amazon-it.xml
  * We set intl.locale.matchOS to ensure that Firefox uses the environment
    locale. Add a test to make sure this works as expected
    - add debian/testing/xpcshell-package-tests/test_locale_matchOS.js
    - add debian/testing/xpcshell-package-tests/test_locale_matchOS_real.js
    - update debian/testing/xpcshell-package-tests/head_package_tests.js
    - update debian/testing/xpcshell-package-tests/test_searchplugins_valid.js
    - update debian/testing/xpcshell-package-tests/test_ubuntu_searchplugins.js
    - update debian/testing/xpcshell-package-tests/xpcshell.ini
    - update debian/tests/control
    - update debian/tests/crashtest
    - update debian/tests/jstestbrowser
    - update debian/tests/mochitest
    - update debian/tests/reftest
    - update debian/tests/xpcshell-package-tests
    - update debian/tests/xpcshell-tests
  * We modify the user agent, so test that it is correct
    - add debian/testing/xpcshell-package-tests/test_ubuntu_useragent.js
    - update debian/testing/xpcshell-package-tests/xpcshell.ini
  * LP: #974146 - Add a "Open a New Private Window" action to the desktop file
    - update debian/firefox.desktop.in
  * Don't try to override the Amazon searchplugin for Kashubian or Mongolian,
    as it doesn't exist there
    - add debian/searchplugins/csb/list.txt
    - add debian/searchplugins/mn/list.txt
    - update d/t/xpcshell-package-tests/test_ubuntu_searchplugins_real.js
  * Testpilot only enabled on beta now
    - update debian/firefox.install.in
  * Don't run dh_scour on the testsuite package, as this screws up a lot
    of reftests and crashtests
    - update debian/build/mozbuild.mk
  * Add a test to make sure all of the language packs are loadable by the
    addon manager
    - add debian/testing/xpcshell-package-tests/test_langpack_load.js
    - update debian/testing/xpcshell-package-tests/xpcshell.ini
  * Add a test to make sure language pack chrome is registered correctly
    - add debian/testing/xpcshell-package-tests/test_langpack_chrome.js
    - update debian/testing/xpcshell-package-tests/xpcshell.ini
  * Disable failing xpcshell tests
    - add d/p/test-overrides/xpcshell-disable-failing-tests.patch
    - update debian/patches/series.in
  * Add JUnit output support for reftests
    - add d/p/test-integration/reftest-output-junit-xml.patch
    - update debian/patches/series.in
    - update debian/testing/run_reftest.in
  * Allow xpcshell tests to be run with JUnit outputting, and include a fix
    to make sure that the output matches the schema
    - update debian/testing/run_xpcshell_tests.in
    - add d/p/test-integration/xpcshell-output-valid-junit-xml.patch
    - update debian/patches/series.in
  * Add JUnit output support for mochitests
    - add d/p/test-integration/mochitest-output-junit-xml.patch
    - update debian/patches/series.in
    - update debian/testing/run_mochitest.in
  * Turn on JUnit XML output for all tests
    - update debian/build/mozbuild.mk
    - update debian/tests/crashtest
    - update debian/tests/jstestbrowser
    - update debian/tests/mochitest
    - update debian/tests/reftest
    - update debian/tests/xpcshell-package-tests
    - update debian/tests/xpcshell-tests
  * Fix a tab versus space issue in debian/build/mozbuild.mk
  * Refresh debian/patches/fix-broken-langpack-install-manifests.patch
  * Create the test results directory
    - update debian/tests/crashtest
    - update debian/tests/jstestbrowser
    - update debian/tests/mochitest
    - update debian/tests/reftest
    - update debian/tests/xpcshell-package-tests
    - update debian/tests/xpcshell-tests
  * Tidy up search xpcshell test fixes
    - drop d/p/test-fixes/xpcshell-search-fix-const-redeclaration.patch
    - update d/p/test-fixes/xpcshell-search-fix-browser-dirprovider.patch
    - update debian/patches/series.in
  * Install the test plugins in the testsuite directory so that they
    aren't visible to the normal browser
    - update debian/firefox-testsuite.install.in
    - update debian/firefox-testsuite.links.in
    - update debian/testing/run_xpcshell_tests.in
    - update debian/testing/testrunhelper.py
  * Fix test_ubuntu_useragent.js to work on channels other than Nightly
    - update debian/testing/xpcshell-package-tests/test_ubuntu_useragent.js
  * In test_ubuntu_useragent.js, check for the hardcoded buildid on official
    branded builds, and set up the appinfo with the actual build ID
    - update debian/testing/xpcshell-package-tests/head_package_tests.js
    - update debian/testing/xpcshell-package-tests/test_ubuntu_useragent.js
  * In test_langpack_chrome.js, only test the actual translation of
    general.useragent.locale on non-nightly builds, as the nightly translations
    aren't as complete. On nightly builds, just check that the correct locale
    is selected for the global package
    - update debian/testing/xpcshell-package-tests/test_langpack_chrome.js
  * Move duplicated code in to one place
    - update debian/testing/xpcshell-package-tests/head_package_tests.js
    - update debian/testing/xpcshell-package-tests/test_langpack_chrome.js
    - update debian/testing/xpcshell-package-tests/test_langpack_load.js
    - update debian/testing/xpcshell-package-tests/test_locale_matchOS_real.js
    - update debian/testing/xpcshell-package-tests/test_searchplugins_valid_real.js
    - update debian/testing/xpcshell-package-tests/test_ubuntu_searchplugins_real.js
    - update debian/testing/xpcshell-package-tests/test_ubuntu_useragent.js
  * Split mochitests in to separate autopkgtest test scripts so that we can
    propagate error codes from test harness failure without affecting other
    mochitest stages
    - update debian/tests/control
    - update debian/tests/mochitest
    - add debian/tests/mochitest-browser
    - add debian/tests/mochitest-chrome
    - add debian/tests/mochitest-a11y
    - add debian/tests/mochitest-ipcplugins
  * Fix an exception that caused mochitests to hang after hitting failures
    - update d/p/test-integration/mochitest-output-junit-xml.patch
  * Backport patch from Nightly to fix a build failure due to name
    lookup changes in gcc 4.7
    - add debian/patches/gcc-4.7-name-lookup-fixes.patch
    - update debian/patches/series.in

  [ Jean-Baptiste Lallement <jean-baptiste@ubuntu.com> ]
  * Allow the autopkgtest harness to specify a location for test results
    - update debian/tests/crashtest
    - update debian/tests/jstestbrowser
    - update debian/tests/mochitest
    - update debian/tests/reftest
    - update debian/tests/xpcshell-package-tests
    - update debian/tests/xpcshell-tests
    - update debian/build/mozbuild.mk

  [ Drey ]
  * Use a local favicon in the DuckDuckGo searchplugin (LP: #1120991)
    - update debian/searchplugins/en-US/duckduckgo.xml

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 28 Mar 2013 01:22:41 +0000

firefox (19.0.2+build1-0ubuntu1) raring; urgency=low

  * New upstream stable release (FIREFOX_19_0_2_BUILD1)
    - see LP: #1152052 for USN information

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 07 Mar 2013 11:33:49 +0000

firefox (19.0+build1-0ubuntu2) raring; urgency=low

  * Update globalmenu-extension to 3.7.2
    - Fix various imagelib related crashes (LP: #1134409)

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 27 Feb 2013 14:35:00 +0000

firefox (19.0+build1-0ubuntu1) raring; urgency=low

  * New upstream stable release (FIREFOX_19_0_BUILD1)

  * Switch to the release channel
    - update debian/config/branch.mk
    - update debian/control.in
    - disable Mongolian and Swahili

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 26 Feb 2013 11:30:08 +0000

firefox (19.0~b6+build1-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_19_0b6_BUILD1)

  * Update globalmenu-extension to 3.7.1
    - Revert "convert document observer to JS". It's only needed for Firefox
      20, and it seems to be causing some problems

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 15 Feb 2013 22:24:53 +0000

firefox (19.0~b5+build1-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_19_0b5_BUILD1)

  * Refresh debian/patches/fix-broken-langpack-install-manifests.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 06 Feb 2013 18:52:24 +0000

firefox (19.0~b4+build1-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_19_0b4_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 04 Feb 2013 09:55:55 +0000

firefox (19.0~b3+build1-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_19_0b3_BUILD1)

  * Refresh debian/patches/fix-broken-langpack-install-manifests.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 25 Jan 2013 15:16:37 +0000

firefox (19.0~b2+build1-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_19_0b2_BUILD1)

  * Fix LP: #1098312 - Some language packs don't load in Firefox 18
    - add debian/patches/fix-broken-langpack-install-manifests.patch
    - update debian/patches/series.in
  * Drop revert-restartless-language-packs.patch, as this changeset has
    been backed out upstream now

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 16 Jan 2013 10:33:28 +0000

firefox (19.0~b1+build2-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_19_0b1_BUILD2)

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 08 Jan 2013 21:19:54 +0000

firefox (19.0~b1+build1-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_19_0b1_BUILD1)
    - Fix LP: #1096286 - 404 error when using Chambers (UK) search.
      Temporarily remove the plugin

  * Update globalmenu-extension to r3.7
    - Update for imagelib changes in Firefox 19 and 20
    - Update for nsCAutoString removal in Firefox 19
    - Don't #include mozilla/dom/Element.h anywhere, as that now pulls
      in a lot of internal headers since Firefox 19
    - implement the mutation observer in JS, as it's no longer possible
      to do it all in native code
  * Fix LP: #1064423 - "Submitting your report..." shows missing-icon icon.
    Install the throbber icon in the package
    - update debian/firefox.install.in
  * Refresh patches
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/ionmonkey-hardfp-support.patch
    - update debian/patches/python-virtualenv-multiarch-fix.patch
  * Switch to encrypted search for Google
    - update debian/searchplugins/en-GB/google.xml
    - update debian/searchplugins/en-US/google.xml
    - update debian/searchplugins/en-ZA/google.xml
    - update debian/searchplugins/ja/google-jp.xml
    - update debian/searchplugins/ku/google-ku.xml
  * Fix LP: #1094376 - Language pack isn't used. Revert bmo: #677092 (make
    language packs restartless) for now, as system-wide bootstrapped addons
    with chrome are pretty broken
    - add debian/patches/revert-restartless-language-packs.patch
    - update debian/patches/series.in

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 08 Jan 2013 12:44:17 +0000

firefox (18.0~b7+build1-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_18_0b7_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 02 Jan 2013 09:25:24 +0000

firefox (18.0~b5+build1-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_18_0b5_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Sun, 23 Dec 2012 23:01:46 +0000

firefox (18.0~b4+build1-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_18_0b4_BUILD1)

  * Make python-virtualenv compatible with the Python multiarch changes
    - add debian/patches/python-virtualenv-multiarch-fix.patch
    - update debian/patches/series.in
  * Backport bmo: #802358 from Firefox 20 (add hardfp support to ionmonkey)
    - add debian/patches/ionmonkey-hardfp-support.patch
    - update debian/patches/series.in

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 13 Dec 2012 20:54:49 +0000

firefox (18.0~b2+build1-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_18_0b2_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 29 Nov 2012 14:48:00 +0000

firefox (18.0~b1+build1-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_18_0b1_BUILD1)

  * Update globalmenu-extension to 3.6.4
    - Fix a build ordering issue causing the install.rdf to be missed
      from the addon xpi
  * Enable profiling on nightly builds
    - update debian/config/mozconfig.in
  * Drop patches fixed upstream
    - remove debian/patches/fix-for-bmo795395.patch
    - update debian/patches/series.in
  * Turn on Network Manager integration
    - update debian/vendor-gre.js
  * Update favicon for Google searchplugin
    - update debian/searchplugins/en-GB/google.xml
    - update debian/searchplugins/en-US/google.xml
    - update debian/searchplugins/en-ZA/google.xml
    - update debian/searchplugins/ja/google-jp.xml
    - update debian/searchplugins/ku/google-ku.xml

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 21 Nov 2012 13:23:51 +0000

firefox (17.0~b6+build1-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_17_0b6_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 14 Nov 2012 20:41:33 +0000

firefox (17.0~b5+build1-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_17_0b5_BUILD1)

  * Update globalmenu-extension to 3.6.3
    - revert "Don't override the binding on menupopups if we aren't exporting
      the menubar remotely", as this broke the Edit menu

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 08 Nov 2012 09:38:15 +0000

firefox (17.0~b4+build1-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_17_0b4_BUILD1)

  * Build with --disable-webrtc on all architectures except for i386 and amd64
    - update debian/config/mozconfig.in

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 05 Nov 2012 09:42:21 +0000

firefox (17.0~b3+build1-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_17_0b3_BUILD1)

  * Update globalmenu-extension to 3.6.2
    - Fix crash in uGlobalMenu::InitializePopup
    - Don't override the binding on menupopups if we aren't exporting
      the menubar remotely
    - Fix issue with stale entries being left in the Recently Closed
      Tabs / Windows menus
    - Make logging work correctly on debug builds
    - Handle submenu's being reopened without getting a close event
      in between. We don't seem to get a close event when a menuitem
      is activated
  * Switch to beta
    - update debian/config/branch.mk
  * Enable beta only language support (Mongolian and Swahili)
    - update debian/config/locales.shipped
    - refresh debian/control
  * Install the web app support
    - update debian/firefox-globalmenu.links.in
    - update debian/firefox.dirs.in
    - update debian/firefox.install.in
    - update debian/patches/series.in
    - add debian/patches/webapprt-support-for-langpacks.patch
    - update debian/rules
  * Fix quoting issues when parsing preferences
    - update debian/apport/source_firefox.py.in
  * Refresh patches
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/unity-globalmenu-build-support.patch
    - update debian/patches/fix-for-bmo795395.patch
  * Drop obsolete patches
    - remove debian/patches/add-nativehandle-attribute.patch
    - update debian/patches/series
  * Don't ship empty ".mkdir.done" files in our packages. This should probably
    be fixed in the upstream build system, but we'll do a temporary band-aid
    fix in the packaging for now just so we can get some builds
    - update debian/build/mozbuild.mk
  * Turn off searchplugin override verification for now

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 26 Oct 2012 12:52:09 +0100

firefox (16.0.2+build1-0ubuntu0.12.10.1) quantal-security; urgency=low

  * New upstream stable release (FIREFOX_16_0_2_BUILD1)
    - see LP: #1071392 for USN information

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 25 Oct 2012 16:00:46 -0500

firefox (16.0.1+build1-0ubuntu1) quantal-security; urgency=low

  * New upstream stable release (FIREFOX_16_0_1_BUILD1)
    - see LP: #1065285 for USN information

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 10 Oct 2012 18:35:29 +0100

firefox (16.0+build1-0ubuntu1) quantal-security; urgency=low

  * New upstream stable release (FIREFOX_16_0_BUILD1)
    - see LP: #1062611 for USN information

  * Update globalmenu-extension to 3.5.4
    - Fix crash in uGlobalMenuDocListener::HandleMutations
  * Drop StartupWMClass from the desktop file, as it isn't actually
    required by gnome shell or unity
    - update debian/firefox.desktop.in
  * Refresh patches
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/dont-override-general-useragent-locale.patch
  * Drop compare-locales from the packaging, and just check out the current
    version when we create the tarball
    - update debian/build/mozbuild.mk
    - update debian/build/create-tarball.py
    - remove debian/build/compare-locales
  * Generate a list of the search engines that we modify and store this
    in bzr, rather than determining this list at build time. We refresh
    the list in the clean target and fail the build if anything changes.
    This ensures that any upstream changes to the search engine list
    for any locale will not go unnoticed and will force a manual check
    to ensure that we are shipping correctly modified search engines
    - add debian/build/refresh-search-modifications.pl
    - update debian/build/mozbuild.mk
    - add debian/config/search-mods.list
    - rename debian/build/check-search-overrides.pl =>
        debian/build/verify-search-overrides.pl
  * Drop obsolete autocomplete-theme-tweak patch now
    - remove debian/patches/autocomplete-theme-tweak.patch
    - update debian/patches/series
  * Fix for bmo: #795395
    - add debian/patches/fix-for-bmo795395.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 05 Oct 2012 19:16:08 +0100

firefox (15.0.1+build1-0ubuntu4) quantal-proposed; urgency=low

  * Update globalmenu-extension to 3.5.1
    - Fix LP: #1051152 - Crash in nsIContent::SetAttr with greasemonkey
      installed
    - Improve handling of radio items, and work correctly for radio items
      without a name (fixes the View -> Page Style submenu)
    - Stop causing nested DOM mutations. There is a big warning about doing
      this in nsIMutationObserver.h
    - Delay processing of DOM mutations during code sections when we are
      dispatching events. This should prevent a recurrence of
      reentrancy-triggered crashes such as LP: #1025011, LP: #1035305 and
      LP: #1051152, which have been exposed by updates of third-party addons
      recently and caused because our view of the menu changes during
      event delivery

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 27 Sep 2012 13:21:18 +0100

firefox (15.0.1+build1-0ubuntu2) quantal; urgency=low

  * Repeat after me:
    - DO NOT UPLOAD BEFORE DRINKING COFFEE
    - DO NOT UPLOAD BEFORE DRINKING COFFEE
    - ....

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 07 Sep 2012 09:14:01 +0200

firefox (15.0.1+build1-0ubuntu1) quantal; urgency=low

  * New upstream stable release (FIREFOX_15_0_1_BUILD1)

  * Fix LP: #1040313 - expose scriptable native window handle
    - add debian/patches/add-nativehandle-attribute.patch
    - update debian/patches/series.in

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 06 Sep 2012 10:59:59 +0100

firefox (15.0+build1-0ubuntu1) quantal; urgency=low

  * New upstream stable release (FIREFOX_15_0_BUILD1)
    People running quantal should consider switching to the Firefox beta PPA
    next week to start testing Firefox 16, which will be released to Ubuntu
    12.10 on around 9th October
    - https://launchpad.net/~mozillateam/+archive/firefox-next

  * Update globalmenu-extension to 3.4 final

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 24 Aug 2012 22:41:20 +0100

firefox (15.0~b6+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (FIREFOX_15_0b6_BUILD1)

  * Add Acholi to the locale blacklist

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 22 Aug 2012 17:27:31 +0100

firefox (15.0~b5+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (FIREFOX_15_0b5_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 20 Aug 2012 11:22:04 +0100

firefox (15.0~b4+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (FIREFOX_15_0b4_BUILD1)

  * Update globalmenu-extension to 3.4 prerelease r435
    + Drop the edit UI workarounds
    + Fixes for LP: #1035305 - Crash when switching apps back to Firefox
      with Firebug installed
      - Keep the menu we export in sync with the document tree all of the
        time, rather than only when the menus are on screen. The HUD likes to
        open submenus without opening any of its ancestors, which can result in
        us handling events on menu nodes that are no longer in a document
        if an ancestor responds to a bubbled-up event by removing its
        children
      - Ensure we always null check the result of nsIDocument::GetCurrentDoc
    + When tearing down a menu, make sure that we empty out our DbusmenuMenuitem
      in case the parent reuses that item for another menu. Fixes a memory leak
      and an issue where Firebug menu items are duplicated indefinitely each
      time a menu is opened

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 11 Aug 2012 01:24:44 +0100

firefox (15.0~b2+build1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release from the beta channel (FIREFOX_15_0b2_BUILD1)

  * Update globalmenu-extension to 3.4 prerelease r422
    + Fixes for LP: #1025011 - HUD search crashes Firefox when Firebug
      is installed
      - Provide our own binding for menupopup nodes which derives from the
        default binding and makes the "state" property work as if there
        were a frame
      - Make all menu nodes reference counted, and hold a strong ref when
        dispatching events, in case the event results in the removal of menu
        nodes

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 25 Jul 2012 17:23:35 +0100

firefox (15.0~b1+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (FIREFOX_15_0b1_BUILD1)

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Update globalmenu-extension to 3.3
  * Disable PGO again
    - update debian/config/branch.mk
  * Separate the package name from the application name in various places.
    This enables us to change the package name without having to modify the
    application or packaging (eg, to allow us to provide official branded
    versions of Firefox ESR using the package name "firefox-esr")
    - update debian/README.Debian.in
    - update debian/apport/source_firefox.py.in
    - update debian/build/get-orig-source.mk
    - update debian/control{,.in}
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - update debian/firefox-locale.preinst.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.lintian-overrides.in
    - update debian/firefox.postinst.in
    - update debian/firefox.postrm.in
    - update debian/firefox.preinst.in
    - update debian/firefox.sh.in
    - remove debian/patches/change-moz-app-name.patch
    - update debian/patches/series
    - update debian/rules
    - update debian/usr.bin.firefox.apparmor.*
  * Move parts of debian/rules that can be shared with Thunderbird to a
    new, common file (mozbuild.mk)
    - update debian/rules
    - add debian/build/mozbuild.mk
    - add debian/build/mozvars.mk
    - update debian/build/testsuite.mk
  * Make it possible to use the same create-tarball.py for Firefox and
    Thunderbird
    - update debian/build/create-tarball.py
    - update debian/build/get-orig-source.mk
    - add debian/config/tarball.conf
  * Switch to source format 3.0
    - add debian/source/format
    - add debian/source/options to diff-ignore the .mozclient.mk file which
      is created during clean, and to pass "--no-preparation"
    - update debian/build/enable-dist-patches.pl
    - rename debian/patches/series => debian/patches/series.in so the source
      isn't built with patches applied
    - update debian/README.source
  * Goodbye embedded tarball, and our use of tarball.mk!
    - update debian/build/create-tarball.py
    - update debian/build/extract-file.py
    - update debian/build/get-orig-source.mk
    - update debian/build/mozbuild.mk
  * Run the upstream cleansrcdir target during clean
    - update debian/build/mozbuild.mk
  * Refresh patches
    - update debian/patches/mozilla-kde.patch
  * Drop the plugin / abrowser / firefox-branding replaces + breaks on quantal
    - update debian/rules
  * Support the "parallel" option in DEB_BUILD_OPTIONS
    - update debian/build/mozbuild.mk
    - update debian/config/mozconfig.in
  * Drop some of the complex shell script for creating language packs
    - update debian/build/mozbuild.mk
    - update debian/build/get-xpi-id.py
  * Drop searchplugin patches - these patches are an absolute pain to maintain,
    as they seem to break frequently and we have to touch each localized
    plugin. Instead, just keep our own copy of plugins we modify, and add
    these in to the language packs at the end of the build process
    - remove debian/patches/ubuntu-codes-google.patch
    - remove debian/patches/ubuntu-codes-amazon.patch
    - remove debian/patches/ubuntu-codes-baidu.patch
    - update debian/patches/series.in
    - update debian/build/mozbuild.mk
    - add debian/searchplugins/*
  * Get rid of pointless python script
    - remove debian/build/extract-file.py
    - update debian/build/mozbuild.mk
  * Add an automated check for finding search engines that match particular
    patterns and verifying that they are replaced with our own search
    engine if we think they should be
    - add debian/build/check-search-overrides.pl
    - update debian/build/mozbuild.mk
    - add debian/searchplugins/overrides.json
    - update debian/control{,.in}
  * Drop reload-new-plugins.patch, as this shouldn't actually be needed
    - remove debian/patches/reload-new-plugins.patch
    - update debian/patches/series.in
  * Merge get-orig-source.mk in to mozbuild.mk
    - update debian/build/mozbuild.mk
    - remove debian/build/get-orig-source.mk
  * Handle comments in locales.blacklist
    - update debian/build/refresh-supported-locales.pl
    - update debian/config/locales.blacklist
  * Fork the upstream text preprocessor and add support for additional
    comparison operators, which means we no longer have to add new
    defines for every distro version specific change we add
    - add debian/build/Expression.py
    - add debian/build/Preprocessor.py
    - update debian/apport/source_firefox.py.in
    - update debian/build/mozbuild.mk
    - update debian/config/mozconfig.in
    - update debian/firefox-dev.install.in
    - update debian/firefox-locale.preinst.in
    - update debian/firefox.desktop.in
    - update debian/firefox.dirs.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.postinst.in
    - update debian/firefox.postrm.in
    - update debian/firefox.preinst.in
    - update debian/firefox.prerm.in
    - update debian/rules
  * Refresh shipped locales
  * Drop powerpc patches, which are fixed upstream
    - remove debian/patches/fix-dtoa-build-on-ppc.patch and
    - remove debian/patches/fix-build-failure-without-yarr-jit.patch
    - update debian/patches/series.in
  * Drop fix-crashreporter-ftbfs-with-gcc4.7.patch, which is fixed upstream

  [ Adam Conrad <adconrad@ubuntu.com> ]
  * Add no_neon_on_arm.patch to skip the NEON tests on ARM, since we
    don't build with NEON by default on either of our ARM architectures

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 23 Jul 2012 12:18:19 +0100

firefox (14.0.1+build1-0ubuntu1) quantal; urgency=low

  * New upstream stable release

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 14 Jul 2012 23:44:16 +0100

firefox (14.0~b12+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (FIREFOX_14_0b12_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 11 Jul 2012 19:46:08 +0100

firefox (14.0~b11+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (FIREFOX_14_0b11_BUILD1)

  [ Ben Collins <ben.collins@ubuntu.com> ]
  * Cherry pick patch from aurora to use YARR interpreter on ppc
    - update debian/patches/fix-build-failure-without-yarr-jit.patch
    - update debian/patches/series
  * Fix ppc build due to new dtoa library
    - add debian/patches/fix-dtoa-build-on-ppc.patch
    - update debian/patches/series

  [ Matthieu Baerts (matttbe) ]
  * debian/apport/source_firefox.py.in:
    - Update apport hook for python3

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 04 Jul 2012 17:01:45 +0100

firefox (14.0~b10+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (FIREFOX_14_0b10_BUILD1)

  * Update globalmenu-extension to 3.3 prerelease r388
    - Fix a crash in uGlobalMenu::RecycleList::~RecycleList()
  * Drop debian/patches/plugin-for-mimetype-pref.patch. The burden of
    carrying this is starting to outweigh the benefits of it

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 27 Jun 2012 10:37:38 +0100

firefox (14.0~b9+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (FIREFOX_14_0b9_BUILD1)

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Update globalmenu-extension to 3.3 prerelease r386
    - Fix LP: #1016081 - Menubar is not hidden when using the Firefox
      button outside of Unity
    - Fix LP: #775305 - An empty menu appears when FFChrome is installed
    - Fix LP: #1017247 - Menubar appears in the window as well as the
      Unity panel. Manually register our UA stylesheet rather than relying
      on this happening via chrome registration, to work around a bug
      in various bootstrapped third party addons (eg, pentadactyl),
      which initialize and use the stylesheet service before extension
      chrome is registered for non-restartless addons such as ours
    - Add a small delay when opening the menu with the keyboard, so that
      the additional items are added before the menu appears. Fixes an
      issue where keyboard focus isn't on the first item when opening the
      history menu with the keyboard
  * Apport hook improvements:
    - Sort preferences alphabetically in the apport data
    - Treat preferences set in default addons as default prefs so that
      they don't show up in apport data, unless the preference files have
      been modified
    - Support random pref files dropped in to the Firefox install folder, and
      preferences from application bundles
    - Fix ordering issues when loading preferences
  * Fix LP: #1013171 - Fully support Python 3 in the apport hook
    - update debian/apport/source_firefox.py.in

  [ Martin Pitt <martin.pitt@ubuntu.com> ]
  * Add partial support for Python 3 in the apport hook (LP: #1013171)
    - update debian/apport/source_firefox.py.in

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 21 Jun 2012 11:15:26 +0100

firefox (14.0~b8+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (FIREFOX_14_0b8_BUILD1)

  * Update globalmenu-extension to 3.3 prerelease r369
    - Fix LP: #1010580 - No choice of folder when adding a bookmark from
      the bookmark menu
    - Fix LP: #775080 - Thunderbird with Firetray/MinimizeToTray -
      Global menu disappears
    - Fix LP: #813775 - Hitting an assertion in dbusmenu
    - Fix LP: #861565 - No buttons in the "Show All Bookmarks" dialog

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 20 Jun 2012 18:17:11 +0100

firefox (14.0~b7+build1-0ubuntu2) quantal; urgency=low

  * Fix LP: #1013186 - install our vendor preferences as application
    defaults rather than GRE defaults, so that they are loaded after
    the upstream defaults again. The upstream defaults were also moved
    as part of the webapp runtime work (which has it's own application
    defaults)
    - update debian/firefox.install.in
    - update debian/firefox.links.in

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 14 Jun 2012 15:10:21 +0100

firefox (14.0~b7+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (FIREFOX_14_0b7_BUILD1)

  * Kill the SDK - nothing in the archive depends on it (note, we still
    provide the NPAPI SDK though)
    - update debian/firefox-dev.install.in
    - update debian/firefox-dev.links.in
  * Don't support PGO builds on armhf. The builders are incapable of
    building it
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 13 Jun 2012 16:15:03 +0100

firefox (14.0~b6+build2-0ubuntu2) quantal-proposed; urgency=low

  * It seems that the preferences moved back again. Thanks for that last minute
    change, it's most appreciated!
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/apport/source_firefox.py.in

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 06 Jun 2012 09:43:50 +0100

firefox (14.0~b6+build2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release from the beta channel (FIREFOX_14_0b6_BUILD1)

  * Update globalmenu-extension to 3.2.4 prerelease r338
  * Refresh patches
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/plugin-for-mimetype-pref.patch
    - update debian/patches/ubuntu-codes-google.patch
    - update debian/patches/add-syspref-dir.patch
  * Drop patches fixed upstream
    - remove debian/patches/revert-bmo-621446-investigation.patch
    - remove debian/patches/fix-ftbfs-in-test-poison-area-with-gcc4.7.patch
    - update debian/patches/series
  * Add Keywords to the desktop file
    - update debian/firefox.desktop.in
  * Update desktop file translations
    - update debian/firefox.sh.in
  * Ensure that additional actions in the desktop file match the fd.o spec
    in precise and newer
    - update debian/firefox.desktop.in
    - update debian/rules
  * Fix a small leak in nsPluginHost::FindPluginForType, caused by one
    of our patches
    - update debian/patches/plugin-for-mimetype-pref.patch
  * When a plugin is chosen using a "modules.plugins.mimetype." pref,
    only use it if it is enabled and handles the requested mimetype
    - update debian/patches/plugin-for-mimetype-pref.patch
  * Drop the application/vnd.mozilla.xul+xml mimetype from the desktop file.
    Firefox hasn't been able to view XUL files from non-chrome URI's since
    version 4.0
    - update debian/firefox.desktop.in
  * Add application/x-xpinstall to the MimeType field of the desktop file
    - update debian/firefox.desktop.in
  * Drop the ability to select between tree/system libraries using a single
    option in debian/rules. It adds additional complexity and was never used
    - update debian/config/mozconfig.in
    - update debian/control.in
    - update debian/firefox-dev.install.in
    - update debian/firefox-dev.links.in
    - update debian/pkgconfig/libxul.pc.in
    - update debian/rules
  * Pref location changed to defaults/preferences
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/apport/source_firefox.py.in
  * Update StartupWMClass to the correct name
    - update debian/firefox.desktop.in
    - update debian/rules
  * Add search plugin for DuckDuckGo
  * Fix LP: #1000820 - firefox-dev conflicts with xulrunner-1.9-dev for
    people with the latter still installed
    - update debian/control{,.in}
  * Add Fulah to locales.blacklist

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 05 Jun 2012 22:29:35 +0100

firefox (13.0~b7+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (FIREFOX_13_0b7_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 01 Jun 2012 16:23:01 +0100

firefox (13.0~b6+build1-0ubuntu2) quantal; urgency=low

  * Switch back to GCC 4.7 now that the issues with bitfield stores are
    fixed, and also reenable PGO (LP: #1003733)
    - update debian/config/branch.mk
    - update debian/control{,.in}

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 31 May 2012 13:52:01 +0100

firefox (13.0~b6+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (FIREFOX_13_0b6_BUILD1)

  * Fix for NSS libs not being signed, breaking FIPS
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 29 May 2012 10:24:57 +0100

firefox (13.0~b5+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (FIREFOX_13_0b5_BUILD1)

  * Switch back to gcc 4.6 until LP #1003733 is fixed. This means we also
    turn off PGO again
    - update debian/config/branch.mk
  * Single quotes in preference values break the Apport hook
    - update debian/source_firefox.py.in

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 26 May 2012 00:05:19 +0100

firefox (13.0~b4+build1-0ubuntu4) quantal; urgency=low

  * Shuffle the order of google-breakpad/src/common/dwarf/Makefile.in to fix a
    variable substitution issue, which was causing some objects to be built with
    the wrong compiler flags, resulting in dump_syms crashing (LP: #1002590)
    - add debian/patches/fix-makefile-substitution-bug.patch
  * Build with --disable-methodjit on armel in quantal
    - update debian/config/mozconfig.in
  * Turn crash reporter back on again
    - update debian/config/branch.mk

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 22 May 2012 17:38:38 +0100

firefox (13.0~b4+build1-0ubuntu3) quantal; urgency=low

  * Turn off the crash reporter again, as dump_syms crashes when building
    the breakpad symbols in the build with gcc 4.7 (how ironic!). Needs
    further investigation
    - update debian/config/branch.mk
  * Don't build with --enable-thumb2 on armel in Quantal
    - update debian/rules
    - update debian/config/mozconfig.in
  * Whitelist the architectures we care about for PGO (i386, amd64 and armhf). 
    - update debian/build/mozbuild.mk

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 22 May 2012 02:23:57 +0100

firefox (13.0~b4+build1-0ubuntu2) quantal; urgency=low

  * Fix weird build failure caused by running clean target without xutils-dev
    installed, exposed by turning on PGO
    - add debian/patches/fix-clean-with-pgo.patch
    - update debian/patches/series
  * Update debian/patches/make-makefile-test-fix.patch to actually do the
    right thing this time

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 18 May 2012 03:23:08 +0100

firefox (13.0~b4+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (FIREFOX_13_0b4_BUILD1)

  * Build with PGO. This will probably get turned off again later in the
    quantal cycle though
    - update debian/config/branch.mk
  * Backport patch from mozilla-central to fix a crashreporter build
    failure with gcc 4.7
    - add debian/patches/fix-crashreporter-ftbfs-with-gcc4.7.patch
    - update debian/patches/series
  * Turn the crashreporter back on again
    - update debian/rules
  * Fix make-makefile test failure when the build directory contains
    perl regexp control characters
    - add debian/patches/make-makefile-test-fix.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 17 May 2012 18:13:24 +0100

firefox (13.0~b3+build1-0ubuntu1) quantal; urgency=low

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * New upstream release from the beta channel (FIREFOX_13_0b3_BUILD1)

  * Refresh build-depends:
    - Bump minimum GTK version to 2.14 as we build with GIO support
    - Add minimum requirement for glib (2.18)
    - Drop libidl-dev, this doesn't appear to be needed now
    - Bump minimum NSPR version to 4.9.0 for --enable-system-nspr builds
    - Bump minimum sqlite version to 3.7.10 for --enable-system-sqlite
      builds
    - Bump minimum NSS version to 3.13.2 for --enable-system-nss builds
  * Refresh patches:
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/ubuntu-codes-google.patch
    - update debian/patches/dont-include-hyphenation-patterns.patch
  * Clean up the file exclude list and add comments for excluded files
    - update debian/build/create-tarball.py
  * Make it easy to run Firefox in valgrind for builds that are compiled
    with explicit valgrind support
    - update debian/firefox.sh.in
  * Bump debhelper compat to 7
    - update debian/apport/blacklist.in
    - update debian/apport/source_firefox.py.in
    - update debian/compat
    - update debian/config/mozconfig.in
    - update debian/control.in
    - update debian/firefox-dev.install.in
    - update debian/firefox-dev.links.in
    - update debian/firefox-globalmenu.dirs.in
    - update debian/firefox-gnome-support.install.in
    - update debian/firefox.dirs.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.postinst.in
    - update debian/firefox.preinst.in
    - update debian/firefox.sh.in
    - update debian/pkgconfig/libxul.pc.in
    - update debian/pkgconfig/mozilla-nspr.pc.in
    - update debian/pkgconfig/mozilla-plugin.pc.in
    - update debian/rules
    - update debian/usr.bin.firefox.apparmor.10.04
    - update debian/usr.bin.firefox.apparmor.10.10
    - update debian/usr.bin.firefox.apparmor.11.04
    - update debian/usr.bin.firefox.apparmor.12.04
    - update debian/usr.bin.firefox.apparmor.9.10
  * Override 2 embedded-library lintian errors
    - update debian/firefox.lintian-overrides.in
  * Drop debian/patches/distro-locale-searchplugins after landing of
    bmo: #515232
  * Don't hardcode general.useragent.locale to en-US, now that it's used
    for searchplugin localization. This means we can drop this pref from
    ubufox
    - add debian/patches/dont-override-general-useragent-locale.patch
    - update debian/patches/series
  * Drop patches fixed upstream
    - remove debian/patches/no-sps-profiler-on-unsupported-archs.patch
    - remove debian/patches/avoid-dbus-roundtrip-for-httpchannel.patch
    - update debian/patches/series
  * Apport hook improvements:
    - Add support for reporting preference defaults that are set by extensions
    - When reporting preferences, record the source of each preference
    - Report plugin packages for plugins that are installed with the
      package manager
    - Add some addon manager related prefs to the whitelist
    - Display additional metadata in the extensions report
    - Take "default-to-compatible" in to account when determining whether
      the user is running incompatible addons
    - Attach submitted crash ID's to bug reports
    - Report if files in the profile folder have broken permissions
    - Report errors when parsing preferences and plugins
    - Handle preferences spanning across multiple lines
  * Fix LP: #993273 - Exception thrown in Apport hook with preferences
    which have empty values
    - update debian/apport/source_firefox.py.in
  * Update compare-locales to 0.9.5
  * Disable crash reporter on quantal
    - update debian/rules
  * Fix a build failure in TestPoisonArea.cpp with gcc 4.7
    - add debian/patches/gcc-4.7-fix-in-test-poison-area.patch
    - update debian/patches/series

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * adjust apparmor profile to deny reads to @{PROC}/[0-9]*/net/dev. Patch
    thanks to James Troup (LP: #955066)
  * adjust apparmor profile to deny reads to @{PROC}/[0-9]*/net/wireless.
    Patch thanks to James Troup (LP: #974141)

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 09 May 2012 14:26:15 -0700

firefox (12.0+build1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream stable release (FIREFOX_12_0_BUILD1)
    - see LP: #987262 for USN information

  * Update globalmenu-extension to 3.2.3
    - Fix regression introduced by the fix for LP: #915888
  * Firefox recommends libcanberra0 now that bmo: #635918 has landed
    - update debian/control{,in}
  * Refresh patches
    - update debian/patches/avoid-dbus-roundtrip-for-httpchannel.patch
    - update debian/patches/no-sps-profiler-on-unsupported-archs.patch
    - update debian/patches/ubuntu-codes-google.patch
  * Refresh locales
    - refresh debian/config/locales.all
    - refresh debian/control
  * Make the language packs Architecture: any. Whilst they are actually
    architecture independent, we do install them in to /usr/lib (as the
    extensions location is shared with architecture-specific extensions).
    This also avoids the problem of offering incompatible language pack
    upgrades to users on architectures where Firefox fails to build
    (I'm looking at you, powerpc)
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - update debian/rules
    - refresh debian/control
  * Disable fix-build-failure-without-yarr-jit.patch, as it needs some work.
    This means that there is currently no powerpc support

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 23 Apr 2012 13:13:27 +0100

firefox (11.0+build1-0ubuntu4) precise; urgency=low

  * Update globalmenu-extension to 3.2
    - Fix LP: #915888 - Handling of checkbox menuitems with a command
      node is completely broken
    - Make uGlobalMenu::RemoveMenuObjectAt work correctly when removed items
      are not contiguous
    - Don't try to recycle an item that wasn't a separator as an item that is
      a separator, as this breaks the menu (we already ensured that the reverse
      of this couldn't happen)

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 10 Apr 2012 11:44:48 +0100

firefox (11.0+build1-0ubuntu3) precise; urgency=low

  * Update globalmenu-extension to 3.1
    - Fix a crash where a menu is destroyed whilst there is a pending event
      to empty its recycle list

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 02 Apr 2012 16:19:01 +0100

firefox (11.0+build1-0ubuntu2) precise; urgency=low

  * Update globalmenu-extension to 3.0.1
    - Reduce our memory footprint a bit, which wasn't really a lot anyway
    - Avoid the use of the component manager for accessing commonly used
      services, where "commonly used" means "accessed when building every
      menu item". This should save some CPU cycles when building or
      refreshing menus
    - Try to recycle menuitems when they are removed from a menu by
      adding contiguous blocks of removed items to a "free list" which
      is emptied asynchronously, and reusing the items in this list when
      new items are added in place of the removed items. This means that
      refreshing the history menu contents when the menu is opened no
      longer alters the menu structure, but results in a shifting of
      properties between existing nodes instead. This has a few benefits:
      + With no layout changes, unity-panel-service doesn't request
        the entire menu structure, which significantly reduces dbus traffic
        and makes it much faster to refresh the menu contents
      + The size of the menu doesn't change when it is refreshed, which
        eliminates the flicker that used to occur when opening the history
        menu.
      + The HUD can refresh our menus now without triggering layout updates
        (assuming that menu layout really hasn't changed, eg, by adding
        a bookmark)
    - Remove all use of the global observer service for sending our own
      internal notifications around
    - Clean up the way we ensure that the correct edit commands are
      enabled by just installing our own popupshowing handler rather
      than using an additional notification to fix things up after the
      default handler runs
    - Get rid of a static initializer
    - Don't support older than Firefox 11
    - Fix some GError leaks
    - Hide the internal menu when creating a native menu, rather than
      waiting for confirmation that the native menu is registered
      successfully. We don't try to create a native menu if we don't
      find a menu service to register the menu with anyway
    - Keep menu contents updated whilst the menu is open, rather than
      just whilst it is opening

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 02 Apr 2012 08:30:28 +0100

firefox (11.0+build1-0ubuntu1) precise; urgency=low

  * New upstream stable release (FIREFOX_11_0_BUILD1)

  * Clean up search plugin installation now that we build our own
    language packs:
    - Drop the recursive symlink from /usr/lib/firefox-addons/searchplugins,
      which lintian kept complaining about
    - Don't effectively symlink distribution/searchplugins to searchplugins,
      as they have different layouts and this avoids the same data being
      iterated over twice
    - Revert to the upstream layout in distribution/searchplugins
    - Simplify distro-locale-searchplugins.patch, as we don't need to swap the
      loading order of common / locale-specific searchplugin paths now.
      $LIBDIR/distribution/searchplugins/common is no longer a symlink
      to $LIBDIR/searchplugins, so there is no need to have the ability for
      locale-specific plugins to override common ones. They already override
      those in $LIBDIR/searchplugins
      - add debian/firefox-locale.preinst.in, which will end up in all
        language packs to assist the symlink -> folder transition
      - update debian/firefox.dirs.in
      - update debian/firefox.install.in
      - update debian/firefox.links.in
      - update debian/firefox.preinst.in
      - update debian/patches/distro-locale-searchplugins.patch
      - update debian/rules
  * Fix LP: #807733 - Firefox doesn't restart after upgrades where the version
    changes. Don't include the version number in the install path, as Firefox
    cannot re-exec itself. In doing this, we also move the distribution.ini
    back in to our installation directory, as that never made sense in
    /usr/lib/firefox-addons
    - update debian/firefox-dev.install.in
    - update debian/firefox-dev.links.in
    - update debian/firefox-locale.preinst.in
    - update debian/firefox.lintian-overrides.in
    - update debian/firefox.preinst.in
    - update debian/rules
  * Expose distribution/extensions in /usr/lib/firefox-addons, to allow
    administrators to add extensions that they want to add to default user
    profiles, and that they want the addon manager to keep updated. We lost
    this functionality when upgrading from Firefox 3.6, due to the loss of
    /etc/firefox/profile
    - update debian/firefox.dirs.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.postinst.in

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 13 Mar 2012 14:05:38 +0000

firefox (11.0~b7+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_11_0b7_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 09 Mar 2012 11:07:47 +0000

firefox (11.0~b6+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_11_0b6_BUILD1)

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * debian/usr.bin.firefox.apparmor.*:
    - allow access to statm and smaps for about:memory (LP: #911494)
    - allow read access to files in /opt (LP: #728485)

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Update debian/patches/fix-build-failure-without-yarr-jit.patch
  * Fix LP: #926495 - Disable the SPS profiler on unsupported architectures
    - add debian/patches/no-sps-profiler-on-unsupported-archs.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 08 Mar 2012 16:15:52 +0000

firefox (11.0~b5+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_11_0b5_BUILD1)

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * debian/usr.bin.firefox.apparmor.12.04: fix typo (LP: #941293)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 02 Mar 2012 11:20:44 +0000

firefox (11.0~b4+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_11_0b4_BUILD1)

  * Update globalmenu-extension to 2.0.4
    - Add support for Firefox 12
    - Ensure we correctly hide dummy menu items
  * Fix LP: #915895 - Just set autoDisableScopes to 0. Other distributions
    are already doing this, and we already made this feature pretty much
    useless by allowing extensions in the application directory, so that our
    language packs aren't disabled by default
    - update debian/vendor.js
  * Fix LP: #926495 - Add patch based on one from bmo: #691898 to enable
    building on ppc again
    - add debian/patches/fix-build-failure-without-yarr-jit.patch
    - update debian/patches/series
  * Fix LP: #939657 - Don't call g_settings_new each time we create a HTTP
    channel. Doing this causes a dbus roundtrip, and results in us spamming
    the session bus unnecessarily
    - add debian/patches/avoid-dbus-roundtrip-for-httpchannel.patch
    - update debian/patches/series
  * Fix LP: #894166 - Make Firefox work with our system hyphenation patterns,
    and stop including our own
    - update debian/vendor.js
    - add debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/patches/series

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * debian/usr.bin.firefox.apparmor.12.04: include p11-kit abstraction (only
    needed on 12.04). LP: #918973

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 24 Feb 2012 14:55:30 +0000

firefox (11.0~b3+build2-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_11_0b3_BUILD2)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 16 Feb 2012 21:57:08 +0000

firefox (11.0~b2+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_11_0b2_BUILD1)

  * Refresh debian/patches/ubuntu-ua-string-changes.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 10 Feb 2012 20:24:39 +0000

firefox (11.0~b1+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_11_0b1_BUILD1)
    - Fix LP: #875266 - Firefox ignores GNOME3 proxy settings
    - Fix LP: #857153 - Needs to get accessibility settings from GSettings

  * Update globalmenu-extension to 2.0.3
  * Ensure that the crash reporter is disabled if rebuilt by Ubuntu
    derivatives, as there will be no crash symbols for those
    - update debian/rules
  * Only add "Ubuntu" to the UA string when being built for Ubuntu
    - update debian/rules
  * Drop obsolete Debian menu file
    - remove debian/firefox.menu.in
    - don't create a 32x32 xpm icon in debian/rules
    - drop the imagemagick build-depend in debian/control
  * Temporarily disable ipdl tests due to build failures. These aren't
    enabled upstream, anyway
    - update debian/config/mozconfig.in
  * Always set the update channel - not setting it at build-time on release
    builds breaks the extensions.checkCompatibility pref. The only things
    using it at runtime are nsBlocklistService, Test Pilot (beta + aurora)
    and the about dialog (where the channel is hidden anyway)
    - update debian/rules
    - update debian/firefox.install.in
  * Don't declare an extra DEB_ENABLE_THUMB2 variable, as it's only used
    for the mozconfig. Just do the "if DEB_HOST_ARCH == armel" check
    directly there instead
    - update debian/rules
    - update debian/config/mozconfig.in
  * Fix LP: #898883 - IPC xpcshell tests hang the buildd's. Give all
    xpcshell tests an X display, as plugin-container won't work without one
    - update debian/build/testsuite.mk
  * Turn on all IPC xpcshell tests again
    - update debian/build/testsute.mk
  * Drop the default-apps xml file from lucid and maverick - there is
    already one provided by gnome-control-center, which means that ours
    is only relevant for nightly builds. It's not worth the extra
    complexity for this
    - remove debian/firefox.xml.in
    - update debian/firefox-gnome-support.install.in
    - update debian/rules
  * Ship Test Pilot as a distribution addon, like upstream. This means
    that the addon manager can update it. It does also mean that it will
    remain installed in users profiles if they try the beta or aurora
    builds, but the Feedback button is disabled on release builds
    - update debian/firefox.install.in
    - fixes LP: #913357
  * Drop patches fixed upstream
    - remove debian/patches/fix-build-failure-without-yarr-jit.patch
    - remove debian/patches/fix-cursor-handling.patch
    - update debian/patches/series
  * Keep the firefox-kde-support suggest on releases older than precise
    for now
    - update debian/rules
  * Ensure that we suggest kmozillahelper on lucid
    - update debian/rules
  * Ensure that we replace kubuntu-firefox-installer on lucid
    - update debian/rules
  * Don't build with --disable-gconf on precise and newer. There won't be
    a hard runtime requirement on this from Firefox 12 anyway, and this
    keeps us closer to the upstream configuration
    - update debian/config/mozconfig.in
    - update debian/rules
  * Call xvfb-run with "-a" in case there are other servers running on the
    builder
    - update debian/build/testsuite.mk
  * Really fix LP: #898883 - IPC xpcshell tests hang the build. What was
    actually happening is plugin-container would fail to start because all
    available X connections had been used up by many instances of dbus-launch,
    spawned each time an xpcshell tried to talk to the session bus. Because
    we run all of the xpcshell tests with one Xvfb instance, the buses
    accumulate until the available X connections all run out. To fix this, run
    all tests requiring a display inside dbus-launch, so we create just a
    single bus for all xpcshell tests
    - update debian/build/testsuite.mk
    - update debian/control{,.in}
  * Add Ligurian to locale blacklist, as we don't support this in Ubuntu
    - update debian/config/locales.blacklist

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 02 Feb 2012 18:40:28 +0000

firefox (10.0~b6+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_10_0b6_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 26 Jan 2012 19:39:54 +0000

firefox (10.0~b5+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_10_0b5_BUILD1)

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Fix LP: #917529 - Make sure new transitional packages have a versioned
    dependency on Firefox so as to not break Firefox during partial upgrades
    - update debian/control{,.in}

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Make it possible to have per-arch patches
    - update debian/build/enable-dist-patches.pl
    - update debian/rules
    - update debian/patches/series
  * Drop the solid white separators from the addressbar autocomplete dropdown,
    and increase padding so that it doesn't look so bad with dark themes
    - add debian/patches/autocomplete-theme-tweak.patch
    - update debian/patches/series
  * Fix LP: #908508 - Add patch from upstream to fix powerpc build failure.
    Only apply this patch on powerpc to avoid compromising the quality of
    the architectures that we care about
    - add debian/patches/fix-build-failure-without-yarr-jit2.patch
    - update debian/patches/series
  * Also make the previous powerpc build fix apply on ppc only
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 19 Jan 2012 21:33:22 +0000

firefox (10.0~b4+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_10_0b4_BUILD1)

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * debian/usr.bin.firefox.apparmor.12.04: update comment for Ux rules

  [ Chris Coulson ]
  * Refresh shipped locales for the current beta (adds Assamese)
    - refresh debian/config/locales.shipped
    - refresh debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 13 Jan 2012 10:25:10 +0000

firefox (10.0~b3+build2-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_10_0b3_BUILD2)

  * "Fix" LP: #897794 - some websites expect "X11" to be the first token of
    the platform component in the UA string
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Defuzz ubuntu-codes-google.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 05 Jan 2012 16:43:28 +0000

firefox (10.0~b2+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_10_0b2_BUILD1)

  * Disable the tests on powerpc, because it sucks too much to run them
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 02 Jan 2012 17:41:18 +0000

firefox (10.0~b1+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_10_0b1_BUILD1)

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Update patches for PRBool -> bool transition
    - refresh debian/patches/firefox-kde.patch
    - refresh debian/patches/mozilla-kde.patch
    - refresh debian/patches/ubuntu-ua-string-changes.patch
  * Drop some more hanging IPC xpcshell tests
    - update debian/build/testsuite.mk
  * Borrow functionality from Chromium package to have distro
    specific patches
    - update debian/rules
    - add debian/build/enable-dist-patches.pl
  * Don't enable unity-globalmenu-build-support.patch on lucid and maverick
    - update debian/patches/series
  * Remove prerm hook for cleaning up pyc files in the apport package-hooks
    folder. Nothing creates these
    - update debian/firefox.prerm.in
  * Set up alternatives in the postinst script on abort-remove too
    - update debian/firefox.postinst.in
  * Imporove maintainer script magic for moving the system pref file and
    removing obsolete conffiles when upgrading from 3.6, by doing what
    dpkg-maintscripts-helper does
    - update debian/firefox.postinst.in
    - update debian/firefox.postrm.in
    - update debian/firefox.preinst.in
  * Only run the Apparmor stuff in the postinst script on configure, and
    in the preinst script on install or upgrade, to handle upgrade failures
    more gracefully
    - update debian/firefox.postinst.in
    - update debian/firefox.preinst.in
  * Add add-syspref-dir.patch for Lucid and Maverick builds only, so we get
    nightly/aurora coverage for this
    - add debian/patches/add-syspref-dir.patch
    - update debian/patches/series
    - update debian/rules
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.postinst.in
    - update debian/firefox.postrm.in
    - update debian/firefox.preinst.in
  * Drop the Ubuntuzilla workarounds now
    - update debian/firefox.postinst.in
  * Refresh patches
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/ubuntu_bookmarks.patch
  * Turn off Network Manager integration for now, as it causes Firefox to
    always start in offline mode. In any case, probing Network Manager isn't
    the most reliable way to test if there is a connection
    - update debian/vendor.js
  * Update after landing of bmo: #701875 - Rename omni.jar to omni.ja
    - update debian/firefox.install.in
  * Update mozilla-kde.patch and firefox-kde.patch to remove the use of
    nsCStringArray, which was dropped from Firefox 10
  * Disable KDE patches, which currently don't work with Firefox 10
    - update debian/patches/series
  * Drop the firefox-kde-support suggest on precise onwards, whilst the
    patches are disabled
    - update debian/rules
    - update debian/control{,.in}

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Rebase patches for PRBool -> bool transition (bmo: 675553)
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/mozilla-kde.patch
  * Drop patch after upstream landing of (bmo: 690432) aka Logging.h passes a
    string directly to printf
    - drop debian/patches/printf-fix.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 22 Dec 2011 23:26:50 +0000

firefox (9.0~b6+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_9_0b6_BUILD1)

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * add debian/usr.bin.firefox.apparmor.12.04 and adjust it to declare a
    @{MOZ_LIBDIR} which will help with overrides
  * debian/rules: adjust to install the profile on 12.04
  * debian/usr.bin.firefox.apparmor.12.04: don't use @{MOZ_LIBDIR} variable
    for the binary names

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Fix LP: #901838 - Ugly busy pointer, due to libxcursor no longer matching
    the cursor bitmap to a nice themed pointer
    - add debian/patches/fix-cursor-handling.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 15 Dec 2011 14:00:30 +0000

firefox (9.0~b5+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_9_0b5_BUILD1)

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Add patch from upstream to hopefully fix PowerPC FTBFS (bmo: 703534) aka
    Build failure on platforms without YARR JIT
    - add debian/patches/fix-build-failure-without-yarr-jit.patch
    - update debian/patches/series

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Don't install the libxul pkgconfig file in precise. Mozvoikko doesn't
    need this anymore
    - update debian/rules
    - update debian/firefox-dev.install.in

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 09 Dec 2011 13:29:20 +0000

firefox (9.0~b4+build1-0ubuntu2) precise; urgency=low

  * Add missing build-dep on non-essential locales, since we use it.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 23:24:05 -0700

firefox (9.0~b4+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_9_0b4_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 02 Dec 2011 11:27:15 +0000

firefox (9.0~b3+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_9_0b3_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 24 Nov 2011 17:04:18 +0000

firefox (9.0~b2+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_9_0b2_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 17 Nov 2011 22:15:30 +0000

firefox (9.0~b1+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_9_0b1_BUILD1)

  * Update globalmenu-extension to 2.0.2
  * Install the Apport hook as a source package hook
    - rename debian/apport/firefox.py.in => debian/apport/source_firefox.py.in
    - update debian/firefox.install.in
    - update debian/rules
  * Don't unconditionally overwrite SourcePackage when reporting bugs with
    the nightly apport hook
    - update debian/apport/source_firefox.py.in
  * Set "Channel = Unavailable" if channel-prefs.js doesn't contain a
    channel name
    - update debian/apport/source_firefox.py.in
  * Ensure that create-tarball can handle there not being a locale blacklist
    - update debian/build/create-tarball.py
  * Drop xpt.py and xpidl from $LIBDIR. xpidl is gone, and xpt.py isn't included
    there in the upstream SDK
    - update debian/firefox-dev.links.in
  * Refresh patches
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
  * Drop patches fixed upstream
    - remove debian/patches/only-add-ENABLE_JIT-to-CXXFLAGS-if-jit-is-enabled.patch
    - update debian/patches/series
  * Turn off the one-time addon selection dialog (LP: #888307)
    - update debian/vendor.js
  * Ensure we include locales in the tarball if they are in shipped-locales
    but not in all-locales
    - update debian/build/create-tarball.py

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 15 Nov 2011 21:26:09 +0000

firefox (8.0+build1-0ubuntu1) precise; urgency=low

  * New upstream stable release (FIREFOX_8_0_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Sun, 06 Nov 2011 20:55:39 +0000

firefox (8.0~b6+build2-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_8_0b6_BUILD2)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 03 Nov 2011 10:16:44 -0400

firefox (8.0~b6+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_8_0b6_BUILD1)

  * Don't disable our bundled addons on upgrade
    - update debian/vendor.js
  * Refresh supported locales as upstream added Kashubian for beta
    - refresh debian/config/locales.all
    - refresh debian/config/locales.shipped
    - refresh debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 01 Nov 2011 17:54:35 -0400

firefox (8.0~b4+build1-0ubuntu2) precise; urgency=low

  * Backport patch from aurora to correctly handle EOF in 
    js::TokenStream::getAtSourceMappingURL on platforms with unsigned chars
    - add debian/patches/correctly-handle-EOF.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Sun, 23 Oct 2011 00:02:42 +0100

firefox (8.0~b4+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_8_0b4_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 20 Oct 2011 13:33:48 +0100

firefox (8.0~b3+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (FIREFOX_8_0b3_BUILD1)

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Provide a useful error message when trying to build the source package
    with an out of date control file
    - update debian/rules
  * Provide a way to prevent the source package from being built if the list
    of shipped locales changed upstream. Note that this is disabled on
    nightly and aurora
    - update debian/rules
    - add debian/extract-file.py
  * Move custom scripts to debian/build
    - move debian/get-xpi-id.py to debian/build/get-xpi-id.py
    - move debian/refresh-supported-locales.pl to
       debian/build/refresh-supported-locales.pl
    - move debian/extract-file.py to debian/build/extract-file.py
    - update debian/rules
  * Dropped patches fixed upstream:
    - remove debian/patches/build-fix-for-no-ENABLE_YARR_JIT.patch
    - remove debian/patches/compile-pldhash-as-C++.patch
    - update debian/patches/series
  * Refresh patches:
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/ubuntu-codes-google.patch
  * Update support for doing PGO builds:
    - Add "mk_add_options MOZ_PGO=1" to mozconfig when doing a PGO build,
      rather than changing the make target to "profiledbuild"
      - update debian/mozconfig.in
      - update debian/rules
    - Run the profiling 10 times
      - update debian/mozconfig.in
    - Don't turn off the crash reporter or force unofficial branding for PGO
      builds
      - update debian/rules
    - Don't force the compiler to gcc-4.5 when doing PGO builds. Instead,
      we will just rely on the default compiler and not enable PGO on
      Ubuntu versions which don't have a new enough toolchain
      - update debian/rules
  * Shrink the default mozconfig right down, by using defaults rather than
    forcing things like --disable-system-cairo and friends. We still retain
    the ability to override the defaults though by setting MOZ_OVERRIDE_SHLIBS
    to either "tree" or "system", but we use upstream defaults now. We also
    drop the pkg-config checks in debian/rules which allowed a fallback build
    configuration when dependencies aren't satisfied. Really, the build should
    just fail here rather than continuing in some undesirable fallback mode
    - update debian/firefox-dev.install.in
    - update debian/firefox-dev.links.in 
    - update debian/mozconfig.in
    - update debian/pkgconfig/libxul.pc.in
    - update debian/control.in
    - update debian/rules
  * Refresh build-depends, as this hasn't been done for a while:
    - Drop patchutils, libxft-dev, libxinerama-dev, libgnome2-dev and bzip2.
      These don't appear to be needed
    - Drop liborbit2-dev - only appears to be required if there is no libidl
    - Add libglib2.0-dev, libext-dev, libfontconfig1-dev and libpango1.0-dev,
      as the configure script checks for these directly
    - Add minimum versions to libgconf2-dev, libgnomevfs2-dev, yasm and
      libgnomeui-dev
    - Specify minimum versions for libnspr4-dev, libcairo2-dev, libsqlite3-dev
      and libnss3-dev when using system versions of those libs
  * Disable gconf support on >= 12.04
    - update debian/rules
    - update debian/mozconfig.in
  * Refresh binary dependencies:
    - Change ubufox recommends to xul-ext-ubufox
    - Drop psmisc and fontconfig depends. We don't use any binaries
      from either of these packages
    - Drop debianutils dependency. This is an essential package
  * Disable printing of a lot of makefile commands to reduce noise. Also
    add some headers in various places
    - update debian/rules
  * Introduce a branch-specific config file (debian/config/branch.mk) which
    will hold settings that are tied to a specific branch, and which shouldn't
    be merged between branches when merging new Firefox versions (eg, whether
    the crash reporter should be enabled on a branch). The idea is to confine
    these types of settings to a single file
    - add debian/config/branch.mk
    - update debian/rules
  * Move debian/locales.* to debian/config
    - move debian/locales.shipped => debian/config/locales.shipped
    - move debian/locales.unavail => debian/config/locales.unavail
    - move debian/locales.blacklist => debian/config/locales.blacklist
    - update debian/rules
    - update debian/build/refresh-supported-locales.pl
  * Move debian/testsuite.mk to debian/build
  * Don't open about:blank from the New Window quicklist entry
    - update debian/firefox.desktop.in
  * We need to keep the complete list of language packs (shipped and
    transitional) in sync between branches. However, this was proving to be
    difficult because the list was split across 2 files (locales.shipped
    and locales.unavailable). Rework this so that we have a locales.all
    (containing the list of current and past language packs), and a
    locales.shipped. The locales.all can be easily kept in sync between
    branches now, so we end up with the correct transitional language packs
    on branches which have some languages disabled. This also makes it
    more complicated to add the language packs to debian/control though, so
    we offload this to a new perl script now rather than trying to do it all
    in bash
    - add debian/build/dump-langpack-control-entries.pl
    - update debian/build/refresh-supported-locales.pl
    - add debian/config/locales.all
    - update debian/config/locales.shipped
    - remove debian/config/locales.unavailable
    - update debian/control
    - update debian/rules
  * Touch debian/control.in during clean to force a refresh of debian/control,
    so we can check if it is out-of-date and fail if it is
    - update debian/rules
  * Ensure that we get the correct package relationships depending on the
    target distro version
    - update debian/control.in
    - update debian/rules
    - refresh debian/control
  * Drop the mozilla-devscripts dependency. We were only using this for creating
    tarballs anyway. Instead, implement our own get-orig-source target, which
    also fixes some problems we were having
    - update debian/control.in
    - remove debian/moz-rev.sh
    - update debian/rules
    - remove debian/mozclient/firefox.mk
    - remove debian/mozclient/firefox.conf
    - update debian/config/branch.mk
    - add debian/build/create-source
    - add debian/build/get-orig-source.mk
  * Drop the 'nobinonly' suffix from the version number. All this really does
    is make the version number longer without adding any useful information,
    because:
    - We don't strip all binary files as there are a lot remaining which are
      used by the test-suite (eg, images, fonts, videos, sqlite dbs, extensions)
    - Stripping binary files from the source tarball isn't the only change we
      make to it. We also merge in the upstream l10n data, but we don't
      indicate that in the version number
  * Keep a copy of shipped-locales outside of the embedded tar.bz2. This
    makes it faster to verify the list of shipped locales when creating
    source packages
    - update debian/build/create-tarball.py
    - update debian/build/extract-file.py
    - update debian/rules
  * When calling refresh-supported-locales, automatically refresh
    debian/control too
    - update debian/rules
  * Don't fail to create the tarball if locales listed in all-locales don't
    really exist upstream. We already check that everything in shipped-locales
    exists
    - update debian/build/create-tarball.py
  * Refresh shipped locales for beta
  * Don't fail to create a tarball when not using a local cache
    - update debian/build/create-tarball.py
  * Modify the UA string to add "Ubuntu" to the platform component
    - add debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/series
    - update debian/rules

  [ Brian Murray <brian@ubuntu.com> ]
  * Fix LP: #758111 - update ubuntulinux.org bookmark - thanks to Jonathan
    Rothwell for the patch

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 18 Oct 2011 14:10:41 +0100

firefox (7.0.1+build1+nobinonly-0ubuntu2) oneiric-proposed; urgency=low

  * We need to keep the postinst magic for the distribution.ini folder ->
    symlink transition permanently to handle upgrades from Natty, as Natty
    users are upgrading from the the same upstream version of Firefox as
    Oneiric, and always will be. This means that we can't rely on the install
    location changing during the upgrade (LP: #869311)
    - update debian/firefox.postinst.in

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 08 Oct 2011 01:03:07 +0100

firefox (7.0.1+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream stable release (FIREFOX_7_0_1_BUILD1)
    - Fixes LP: #861664

  * Add Mongolian and Swahili to locale blacklist. These aren't meant to be
    built on the release channel, but they still appear in the upstream
    shipped-locales
    - update debian/locales.blacklist
  * Drop the temporary postinst magic for the distribution.ini folder ->
    symlink transition. The new upstream release means that the install
    location changes, so this is redundant now
    - update debian/firefox.postinst.in

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 28 Sep 2011 23:53:21 +0100

firefox (7.0+build2+nobinonly-0ubuntu4) oneiric; urgency=low

  * Really fix LP: #858683 - Clean up the symlinks for users who upgraded to 
    7.0+build2+nobinonly-0ubuntu2; This means checking for everything before the
    -0ubuntu3 revision since the -0ubuntu2 users already upgraded
    - update debian/firefox.postinst.in

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 26 Sep 2011 01:30:33 -0500

firefox (7.0+build2+nobinonly-0ubuntu3) oneiric; urgency=low

  * Fix LP: #858683 - All search engines disappear. Handle the directory ->
    symlink conversion in the postinst script
    - update debian/firefox.postinst.in

 -- Chris Coulson <chris.coulson@canonical.com>  Sun, 25 Sep 2011 13:13:27 +0100

firefox (7.0+build2+nobinonly-0ubuntu2) oneiric; urgency=low
 
   * Fix LP: #858683 - All search engines disappear. Revert the change to move
     distribution.ini, it seems to need some extra postinst magic to make it
     upgrade correctly and not break everything. Not for a Sunday morning though
     - update debian/rules
 
 -- Chris Coulson <chris.coulson@canonical.com>  Sun, 25 Sep 2011 08:21:19 +0100

firefox (7.0+build2+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream stable release (FIREFOX_7_0_BUILD2)

  * Move distribution.ini to a stable install path in Oneiric for now, so it
    can be diverted without breaking during upgrades
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 24 Sep 2011 23:15:18 +0100

firefox (7.0~b6+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_7_0b6_BUILD1)

  * Fix LP: #848211 - Firefox 7 beta displays wrong language in about:addons.
    Don't incorrectly omit the addon manager translations from the tarball

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 17 Sep 2011 14:24:03 +0100

firefox (7.0~b5+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_7_0b5_BUILD1)

  * Update globalmenu-extension to 2.0.1
  * Only install channel-prefs.js on aurora/beta, where we need it for
    Test Pilot
    - update debian/rules
    - update debian/firefox.install.in
    - update debian/apport/firefox.py.in
  * Don't error out whilst creating the source package if mozilla-devscripts
    or cdbs aren't installed. This enables us to create source packages
    on machines which don't have these available
    - update debian/rules
    - update debian/mozclient/firefox.mk

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 12 Sep 2011 15:15:09 +0100

firefox (7.0~b4+build2+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_7_0b4_BUILD2)

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Update globalmenu-extension to 2.0
    - Only update a menu in realtime if it's parent is opening. For all other
      times, just invalidate the menu. Avoids spamming dbus everytime
      something changes in the menu
    - When removing a menuitem from its parent, check that the index is
      in-bounds. Should fix a frequent crash on startup, although it doesn't
      explain how it gets in to that state in the first place
    - Add the ability to turn on debugging without building Firefox with
      debugging on
  * Add upstream patch to only add ENABLE_JIT=1 to CXXFLAGS if any of trace/
    method/yarr jit is enabled. Fixes a build failure on PPC
    - add debian/patches/only-add-ENABLE_JIT-to-CXXFLAGS-if-jit-is-enabled.patch
    - update debian/patches/series
  * Add upstream patch to fix build failure with ENABLE_YARR_JIT=0
    - add debian/patches/build-fix-for-no-ENABLE_YARR_JIT.patch
    - update debian/patches/series
  * Add upstream patch to work around a linker bug
    - add debian/patches/compile-pldhash-as-C++.patch
    - update debian/patches/series

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * AppArmor
    - debian/usr.bin.firefox.apparmor.11.04: update for
      /sys/devices/system/cpu (LP: #819479)

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 05 Sep 2011 13:36:47 +0100

firefox (7.0~b3+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_7_0b3_BUILD1)
    - LP: #837557

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 30 Aug 2011 19:15:51 +0100

firefox (7.0~b2+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_7_0b2_BUILD1)

  * Apport hook improvements:
    - Remove the redundant DefaultProfile prefix from attachment names when
      there is only a single profile
    - Hold the profile lock for only as long as necessary, else apport will
      prevent firefox from opening
    - Handle a single profile correctly, where there is no official default
    - Don't call attach_related_packages with an empty array
    - We were relying on ConfigParser to throw if there is no profiles.ini,
      but that doesn't seem to happen. Manually check that there are profiles
      instead
    - Tidy up add_info a bit
    - Implement some get_* functions as properties with real getters
    - Add general.skins.* to the set of whitelisted prefs in the apport hook

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 25 Aug 2011 19:47:08 +0100

firefox (7.0~b1+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_7_0b1_BUILD1)

  * Rewrite the apport hook to be more useful
    - update debian/apport/firefox.py.in
  * Update the apport blacklist file now that the binary name has changed
    - update debian/apport/firefox.in
  * Dropped patches which are obsolete/fixed upstream
    - remove debian/patches/cairo-lcd-filter.patch
    - remove debian/patches/fix-sdk-bin-install.patch
    - update debian/patches/series
  * Refresh patches
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/reload-new-plugins.patch
  * Look in the correct location for the staged langpack xpi's. They moved
    from dist/install to dist/linux-$(DEB_HOST_GNU_CPU)
    - update debian/rules
  * Ensure we use DEB_BUILD_* and DEB_HOST_* consistently so that cross-
    compiling works
    - update debian/rules
    - update debian/mozconfig.in
    - update debian/firefox-dev.install.in
  * Improve the description for unavailable language packs
    - update debian/control.langpacks.unavail
  * Simplify firefox-dev.install a bit by installing everything in
    /usr/include
    - update debian/firefox-dev.install.in
  * Use $(MOZ_DISTDIR) rather than $(MOZ_OBJDIR)/dist in debian/rules.
    - update debian/rules
  * Handle video/webm mimetypes
    - update debian/firefox.desktop.in
  * Fix check-sync-dirs.py test failure - ensure config/system-headers and
    js/src/config/system-headers are kept in sync
    - update debian/patches/unity-globalmenu-build-support-patch
  * Fix browserGlue_distribution.js and browserGlue_smartBookmarks.js xpcshell
    test failures. Update DEFAULT_BOOKMARKS_ON_MENU with the correct number of
    default bookmarks
    - update debian/patches/ubuntu-bookmarks.patch
  * Fix jsreftest failures by setting the correct timezone and locale
    - update debian/testsuite.mk
  * Switch off debian/patches/fix-selection-drag-autoscroll.patch for now. It
    doesn't apply and needs a rethink
    - update debian/patches/series
  * Fix "format not a string literal and no format arguments" error
   - add debian/patches/printf-fix.patch
   - update debian/patches/series
  * Update for the binary name change
    - update debian/firefox.install.in
    - update debian/firefox.sh.in
  * Ensure we install dependentlibs.list so that Firefox knows which libs
    to dlopen before libxul
    - update debian/firefox.install.in
  * Get rid of some more hanging IPC xpcshell tests
    - update debian/testsuite.mk
  * Now Firefox lazy loads libxul, drop the LD_LIBRARY_PATH hack from the
    shell wrapper (LP: #561124)
    - update debian/firefox.sh.in
  * Refresh shipped locales for beta
    - refresh debian/locales.shipped
    - refresh debian/locales.unavailable
    - refresh debian/control
  * Ship a file in /etc/apport/native-origins.d to enable bug reporting
    on PPA branches
    - add debian/apport/native-origins.in
    - rename debian/apport/firefox.in => debian/apport/blacklist.in
    - update debian/rules
    - update debian/firefox.install.in
    - update debian/firefox.dirs.in

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 19 Aug 2011 16:54:02 +0100

firefox (6.0~b5+build1+nobinonly-0ubuntu3) oneiric; urgency=low

  * Update globalmenu-extension to 1.9.2
    - fixes a regression which causes the menu to not build and potentially
      crash when encountering non-menuitem nodes, due to an uninitialized value

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 09 Aug 2011 23:56:00 +0100

firefox (6.0~b5+build1+nobinonly-0ubuntu2) oneiric; urgency=low

  * Update globalmenu-extension to 1.9.1
    - Drop Firefox 4 and 5 compatibility
    - Drop the uIGlobalMenuLoader interface, as it never served any purpose
    - Rework how we synchronize attributes to menuitems from their
      corresponding command nodes
    - Don't synchronize attributes from command nodes associated with menus
    - Rework how we handle document insertion/removals. Rather than keeping
      our dbusmenu structure in sync at all times, and routing the events
      to the correct node in the tree, we just mark the menu as invalid and
      rebuild it from scratch next time it opens. This should reduce problems
      like LP: #821391
    - Honour the collapsed attribute. This solves a problem with multiple
      seprators appearing adjacent to each other in the greasemonkey menu
    - Store all booleans as PRPackedBool rather than PRBool
    - Add error checking around uGlobalMenuDocListener
    - Make uGlobalMenuDummy more robust, and use it as a fallback if the
      real menuitem fails to initialize. This should help reduce problems
      like LP: #831391
    - If a menu fails to build correctly, mark it invalid and stop processing
      document events on it (which should avoid the crash in LP: #831391)
    - Invalidate a menu if we fail to insert/remove a node whilst processing
      a document event (which should help avoid the crash in LP: #831391)
    - Make uGlobalMenu::CanOpen() respect the collapsed attribute
    - Allow more than one menu node to register as a listener for any DOM
      node. In the case of command nodes, these may be shared across multiple
      menu nodes, with each one interested in receiving events. Previously, we
      just erased the first listener if a second menu node tried to register
      (discovered after adding error checking around uGlobalMenuDocListener)

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 09 Aug 2011 18:29:02 +0100

firefox (6.0~b5+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_6_0b5_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 05 Aug 2011 19:18:58 +0100

firefox (6.0~b4+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_6_0b4_BUILD1)

  * Update globalmenu-extension to 1.8
    - Update for imgILoader changes in Firefox 8
    - Fix LP: #810489 - Inconsistent behaviour if extension is enabled
      after turning off the menubar, which will affect Lucid -> P upgrades
      once Lucid has a newer Firefox. document.loadOverlay() triggers a reload
      of localstore.rdf, which overwrites our changes to the UI to hide
      the Firefox button and bookmark button. Restore them when this happens
    - Fix LP: #800733 - Quick Filter Bar checkbox in Thunderbird menu is
      not marked as checked. On menuitems with command nodes, ensure we update
      the state on the correct node
    - Ensure we disconnect all signal handlers when a menu is destroyed.
      Should fix a SIGSEGV in uGlobalMenu::OnClose()
  * Drop a distro pref that should have gone a long time ago
    - update debian/vendor.js
  * Remove patches fixed upstream
    - remove debian/patches/change-opt-back-to-Os.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 01 Aug 2011 20:41:31 +0100

firefox (6.0~b3+build2+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_6_0b3_BUILD2)

  * Unconditionally build with --disable-elf-hack. It's basically a noop
    on Ubuntu, as we don't get any of the nice space saving and startup
    time improvements that upstream builds get with it. Enabling it is
    problematic (it fails to build on all architectures in Ubuntu from
    Firefox 7 onwards, and is problematic on armel when building on
    older Ubuntu versions)
    - update debian/rules
    - update debian/mozconfig.in
  * Refresh debian/patches/reload-new-plugins.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 25 Jul 2011 19:52:56 +0100

firefox (6.0~b2+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_6_0b2_BUILD1)

  * Revert an upstream change which switched the default optimization from
    -Os to -O3. The intention is that -O3 will be used for PGO builds and -Os
    used for non-PGO builds. -O3 increases the package size by over 3MB
    - add debian/patches/change-opt-back-to-Os.patch
    - update debian/patches/series
  * Don't unconditionally set -fshort-wchar in the libxul.pc pkgconfig file.
    It's no longer needed with newer toolchains which support gnu++0x, and
    defining it breaks the mozvoikko build
    - update debian/pkgconfig/libxul.pc.in
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 18 Jul 2011 09:11:06 +0100

firefox (6.0~b1+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_6_0b1_BUILD1)

  * Update globalmenu-extension to 1.7
    - Fixes LP: #779905 - menubar sometimes appears inside the window rather
      than the panel, due to a startup race
  * Drop the profile migrator, as it doesn't really make any sense with the new
    release cycle. Instead, just copy the firefox profile (if it exists) to
    firefox-trunk (if it doesn't exist)
    - remove debian/migrator/xulapp-profilemigrator
    - update debian/firefox.sh.in
    - update debian/firefox.install.in
    - update debian/rules
    - update debian/control.in
  * xpt_link and xpt_dump have been replaced by xpt.py
    - update debian/firefox-dev.install.in
    - update debian/firefox-dev.links.in
  * Add support for the system provided hyphenation patterns, by linking
    @MOZ_LIBDIR@/hyphenation to /usr/share/hyphen
    - update debian/firefox.links.in
  * Refreshed patches:
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/plugin-for-mimetype-pref.patch
    - update debian/patches/reload-new-plugins.patch
  * The official branding moved from other-licenses to browser. Handle this
    - update debian/rules
  * Dropped patches fixed upstream:
    - remove debian/patches/use-MOZ_APP_LAUNCHER-for-launcher-exec.patch
    - remove debian/patches/fix-nsGIOService.patch
    - remove debian/patches/default-browser-check-use-gio.patch
    - remove debian/patches/update-assembler-excl-arch-list.patch
    - remove debian/patches/default-uri-handler-check-use-gio.patch
    - remove debian/patches/powerpc-build-fix.patch
    - update debian/patches/series
  * Drop the special "kde.js" file handling from the pref service. It hasn't
    had the desired effect since Firefox 4, as the specialfile handling
    doesn't apply to pref files inside the omni.jar. Moving kde.js back in to
    defaults/pref isn't an option, as these are always read after the prefs
    in the omni.jar, which would mean that all users would get the KDE
    specific prefs. Note, we only override one pref in kde.js anyway, it can
    go elsewhere if really required
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/firefox-kde.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 08 Jul 2011 20:43:38 +0100

firefox (5.0+build1+nobinonly-0ubuntu3) oneiric; urgency=low

  * Switch off crashtests temporarily. One of them causes a huge memory leak
    and causes the build to time out
    - update debian/testsuite.mk

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 05 Jul 2011 11:42:55 +0100

firefox (5.0+build1+nobinonly-0ubuntu2) oneiric; urgency=low

  * Fix the language packs to not depend on Firefox (LP: #800857)
    - update debian/control.langpacks

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 04 Jul 2011 21:59:08 +0100

firefox (5.0+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the release channel (FIREFOX_5_0_BUILD1)

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 16 Jun 2011 17:50:25 -0500

firefox (5.0~b7+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_5_0b7_BUILD1)
    Yes, this really is the last one this time :-)

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 15 Jun 2011 11:21:35 +0100

firefox (5.0~b6+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_5_0b6_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 14 Jun 2011 10:12:42 +0100

firefox (5.0~b5+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_5_0b5_BUILD1)

  * Set the right Vcs-Bzr URL
    - update debian/control.in
    - refresh debian/control
  * Refresh shipped locales from new tarball - bg, cy, mk, nn, or, sr, ta and th
    are enabled again
    - refresh debian/locales.shipped
    - refresh debian/locales.unavailable
    - refresh debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 09 Jun 2011 15:42:38 +0100

firefox (5.0~b3+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_5_0b3_BUILD1)

  * Support storing language descriptions in locales.unavailable. This
    will be useful for translations which disappear temporarily
    - update debian/rules
    - update debian/refresh-supported-locales.pl
  * Add languages that are currently dropped in FF5 (compared with FF4) to
    locales.unavailable. Having transitional packages now will make
    transitioning easier later on if they come back
    - update debian/locales.unavailable
  * Refresh debian/control to pick up transitional packages
  * Don't bundle our vendor preferences in the omni.jar. This needs a distro
    patch and it turns out that Firefox does still read prefs from
    $LIBDIR/defaults/pref, so just install it there instead
    - rename debian/distrib.js => debian/vendor.js
    - update debian/rules
    - update debian/firefox.install.in
    - remove debian/patches/install-vendor-prefs.patch
    - update debian/patches/series
  * Add a global pref file again (/etc/firefox/syspref.js) and add the
    necessary preinst/postinst magic to move the old file there if it
    was previously customized
    - add debian/syspref.js
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.postinst.in
    - update debian/firefox.preinst.in
  * Ensure "Depends: ${misc:Depends}" is added to all transitional
    language packs
    - update debian/control.langpacks.unavail
    - refresh debian/control
  * Ship testpilot on aurora too
    - update debian/firefox.install.in
  * Update list of language packs to include new ones added upstream
    - refresh debian/locales.shipped and debian/locals.unavailable
    - refresh debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 02 Jun 2011 22:34:48 +0100

firefox (5.0~b2+build1+nobinonly-0ubuntu2) oneiric; urgency=low

  * Ship channel-prefs.js. We used to ship this in Firefox 3.6, and it's
    required by Test Pilot now
    - update debian/firefox.install.in
  * Backport patch from mozilla-central to fix powerpc build failure
    - add debian/patches/powerpc-build-fix.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Sun, 22 May 2011 07:52:43 +0100

firefox (5.0~b2+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (FIREFOX_5_0b2_BUILD1)
    - Fixes LP: #765970

  * Switch to mozilla-beta
    - update debian/mozclient/firefox.conf
  * Drop support for building with an external xulrunner
    - update debian/apport/firefox.in
    - update debian/firefox.install.in
    - update debian/firefox.lintian-overrides.in
    - update debian/firefox.sh.in
    - update debian/mozconfig.in
    - update debian/rules
  * Ditch all the version-number based branding selection. Do this all
    purely on the channel name now
    - remove debian/firefox-beta.desktop.in
    - remove debian/firefox-nightly.desktop.in
    - remove debian/firefox-unofficial.desktop.in
    - rename debian/firefox-final.desktop.in => debian/firefox.desktop.in
    - update debian/firefox.desktop.in
    - update debian/rules
    - update debian/firefox.sh.in
  * Drop the DEB_ENABLE_IPC option, now that IPC is mandatory
    - update debian/rules
    - update debian/apport/firefox.in
    - update debian/firefox.install.in
    - update debian/mozconfig.in
  * Build language packs directly from the firefox source
    + Fixes LP: #294187 - Firefox Locales should install locale specific
      search plugins 
    + Rip out the bits to create a en-US.xpi
      - update debian/rules
      - remove debian/translation-support/install.rdf.in
    + Include compare-locales FIREFOX_5_0b1_BUILD1 from
      http://hg.mozilla.org/build/compare-locales. It's needed for merging
      en-US strings with incomplete locales
    + Pull l10n data in to tarball from bzr
      - update debian/mozclient/firefox.conf
    + Configure build for creating language packs by configuring with
      "--with-l10n-base="
      - update debian/mozconfig.in
    + Store the list of locales to ship, and provide a way of automatically
      generating that list and the control file entries from the upstream
      source. Also provide a way to blacklist languages. We map languages
      to package names using langpack-o-matic (and also get descriptions
      from there too)
      - update debian/rules
      - add debian/locales-supported
      - add debian/control.langpacks
      - update debian/control
      - add debian/locale-blacklist
      - add debian/refresh-supported-locales.pl
    + Add common-build-indep hook to build the translation xpi's
      - update debian/rules
    + Add common-binary-post-install-indep to install the xpi's and
      searchplugins in to the correct debian packages
      - update debian/rules
      - add debian/get-xpi-id.py
    + When rebuilding debian/control in the clean target, fail the build
      if the control file was out-of-date. This ensures that we don't
      accidentally drop language packs, and forces me to maintain an
      up-to-date control file in bzr
      - update debian/rules
    + Apply vendor patches to localized searchplugins too
      - update debian/patches/ubuntu-codes-amazon.patch
      - add debian/patches/ubuntu-codes-baidu.patch
      - update debian/patches/ubuntu-codes-google.patch
  * Rename vendor.js to distrib.js. The pref service reads these in reverse
    alphabetical order, and we want ours to be read last
    - rename debian/vendor.js => debian/distrib.js
    - update debian/rules
    - update debian/patches/install-vendor-prefs.patch
  * Ensure we set LD_LIBRARY_PATH before running "firefox -h"
    - update debian/firefox.sh.in
  * Add some missing options to the manpage
    - update debian/firefox.1.in
  * Drop patches merged upstream:
    - 64-bit-be-fix.patch
  * Refresh patches:
    - mozilla-kde.patch
  * Drop DEBIAN_XUL_VER now that Firefox/Gecko versions are the same
    - update debian/rules
    - update debian/pkgconfig/*.pc.in
  * Add geolocation parameter to en-GB and en-ZA google search plugins. This
    will improve relevance of results for non-US English speaking users
    - update debian/ubuntu-codes-google.patch

  * Update globalmenu-extension code to 1.5
  * Fix LP: #783790 - Firefox 4 crashes when opening Selenium IDE window.
    Ignore signals for menus without popups
  * Fix LP: #783856 - Firefox 4.0.1 Crash Report 
    [@ uGlobalMenuBar::~uGlobalMenuBar ]. Don't bail out of building a menu
    when encountering a non-XUL element. Also toughen up destructors to not
    crash if the menuitem never initialized properly
  * Fix LP: #783997 - Firefox 4.0.1 Crash Report
    [@ uGlobalMenuBar::ShouldParentStayVisible ]. Don't crash if the window
    gets destroyed before the panel responds to RegisterWindow
  * Use --with-app-name to set MOZ_APP_NAME on nightlies now
    - update debian/rules
    - update debian/mozconfig.in 

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 20 May 2011 23:24:44 +0100

firefox (4.0.1+build1+nobinonly-0ubuntu0.11.04.2) natty-proposed; urgency=low

  * Fix LP: #770719 - Dutch localization doesn't include spell-checker.
    Look in /usr/share/hunspell for the system dictionaries on maverick
    and later, rather than /usr/share/myspell/dicts. This got dropped
    somehow in natty
    - update debian/rules
    - update debian/firefox.links/in
  * Hopefully fix LP: #643899 - Firefox sending header "Accept-Language: 
    chrome://global/locale/intl.properties" because the intl.accept_languages
    preference is messed up. Drop a patch which causes the preferences
    system to save a user preference when changing a preference value to equal
    the system default value (and revert to the original behaviour where the
    preference is just discarded). This should hopefully stop Firefox Sync
    from breaking localized preferences where they haven't been modified by
    the user, but does regress LP: #548866
    - update debian/patches/series 

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 03 May 2011 20:43:30 +0100

firefox (4.0.1+build1+nobinonly-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream release v4.0.1 (FIREFOX_4_0_1_BUILD1)
    - see USN-1121-1

  * Fix LP: #767966 - globalmenu extension pollutes main window javascript
    scope
    - update globalmenu-extension to 1.0.3 

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 22 Apr 2011 15:12:46 -0500

firefox (4.0+nobinonly-0ubuntu3) natty; urgency=low

  [ Felix Geyer <debfx@ubuntu.com> ]
  * Fix LP: #572772 - can't save files in KDE
    - update debian/patches/mozilla-kde.patch

  [ Chris Coulson ]
  * Fix LP: #766151 - popuphiding and popuphidden events aren't dispatched
    when a menu is closed, leading to exceptions being thrown in
    browserPlacesViews.js (visible from the error console)
    - update globalmenu-extension to 1.0.2
  * Fix LP: #744580 - Firefox doesn't autoscroll when selecting content
    downwards
    - add debian/patches/fix-selection-drag-autoscroll.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 19 Apr 2011 17:10:50 +0100

firefox (4.0+nobinonly-0ubuntu2) natty; urgency=low

  * Update globalmenu-extension to 1.0.1
    - Fixes LP: #749450 - bookmarks editor doesn't work properly

  * Added Spanish and Japanese translations for static quicklist entry
    - update debian/firefox-*.desktop.in
  * Fix LP: #727372 - URI handling is broken. Use GIO for checking if
    a particular URI scheme has a handler, rather than probing GConf
    - add debian/patches/default-uri-handler-check-use-gio.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 16 Apr 2011 23:21:03 +0100

firefox (4.0+nobinonly-0ubuntu1) natty; urgency=low

  * Bump the version number to 4.0 final. This is just so we stop confusing
    people with rc2 in the version number, but the tarball is identical

  * Update globalmenu-extension code to 1.0
    - Drop the hacks we had to workaround the lack of menu closed signals from
      Unity. We no longer synthesize our own menu closed events, but use the
      proper event from dbusmenu.
    - In addition to this, we split the work done during menu opening in to
      2 phases - the first phase triggered off "about-to-show" and the second
      phase triggered off "opened". In the future, we should be able to delay 
      the menu opening with the about-to-show handler, which is where we
      do all the work to update the menu
    - Fix LP: #755701 - When iterating over each label, check if the current
      character equals the access key (to set a flag indicating we've already
      seen it) *before* we mangle the label, rather than after it. 
      This fixes an issue where we never set the flag, and subsequently see
      the mnemonics repeated multiple times in labels
    - Also remove the hack we had to add placeholder entries to empty menus
      so that we could get an about-to-show signal (now that LP: #619811
      is fixed)

  * Fix typo in German translation of static quicklist item (LP: #750220)
    - update debian/firefox-*.desktop.in
  * Re-enable -pie (LP: #663294)
   - update debian/rules 

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 11 Apr 2011 01:07:23 +0100

firefox (4.0~rc2+build3+nobinonly-0ubuntu2) natty; urgency=low

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Ship a mozilla-plugin.pc and libxul.pc rather than our custom
    firefox-plugin.pc. No other source packages are aware of firefox-plugin
    and this way avoids patching a whole bunch of apps. We now conflict
    with the xulrunner SDK though
    - rename debian/pkgconfig/firefox-plugin.pc.in =>
       debian/pkgconfig/mozilla-plugin.pc.in
    - update debian/pkgconfig/mozilla-plugin.pc.in
    - add debian/pkgconfig/libxul.pc.in
    - add debian/pkgconfig/mozilla-nspr.pc.in
    - update debian/rules
    - update debian/control.pp
  * Add some missing symlinks in the SDK
    - update debian/firefox-dev.links.in
  * Add Asturian, Bengali, Croatian, Danish, Galician, Hebrew, Kurdish,
    Lithuanian, Romanian, Slovene, Uyghur and Ukrainian, and updated
    Catalan and French translations, plus add static quicklist translations
    for Chinese, Dutch, French, Hungarian, Italian and Russian
    - update debian/firefox-*.desktop.in
  * Update globalmenu-extension code to 0.6.1. Pressing Alt shows the menu
    now

  [ Bilal Akhtar <bilalakhtar@ubuntu.com> ]
  * debian/firefox-*.desktop.in: Add static quicklist item 'Open a New
    Window'. (LP: #741046)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 31 Mar 2011 17:54:51 +0100

firefox (4.0~rc2+build3+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v4.0 RC2 build3 (FIREFOX_4_0rc2_BUILD3).
    D'oh! Should have spotted that before uploading build2

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 21 Mar 2011 11:02:11 +0000

firefox (4.0~rc2+build2+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v4.0 RC2 (FIREFOX_4_0rc2_BUILD2)

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 21 Mar 2011 09:08:27 +0000

firefox (4.0~rc1+build1+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v4.0 RC1 (FIREFOX_4_0rc1_BUILD1)

  * Switch to mozilla-2.0
    - update debian/mozclient/firefox.conf
  * Only build the globalmenu extension on Natty and newer
    - update debian/rules
    - update debian/firefox-globalmenu.dirs.in
    - update debian/mozconfig.in
  * Define MOZ_DISTDIR throughout the build
    - update debian/rules
    - update debian/testsuite.mk
    - update debian/firefox-mozsymbols.install.in 
  * Don't disable the crashreporter for DEB_BUILD_UNOFFICIAL builds.
    - update debian/rules
  * Automatically set DEB_BUILD_UNOFFICIAL for builds where we change
    MOZ_APP_NAME
    - update debian/rules
  * Disable the crashreporter for nightlies
    - update debian/rules 
  * Revert a previous change to add vendor preferences to distribution.ini.
    The preferences there aren't read by the pref service, but loaded
    and set later on, after profile-initial-state, which is too late to
    have any effect on the selected locale
    - add debian/vendor.js
    - update debian/distribution.ini
    - update debian/rules
    - add debian/patches/install-vendor-prefs.patch
    - update debian/patches/series
  * Refresh patches
    - update debian/patches/mozilla-kde.patch
  * Fix build on PPC64
    - add debian/patches/64-bit-be-fix.patch
    - add debian/patches/update-assembler-excl-arch-list.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 10 Mar 2011 02:25:21 +0000

firefox (4.0~b12+build1+nobinonly-0ubuntu3) natty; urgency=low

  * Land the Unity appmenu extension work. It's shipped in its own package,
    although we build it from the Firefox source tree (LP: #637827)
  * Fix build with system NSPR
    - update debian/firefox-dev.install.in
  * Don't trample on existing alternatives in the postinst script if
    we detect Ubuntuzilla breakage
    - update debian/firefox.postinst.in

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 03 Mar 2011 16:18:56 +0000

firefox (4.0~b12+build1+nobinonly-0ubuntu2) natty; urgency=low

  * Fix some typos in the manpage
    - update debian/firefox.1.in
  * Fix up the mess left by Ubuntuzilla rather than leaving our official
    package in a broken and inconsistent state, which ends up with users
    reporting bugs to Launchpad and giving us a bad reputation. If 
    /usr/bin/firefox has been diverted and there is no /usr/bin/firefox 
    provided on the system, just do the job of whatever package it was that
    broke the users install and remove the diversion for them. This should
    hopefully stop the frequently reported bugs we get from Ubuntuzilla users
    about /usr/bin/firefox being missing
    - update debian/firefox.postinst.in
    - Fixes LP: #512937, LP: #529136, LP: #552919, LP: #572733, LP: #574111,
      LP: #599978, LP: #600271, LP: #610522, LP: #610756, LP: #610907,
      LP: #612162, LP: #620400, LP: #623980, LP: #625014, LP: #630643,
      LP: #635166, LP: #638342, LP: #641838, LP: #658828, LP: #668809,
      LP: #672282, LP: #676239, LP: #707704, LP: #724090
  * Don't allow users to report bugs with apport-bug when /usr/bin/firefox
    has been diverted
    - update debian/firefox.py.in
  * Don't build with --disable-elfhack on armel. It's been fixed now
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 25 Feb 2011 13:54:59 +0000

firefox (4.0~b12+build1+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v4.0 B12 (FIREFOX_4_0b12_BUILD1)

  * Add support for unpacked xpi's in the apport hook when reporting
    the extensions installed
    - update debian/apport/firefox.py.in
  * Ensure the Apport hook can be tested properly without modification
    - update debian/apport/firefox.py.in
  * Add DEP-3 compliant headers to all of our patches, and drop the
    bug numbers we carried in filenames. Some of the filenames are so long
    that we get constant lintian warnings about long lines in the changelog
  * Drop libxul-sdk-nspr.patch - it doesn't seem to be needed
    - remove debian/patches/libxul-sdk-nspr.patch
    - update debian/patches/series
  * Move default-apps/firefox.xml to firefox-gnome-support when it is installed
    - update debian/firefox.install.in
    - update debian/firefox-gnome-support.install.in
  * Fix menu-icon-not-in-xpm-format lintian error - generate the xpm at
    build time
    - update debian/rules
    - update debian/control
  * Quieten embedded-zlib and embedded-libjpeg lintian errors. These aren't
    really errors, as we're intentionally embedding copies here
    - update debian/rules
    - add debian/firefox.lintian-overrides.in
  * Fix some extended-description-is-empty lintian errors
    - update debian/control
  * Add a manpage to fix a lintian warning
    - add debian/firefox.1.in
    - add debian/firefox.manpages.in
  * Fix build on armel, make sure we install $(INCDIR)/tremor
    - update debian/firefox-dev.install.in
  * Fix description of firefox-dev
    - update debian/control
  * Ship a pkgconfig file to enable browser plugins to build against
    Firefox rather than xulrunner
    - add debian/pkgconfig/firefox-plugin.pc.in
    - update debian/firefox-dev.install.in
    - update debian/rules
  * Check for tee surface support when deciding whether to use tree or
    system cairo
    - update debian/rules
  * Check the hunspell version is new enough in DEB_MIN_SYSDEPS=0 mode
    - update debian/rules
    - update debian/mozconfig.in
  * Fix the permissions of some files once they are installed, rather than
    directly in debian/. We weren't restoring them in clean anyway
    - update debian/rules
  * Quiten some image-in-usr-lib lintian warnings by adding them to
    lintian-overrides. There's not much point in moving them to /usr/share
    unless we split them out in to an arch-all firefox-common package
    - update debian/firefox.lintian-overrides.in
  * Don't call update-menus in postinst, and add #DEBHELPER# tokens where
    those are missing
    - update debian/firefox.postinst.in
    - update debian/firefox.postrm.in
    - update debian/firefox.preinst.in
  * Fix desktop-entry-invalid-category lintian warnings - remove Internet
    and Application categories, add GTK and GNOME
    - update debian/firefox-beta.desktop.in
    - update debian/firefox-final.desktop.in
    - update debian/firefox-nightly.desktop.in
    - update debian/firefox-unofficial.desktop.in
  * Fix menu-icon-too-big lintian error, by downscaling the icon
    - update debian/rules
  * Fix package-contains-hardlink lintian warning in SDK. Replace it
    with symbolic link
    - update debian/rules
  * Don't ship a vendor.js with our preferences in, as it requires a patch
    in order to get it in to the distributed omni.jar. Instead, move our
    vendor prefs in to distribution.ini
    - remove debian/vendor.js
    - update debian/distribution.ini
    - update debian/rules
    - remove debian/patches/install-ubuntu-prefs.patch
    - update debian/patches/series
  * Add "set -e" to launcher script as per Debian policy 10.4
    - update debian/firefox.sh.in
  * Bump Standards-Version to 3.9.1
    - update debian/control
  * Fix dbg-package-missing-depends lintian warning - add firefox-gnome-support
    dependency to firefox-gnome-support-dbg transitional package
    - update debian/control
  * Fix LP: #717666 - firefox needs to replace kubuntu-firefox-installer
    again. This got dropped accidentally during the package reorg after
    dropping abrowser
    - update debian/control
  * Add some missing files to the SDK
    - update debian/firefox-dev.install.in
  * Refresh patches
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/reload-new-plugins.patch
  * Don't hardcode the browser executable to /usr/bin/firefox for the
    default browser. Instead, apply a patch reviewed upstream to set
    this to MOZ_APP_LAUNCHER
    - drop debian/patches/system-path-default-browser.patch
    - add debian/patches/use-MOZ_APP_LAUNCHER-for-launcher-exec.patch
    - update debian/patches
  * Fix the default browser check to use the new x-scheme-handler
    mechanism via GIO, rather than the old GConf way
    - add debian/patches/fix-nsGIOService.patch
    - add debian/patches/default-browser-check-use-gio.patch
    - update debian/patches/series
  * Don't install $(INCDIR)/md
    - update debian/firefox-dev.install.in
  * The toolkit.networkmanager.disable preference has been removed. There is
    now only a single pref for managing network link status, and this is off
    by default. Re-enable that to restore the previous behaviour
    - update debian/distribution.ini

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 25 Feb 2011 02:53:55 +0000

firefox (4.0~b11+build3+nobinonly-0ubuntu2) natty; urgency=low

  * Drop abrowser:
    - remove debian/abrowser-branding.install.in
    - remove debian/abrowser-branding.links.in
    - remove debian/abrowser.desktop.in
    - remove debian/abrowser.xml.in
    - update debian/control
    - remove debian/firefox-branding.install.in
    - remove debian/firefox-branding.links.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - rename debian/firefox-branding.menu.in => debian/firefox.menu.in
    - update debian/firefox.sh.in
    - update debian/mozclient/firefox.conf
    - remove debian/patches/awesome_branding_updates.patch
    - remove debian/patches/browser_branding.patch
    - update debian/patches/series
    - update debian/rules
    - remove debian/vendor-abrowser.js.in
    - rename debian/vendor-firefox.js.in => debian/vendor.js.in
  * Don't install the example config file (firefox.cfg) - it's redundant
    at the moment as there is no way to configure system preferences
    - remove debian/firefox.cfg
    - remove debian/firefox.docs.in
    - update debian/rules
  * Don't install presubj, this is for the Debian BTS
    - remove debian/presubj
    - update debian/firefox.install.in
  * Don't install the default-apps xml file for gnome-control-center in
    Natty. It's not needed any more
    - update debian/rules
    - update debian/firefox.install.in
  * Ship an SDK again
    - update debian/control
    - add debian/firefox-dev.install.in
    - add debian/firefox-dev.links.in
    - add debian/patches/bzXXX_fix_sdk_bin_install.patch
    - update debian/patches/series
    - update debian/rules
  * Build with --disable-elf-hack on armel and powerpc
    - update debian/rules
    - update debian/mozconfig.in
  * Drop the general.useragent.vendor* preferences. These are obsolete
    in Firefox 4
    - rename debian/vendor.js.in => debian/vendor.js
    - update debian/vendor.js
    - update debian/rules
  * Update the apport hook to not choke on unpacked extensions, and install
    it again. We still need to add support for unpacked xpi's though
    - update debian/apport/firefox.py.in
    - update debian/firefox.install.in

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 09 Feb 2011 13:57:51 +0000

firefox (4.0~b11+build3+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v4.0 B11 (FIREFOX_4_0b11_BUILD3)
 
  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * AppArmor:
    - update to allow owner read access to @{PROC}/[0-9]*/task/[0-9]*/stat

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Add support to the launcher for specifying a debugger
    - update debian/firefox.sh.in

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 07 Feb 2011 15:58:53 +0000

firefox (4.0~b10+build1+nobinonly-0ubuntu2) natty; urgency=low

  * Fix FTBFS - testpilot moved to distribution/extensions
    - update debian/firefox.install.in

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 26 Jan 2011 11:28:03 +0000

firefox (4.0~b10+build1+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v4.0 B10 (FIREFOX_4_0b10_BUILD1)

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * AppArmor:
    - allow access to defaults.list for all derivatives (LP: #664093)

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Refresh patches after landing of bmo: #624267 aka Crash on Ubuntu 
    [@ nsGNOMEShellService::SetDefaultBrowser ]
    - update debian/patches/lp185622_system_path_default_browser.patch
  * Refresh patches after landing of bmo: #624625 aka change home page of
    Google search plugin to google.com
    - update debian/patches/ubuntu_codes_google.patch
  * Remove debian/remove.binonly.sh from package, it's not used anyway
    (the one from mozilla-devscripts is used instead)
    - remove debian/remove.binonly.sh
  * Don't make DEB_ENABLE_THUMB2 configurable, this should just be totally
    automatic
    - update debian/rules
  * Bump NSS and NSPR minimum versions to 3.12.9 and 4.8.7 respectively
    - update debian/rules
  * Clean unused variable from debian/rules
    - update debian/rules
  * Use the smaller crashreporter-symbols.zip after landing of bmo: #588129 aka
    symbols.txt file missing from *.crashreporter-symbols.zip
    - update debian/firefox-mozsymbols.install.in
  * Run jstestbrowser and mochitest test suites
    - update debian/testsuite.mk
  * Fix LP: #690009 - GTK applications launched by firefox don't appear in 
    global menu. Don't unset UBUNTU_MENUPROXY
    - update debian/firefox.sh.in

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 25 Jan 2011 21:50:54 +0000

firefox (4.0~b9+build1+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v4.0b9 (FIREFOX_4_0b9_BUILD1)

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Fix typo in rules file comment
    - update debian/rules 

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Refresh patches
    - update debian/patches/mozilla-kde.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 12 Jan 2011 09:00:16 -0600

firefox (4.0~b8+nobinonly-0ubuntu3) natty; urgency=low

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Fix LP: #694391 - firefox-branding (rather than firefox) should
    replace kubuntu-firefox-installer
    - update debian/control.pp

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Really fix LP: #696895 - FTBFS on armel; Add DEB_ENABLE_THUMB2 to
    DEB_DEFINES so thumb2 is actually enabled; Thanks to Jani Monoses for the
    fix
    - update debian/rules
  * Define the default for DEB_ENABLE_THUMB2 with the rest of the defaults
    - update debian/rules

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 05 Jan 2011 13:50:56 -0600

firefox (4.0~b8+nobinonly-0ubuntu2) natty; urgency=low

  * fix LP: #696895 - FTBFS on armel; Add --enable-thumb2 to build for armv7;
    Thanks to Jani Monoses for the fix
    - update debian/mozconfig.in
    - update debian/rules

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 03 Jan 2011 22:44:12 -0600

firefox (4.0~b8+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v4.0b8 (FIREFOX_4_0b8_RELEASE)

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Add a hack to the launcher to handle being launched from an alternative,
    which is a symlink to the launcher script, and breaks the current launch
    mechanism. Also remove a useless stat() from the current script
    - update debian/firefox.sh.in
  * Re-add patch that got dropped to not remove and re-add search plugins
    during upgrade
    - add debian/patches/bz534663_attXXX_normalize_distribution_searchplugins.patch
    - update debian/patches/series
  * Move libmozgnome.so to the main package in common-binary-predeb-arch.
    The previous method of deleting it from -gnome-support and copying it to
    the main package from debian/tmp in each of the binary-predeb targets
    meant that we were shipping an unstripped copy, which caused a lintian
    error. This new method ensures we retain the stripped SO and we still
    only move it after dh_shlibdeps has run
    - update debian/rules
  * Support debug builds. By setting "debug" in DEB_BUILD_OPTIONS, firefox
    will build with --enable-debug and --disable-optimize
    - update debian/rules
    - update debian/mozconfig.in
  * Really build with --disable-gnomevfs this time
    - update debian/mozconfig.in
  * Refresh patches after landing of bmo: 588410 aka Fix make install to 
    work with omnijar
    - remove debian/patches/bz588410_fix_make_install_with_omnijar.patch
    - update debian/patches/series
  * Generate the en-US xpi at build time again for importing in to Launchpad
    - update debian/rules
    - update debian/translation-support/install.rdf.in

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * update debian/usr.bin.firefox.apparmor.10.10:
    - deny write to /var/cache/fontconfig
    - allow read to @{HOME}/.local/share/applications/mimeapps.list
    - allow read to @{PROC}/[0-9]*/mountinfo (LP: #659450)
    - allow read to /tmp/.X[0-9]*-lock
    - deny read to @{HOME}/.local/share/recently-used.xbel
    - deny execute of /usr/bin/gconftool-2
    - allow read to @{HOME}/.thumbnails/*/*.png
    - allow read/write to @{HOME}/.gnome2/firefox*-bin-*
  * update debian/usr.bin.firefox.apparmor.{9.04,10.04}:
    - deny write to /var/cache/fontconfig
    - allow read to @{PROC}/[0-9]*/mountinfo (LP: #659450)
    - allow read to /tmp/.X[0-9]*-lock
    - deny execute of /usr/bin/gconftool-2
    - remove extraneous @{HOME}/.config/ibus/bus/
  * add debian/usr.bin.firefox.apparmor.11.04:
    - based on 10.10
    - remove redundant abstractions included by the gnome abstraction
      (LP: #692406)
  * debian/rules: updated for usr.bin.firefox.apparmor.11.04

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Change xubuntu applications defaults list in natty apparmor profile; Path
    changed in xubuntu-default-settings (11.04.0)
    - update usr.bin.firefox.apparmor.11.04 
  * fix LP: #694391 - Kubuntu Firefox Installer Fails; Add Replaces on
    kubuntu-firefox-installer again in firefox-branding
    - update debian/control

  [ Felix Geyer <debfx-pkg@fobos.de> ]
  * Re-add KDE integration (LP: #684482)
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/firefox-kde.patch
    - update debian/patches/series
    - update debian/rules
  * Make firefox-4.0 suggest firefox-kde-support
    - update debian/control
    - update debian/control.pp

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 31 Dec 2010 15:27:46 +0000

firefox (4.0~b7+nobinonly-0ubuntu3) natty; urgency=low

  * Build with --enable-startup-notification again, this got dropped
    in the 3.6 => 4.0 update
    - update debian/mozconfig.in
  * Ship the testpilot extension for beta as per the official builds, based
    on the discussion on #developers. We achieve this by building with
    --enable-update-channel=beta for the beta milestones only. The update
    channel isn't used anywhere at runtime because we disable the updater.
    This means that Ubuntu users can participate in testpilot user studies
    in Natty
    - update debian/rules
    - update debian/firefox.install.in
    - update debian/mozconfig.in

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 22 Nov 2010 19:52:28 +0000

firefox (4.0~b7+nobinonly-0ubuntu2) natty; urgency=low

  * Fix the profile migrator to not hang when ~/.mozilla doesn't exist, and
    other improvements
    - update debian/migrator/xulapp-profilemigrator

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 19 Nov 2010 01:31:17 +0000

firefox (4.0~b7+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v4.0 B7 (FIREFOX_4_0b7_RELEASE)

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Don't build with -pie on Natty (LP: #663294)
    - update debian/rules
  * Update mozclient for mozilla-central
    - update debian/mozclient/firefox.conf
    - update debian/mozclient/firefox.mk
  * Auto-generate Debhelper files at build time, using the Mozilla
    text preprocessor. This makes it easier to maintain branches for 
    different versions (because we'll avoid having different filenames for 
    each version, which makes merging really difficult). We can also use
    standard preprocessor directives for our different build options,
    which means we drop a lot of logic from debian/rules
    - rename debian/abrowser.desktop => debian/abrowser.desktop.in
    - add debian/abrowser-branding.install.in
    - add debian/abrowser-branding.links.in
    - add debian/firefox-branding.install.in
    - add debian/firefox-branding.links.in
    - rename debian/apport/firefox.py => debian/apport/firefox.py.in
    - rename debian/firefox-final.desktop => debian/firefox-final.desktop.in
    - rename debian/firefox-gnome-support.install => 
       debian/firefox-gnome-support.install.in
    - rename debian/firefox.dirs => debian/firefox.dirs.in
    - rename debian/firefox.install => debian/firefox.install.in
    - rename debian/firefox.links => debian/firefox.links.in
    - rename debian/firefox.menu => debian/firefox.menu.in
    - rename debian/firefox.postinst.in => debian/firefox.postinst.in
    - rename debian/firefox.postrm.in => debian/firefox.postrm.in
    - rename debian/firefox.preinst.in => debian/firefox.preinst.in
    - rename debian/firefox.prerm.in => debian/firefox.prerm.in
    - rename debian/firefox.xml => debian/firefox.xml.in
    - updated debian/abrowser.desktop.in
    - updated debian/firefox-final.desktop.in
    - updated debian/firefox-gnome-support.install.in
    - updated debian/firefox.dirs.in
    - updated debian/firefox.install.in
    - updated debian/firefox.links.in
    - updated debian/firefox.menu.in
    - updated debian/firefox.postinst.in
    - updated debian/firefox.postrm.in
    - updated debian/firefox.preinst.in
    - updated debian/firefox.prerm.in
    - updated deibna/firefox.xml.in
    - updated debian/rules
    - add debian/firefox-mozsymbols.install.in
  * Simplify generating the Apport blacklist file to remove a superfluous 
    debian/rules target
    - rename debian/apport/blacklist => debian/apport/firefox.in
    - update debian/rules
  * Auto-generate debian/control in the clean target
    - add debian/control.pp
    - update debian/rules
  * Drop the ability to disable patches on a per-release basis. This adds
    additional complexity, and we're not really using it at the moment.
    We can always add it back again if we need it
    - remove debian/disable-patches.sh
    - update debian/rules
    - remove debian/patches/series-disable-patches.8.04
  * Rework the branding selection logic so that we automatically use
    the nightly branding for nightly builds, unofficial branding for
    alpha milestones, and official branding for beta, RC's and final.
    Auto-populate the branding names in the desktop files rather than
    hard-coding them, and add a special beta desktop file
    - add debian/firefox-beta.desktop.in
    - rename debian/firefox-minefield.desktop =>
       debian/firefox-nightly.desktop.in
    - rename debian/firefox-namaroka.desktop =>
       debian/firefox-unofficial.desktop.in
    - update debian/rules
  * Drop the update-notifier restart required hook. Instead, we rely on
    the ubufox restart required banner inside the browser, rather than having
    2 notification mechanisms
    - remove debian/firefox-restart-required.update-notifier
    - update debian/firefox.postinst.in
    - update debian/firefox.prerm.in
  * Rewrite the launcher script to not wrap around the upstream start
    scripts, but start the Firefox binary directly. The upstream start scripts 
    contain a lot of complexity for dealing with things that we don't need to 
    worry about, and are quite slow. Also, add in the hooks for the new
    profile migrator
    - update debian/firefox.sh.in
  * Replace the old profile migrator. The previous one relied on hard-coded
    values and fragile shell script that isn't really scalable enough
    now that stable Ubuntu releases see new major Firefox versions. The
    new profile migrator doesn't require any hard-coded values, and should
    be lower maintenance
    - add debian/migrator/xulapp-profilemigrator
    - remove debian/migrator/main.c
    - update debian/rules
    - update debian/firefox.sh.in
    - update debian/control.pp
  * Build with "make -f client.mk" and using a mozconfig, rather than the
    autoconf/configure/make steps used previously. The client.mk contains the
    sequencing for doing PGO builds
    - update debian/firefox-mozsymbols.install.in
    - add debian/mozconfig.in
    - update debian/rules
  * Add support for building with PGO. Add a build option (DEB_BUILD_PGO)
    which will run the build with make -f client.mk profiledbuild. This is
    off by default.
    - update debian/rules
    - update debian/mozconfig.in
  * Run the Mozilla test suite at build time. Currently, we run the following 
    targets: check, xpcshell-tests, reftest and crashtest. Test-suite failures won't
    break the build just yet
    - add debian/testsuite.mk
    - update debian/rules
    - update debian/control.pp
  * Tidy up the vendor preferences
    - remove debian/ubuntu-useragent.js.tmpl
    - rename debian/firefox.js => debian/vendor-firefox.js.in
    - rename debian/ubuntu-abrowser.js.tmpl => debian/vendor-abrowser.js.in
    - update debian/vendor-firefox.js.in
    - update debian/vendor-abrowser.js.in
    - update debian/rules
  * Don't touch .autoreg on upgrade. This isn't necessary with the XPCOM changes
    in Gecko 2.0
    - update debian/firefox.postinst.in
    - remote debian/firefox-gnome-support.postinst.in
  * Disable gnomevfs support on >= 11.04 (LP: #661287)
    - update debian/rules
    - update debian/mozconfig.in
    - update debian/firefox-gnome-support.install.in
  * Add x-scheme-handler magic to desktop files
    - update debian/firefox.desktop.in
    - update debian/firefox-beta.desktop.in
    - update debian/firefox-nightly.desktop.in
    - update debian/firefox-unofficial.desktop.in
  * Dropped obsolete / not-needed patches
    - remove debian/patches/add_syspref_dir.patch
    - remove debian/patches/bz386904_config_rules_install_dist_files.patch
    - remove bz534663_attXXX_normalize_distribution_searchplugins.patch
    - remove debian/patches/bz591331_att469858_breakpad_allow_ptrace.patch
    - remove debian/patches/ubuntu_no_app_updates.patch
    - update debian/patches/series
  * Update build-depends for Firefox 4.0
    - update debian/control.pp
  * Rebased patches for Firefox 4.0
    - update browser_branding.patch
    - update bz460917_att350845_reload_new_plugins.patch
    - update bz467738_att351145_lockPref_everywhere.patch
    - update bz515232_att399338_distro_locale_searchplugins.patch
    - update bzXXX_libxul_sdk_nspr.patch
    - udpate bzXXX_plugin_for_mimetype_pref.patch
    - update lp185622_system_path_default_browser.patch
    - update lp512615_cairo_lcd_filter.patch
    - update lp548866_bz467766_att351173-dont-reset-user-prefs-on-upgrade.patch
    - update ubuntu_bookmarks.patch
  * Disable KDE integration temporarily until I've reviewed the updated patches
    - update debian/patches/series
  * Install top-level chrome.manifest after landing of (bmo: 579178) aka
    single-chrome-manifest
    - update debian/firefox.install.in
  * Add trademarkInfo key to the brand.dtd file in the awesome-branding
    to fix an issue with Help->About not working. Also drop the unneeded
    overrides from the manifest file and rename the patch to reflect it's
    extended scope. Eventually, this patch should be merged in to the
    awesome-branding bzr branch
    - rename debian/patches/awesome_branding_chrome_rename.patch =>
       debian/patches/awesome_branding_updates.patch
    - update debian/patches/awesome_branding_updates.patch
    - update debian/patches/series
  * Install our vendor preferences in to dist/bin before running stage-package.
    This seems to be the only way to ensure that they are included in the
    omni.jar. This means we need to patch the upstream package-manifest to
    include the extra file
    - add debian/patches/install_ubuntu_prefs.patch
    - update debian/rules
  * Clean up the files in /etc/firefox on upgrade
    - update debian/firefox.preinst.in
  * Support builds suitable for valgrind, by building with 
    DEB_MOZ_VALGRIND=1. This will automatically pick the right optimisations
    and build flags
    - update debian/rules
    - update debian/mozconfig.in
  * Fix make install with --enable-chrome-format=omni. Add patch to create
    the omni.jar file after running stage-package. This has already
    landed on mozilla-central, so we can drop again at beta 8
    - add debian/patches/bz588410_fix_make_install_with_omnijar.patch
    - update debian/patches/series
  * Drop other unused cruft from the package
    - remove debian/debsearch.src
    - remove debian/firefox.png.uu
    - remove debian/debsearch.gif.uu
    - update debian/rules
  * Build-depend on yasm
    - update debian/control
  * Fix the profile migrator to not crash on profiles where 
    'LastVersion=Safe Mode' (LP: #674607)
    - update debian/migrator/xulapp-profilemigrator

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * debian/usr.bin.firefox*:
    - allow .{firefox,mozilla} instead of just .mozilla (LP: #624435)
    - allow owner write to ~/.config/ibus/bus/
    - adjust apparmor profile for latest sun-java6 plugin (LP: #633369)

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Drop patch after upstream landing of (bmo: 551152) aka Symlinked components
    break everything
    - drop debian/patches/lp518422.patch
    - update debian/patches/series
  * Add mesa-common-dev to build-depends after landing of configure test aka
    (bmo: 517566) which is for WebGL aka (bmo: 516213)
    - update debian/control 

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 17 Nov 2010 21:35:57 +0000

firefox (3.6.12+build1+nobinonly-0ubuntu0.10.10.1) maverick-security; urgency=low

  * New upstream release v3.6.12 (FIREFOX_3_6_12_BUILD1)
    - see USN-1011-1

  [ Jamie Strandboge ]
  * AppArmor:
    - allow mmap for temporary files that we own (LP: #662918)
    - add owner read to environ and auxv in @{PROC} as well as
      /etc/lsb-release read and expr ix for the crash reporter
    - update path for Xubuntu default settings (LP: #664093)

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 27 Oct 2010 08:31:06 -0400

firefox (3.6.11+build3+nobinonly-0ubuntu0.10.10.1) maverick-security; urgency=low

  * New upstream release v3.6.11 (FIREFOX_3_6_11_BUILD3)
    - see USN-997-1

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * AppArmor:
   - fix for Google Gears (LP: #644976)

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Refresh patches after landing of (bmo: 327323) aka Can't "Open with" files 
    that are send as application/octet-stream (or other "unknown to firefox" 
    mime types)
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/series
    - remove debian/patches/bz327323_att471859_lp239952_launch_from_extension.patch
  * Bump minimum system NSS to 3.12.8 after landing of (bmo: 600104) aka
    Bump minimum required version for system NSS to 3.12.8
    - update debian/rules
  * Bump minimum system NSPR to 4.8.6 after landing of (bmo: 567620) aka
    Bump minimum required version for system NSPR to 4.8.6
    - update debian/rules
  * Bump minimum version of sqlite to 3.7.1 after landing of (bmo: 583611) aka
    Upgrade to SQLite 3.7.1
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 13 Oct 2010 12:23:34 +0100

firefox (3.6.10+build1+nobinonly-0ubuntu3) maverick; urgency=low

  * Fix LP: #239952 - the associated helper application does not exist.
    Where a launcher doesn't exist for a particular mimetype, use the file
    extension instead
    - add debian/patches/bz327323_att471859_lp239952_launch_from_extension.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 21 Sep 2010 23:09:29 +0100

firefox (3.6.10+build1+nobinonly-0ubuntu2) maverick; urgency=low

  * Add the following .desktop translations; Thanks to David Planella for 
    organizing the translations and to those who contributed the translations
    - update debian/firefox-final.desktop
      + Asturian
      + Croatian
      + Galician
      + German
      + Hebrew
      + Uyghur
  * Update the Italian Name for Firefox
    - update debian/firefox-final.desktop

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 15 Sep 2010 22:51:30 -0500

firefox (3.6.10+build1+nobinonly-0ubuntu1) maverick; urgency=low

  * New upstream release v3.6.10 (FIREFOX_3_6_10_BUILD1)

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Fix "ISO C++ forbids braced-groups within expressions" error on
    GCC < 4.4 (which is also a warning on GCC >= 4.4)
    - update debian/patches/bz591331_att469858_breakpad_allow_ptrace.patch
  * Blacklist plugin-container in Apport
    - update debian/apport/blacklist
  * Fix LP: #637434 - components.list is not installed
    - update debian/firefox.install
  * De-fuzz patches
    - update debian/patches/mozilla-kde.patch

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * adjust apparmor profile for non-maverick dailies for latest sun-java6
    plugin (LP: #633369)
  * ignore writes to /var/cache/fontconfig for 10.10

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 15 Sep 2010 17:50:08 +0100

firefox (3.6.9+build1+nobinonly-0ubuntu1) maverick; urgency=low

  * New upstream release v3.6.9 build1 (FIREFOX_3_6_9_BUILD1)

  * Drop patch after landing of (bmo: 569836) aka Build fails on
    Fedora Core 13
    - remove debian/patches/ftbfs_crashreporter.patch
    - update debian/patches/series
  * Don't suggest the transitional kmozillahelper now we've branched
    for Maverick. This stops it from being displayed as an addon
    for Firefox in software-center
    - update debian/control
  * Don't suggest the transitional latex-xft-fonts. Use ttf-lyx
    instead
    - update debian/control
  * Fix LP: #623509 - Firefox is creating empty crash reports due to 
    kernel ptrace hardening
    - add debian/patches/bz591331_att469858_breakpad_allow_ptrace.patch
    - update debian/patches/series
  * Build with MOZILLA_OFFICIAL=1 again and in turn, enable the crashreporter
    - update debian/rules
  * Really fix LP: #605336 - "Report Broken Web Site" option missing - make
    sure that we install the reporter chrome
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 27 Aug 2010 20:14:45 +0100

firefox (3.6.8+build1+nobinonly-0ubuntu3) maverick; urgency=low

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Fix LP: #605336 - "Report Broken Web Site" option missing - don't
    disable the reporter extension when building with DEB_MIN_SYSDEPS=1
    - update debian/rules
  * Add DEB_HOST_GNU_CPU to MOZ_SYMBOLS_EXTRA_BUILDID to avoid the 
    possibility of filename collisions on the server if our builds 
    happen to run at the same time
    - update debian/rules
  * Build without MOZILLA_OFFICIAL=1 for beta until LP #623509 is fixed,
    so we're not sending empty crash reports
    - update debian/rules

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * add debian/usr.bin.firefox.apparmor.10.10 (LP: #565756, LP: #592121)
  * debian/rules: updated for usr.bin.firefox.apparmor.10.10
  * debian/firefox.postinst.in:
    - remove old code for the dailies
    - update for local include file
    - update for addons include file
    - use '-T -W' with apparmor_parser to pull in abstraction updates
  * debian/firefox.postrm.in:
    - update for local include file
    - update for addons include file

  [ Micah Gersten <micahg@ubuntu.com> ]
  * fix LP: #559154 - KDE users installing Firefox from archive don't know 
    about kmozillahelper; kmozillahelper was renamed to firefox-kde-support
    so update Suggests
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 26 Aug 2010 00:09:49 +0100

firefox (3.6.8+build1+nobinonly-0ubuntu2) maverick; urgency=low

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Provide iceweasel
    - update debian/control
  * Really build with MOZILLA_OFFICIAL=1 this time, so that the crash
    reporter is actually enabled
    - update debian/rules
  * Only enable the crashreporter and build the Breakpad symbols on i386, 
    amd64 and armel
    - update debian/control
    - update debian/rules
  * Blacklist Firefox in Apport on architectures where we use the Mozilla
    crash reporter
    - add debian/apport/blacklist
    - update debian/rules 
  * Drop the DEBIAN_META_NAME stuff - we don't need this now we are always
    using unversioned sources for the official in-archive version. This
    simplifies the wrapper script a little
    - update debian/rules
    - update debian/firefox.sh.in
  * Rework how abrowser is launched a little. Drop an unnecessary patch
    and ship both abrowser and abrowser-bin files in LIBDIR. With the
    DEBIAN_META_NAME bits gone, the wrapper script will always search for
    $LIBDIR/abrowser if you launch /usr/bin/abrowser. From there, the Mozilla
    scripts already handle this properly
    - update debian/firefox.sh.in
    - update debian/rules
    - remove debian/patches/abrowser_run_mozilla.patch
    - update debian/patches/series
  * Don't handle launching GDB in our wrapper script, run-mozilla.sh
    already does all this. Just make sure that we pass the right arguments
    - update debian/firefox.sh.in
  * Fix LP: #613049 - Default website link in Maverick firefox is invalid
    - update debian/patches/ubuntu_bookmarks.patch
  * Refresh favicon's in the default bookmark collection, so they display
    the latest Ubuntu branding on a fresh profile
    - update debian/patches/ubuntu_bookmarks.patch
  * Drop the mips-specific binutils build-depend - we don't even build
    on this arch
    - update debian/control
  * Only try to install the crashreporter binary when building with the
    bundled xulrunner library
    - update debian/firefox.install
    - update debian/rules
  * Fix LP: #615889 - Add Ubuntu One bookmark to Firefox fresh install  
    - update debian/patches/ubuntu_bookmarks.patch
  * Fix LP: #612185 - Apport leaks the secret name of the Firefox 
    profile directory
    - update debian/apport/firefox.py
  * Fix LP: #614190 - Chinese update for firefox.desktop. Thanks to
    Cheng-Chia Tseng and Aron Xu
    - update debian/firefox-final.desktop
  * Fix LP: #559083 - Incomplete Vietnamese translation for items listed
    in desktop main menu. Thanks to Vu Do Quynh for the translations
    - update debian/firefox-final.desktop

  [ Igor Zubarev <igor.zubarev@gmail.com> ]
  * Fix LP: #569762 - Add Russian translations to desktop files
    - update debian/abrowser.desktop
    - update debian/firefox-final.desktop

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 12 Aug 2010 21:52:18 +0100

firefox (3.6.8+build1+nobinonly-0ubuntu1) maverick; urgency=low

  * New upstream release v3.6.8build1 (FIREFOX_3_6_8_BUILD1)

  [ Alexander Sack <asac@linaro.org> ]
  * add support for mozilla breakpad symbols and in turn enable
    crashreporter
    - add debian/patches/ftbfs_crashreporter.patch   
    - update debian/patches/series
    - update debian/control
    - update debian/rules

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Drop all the transitional packages and conflicts/replaces cruft built
    up from the pre-LTS releases
    - update debian/control
  * Install the crash reporter
    - update debian/firefox.install
  * Build with MOZILLA_OFFICIAL=1. This is required to enable the crash
    reporter in application.ini
    - update debian/rules

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Add build depends on libcurl4-openssl-dev for building the crash reporter
    - update debian/control  

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 23 Jul 2010 16:40:54 +0200

firefox (3.6.7+build2+nobinonly-0ubuntu1) maverick; urgency=low

  * New upstream release v3.6.7build2 (FIREFOX_3_6_7_BUILD2)

  * Make it possible to disable patches on a per-release basis. This
    makes it easier to share packaging branches across releases, and makes
    it possible to disable the patches which make the Hardy daily builds fail
    - update debian/rules
    - add debian/disable-patches.sh
    - add debian/patches/series-disable-patches.8.04
  * Make the debian/usr.bin.firefox.apparmor.in target a dependency of
    pre-build rather than makebuilddir. Whilst this doesn't really change
    much, it is technically slightly more correct (makebuilddir is just for
    creating the build directory, whilst pre-build is for doing all the
    preparation work)
    - update debian/rules
  * Merge the debian/firefox.sh target in to the match-all target, this
    just de-clutters things a little
    - update debian/rules
  * Remove debian/stamp-autotools-files-moz in the clean target
    - update debian/rules
  * Drop the empty firefox-dev and firefox-*-dev transitional packages. We
    didn't install anything in to firefox-dev, and we can reintroduce it in
    the future if anything in the archive depends on the browser specific
    interfaces
    - update debian/control
    - remove debian/firefox-dev.install
    - remove debian/firefox-dev.links
  * Fix some Lintian warnings
    - add debian/README.source
    - update debian/control
  * Make debian/migrator/ffox-beta-profile-migration-dialog a dependency of
    post-patches rather than pre-build. This avoids the need for having to 
    build the profile migrator when unpacking the source tarball
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 15 Jul 2010 23:51:25 +0200

firefox (3.6.7+build1+nobinonly-0ubuntu1) maverick; urgency=low

  * New upstream release v3.6.7 (FIREFOX_3_6_7_BUILD1)
  * Set the StartupWMClass to the same value as the WM_CLASS property on the
    browser window. This makes startup notification work for all branding
    and also makes it work properly with Docky 
    - update debian/firefox-minefield.desktop
    - update debian/firefox-namoroka.desktop
    - update debian/abrowser.desktop 

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 09 Jul 2010 12:16:23 +0100

firefox (3.6.6+nobinonly-0ubuntu1) maverick; urgency=low

  * New upstream release v3.6.6 (FIREFOX_3_6_6_RELEASE)

  * fix LP: #590450 - Firefox should use the hunspell directory for dictionaries
    - update debian/rules

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 27 Jun 2010 01:30:09 -0500

firefox (3.6.4+build7+nobinonly-0ubuntu1) maverick; urgency=low

  * New upstream release v3.6.4 (FIREFOX_3_6_4_BUILD7)

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Rebase patch after upstream landing of Lorentz branch
    - update debian/patches/bz460917_att350845_reload_new_plugins.patch 
  * Drop patch after upstream landing of (bmo: 544481) aka
    Build fails on Ubuntu Lucid Lynx using 'dash' shell
    - drop debian/patches/fix-build-glitch.patch
    - update debian/patches/series

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * AppArmor:
    - allow ixr access to /usr/lib/xulrunner-*/plugin-container for xul builds
    - finetune Adobe Reader access (LP: #570337)
    - silence noisy denial on /boot/vmlinuz* and /boot/initrd.img* caused by
      readlinking symlinks in / (LP: #571761)
    - allow 'm' for java's 'classes.jsa' file (LP: #574459)
    - transition to firefox_java on Sun's jre/bin/java_vm too (LP: #570128)
    - allow Uxr for gnome-codec-install (LP: #577097)

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Rebase patches for 3.6.4 release
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/add_syspref_dir.patch
  * Build with --enable-ipc on amd64, i386 and armel. These are the only
    architectures where OOPP is supported. Build with --disable-ipc on all
    other architectures
    - update debian/rules
  * Fix LP: #513887 - Install the plugin-container binary for OOPP support
    when building with --enable-ipc
    - update debian/rules
  * Fix build failure with fontconfig 2.5
    - update debian/patches/lp512615_cairo_lcd_filter.patch
  * Fix LP: #469752 - KDE/Gnome startup notification not disappearing
    when app window is up - build with --enable-startup-notification
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 23 Jun 2010 15:31:44 +0100

firefox (3.6.3+nobinonly-0ubuntu4) lucid; urgency=low

  * fix LP: #443147 - Firefox on ARM inappropriately adds scroll bars to many
    frames and images; this is a workaround that forces -O2 for the whole
    mozilla tree build on armel; the scroll bar only manifests on lucid toolchain
    when using the upstream optimization flag mix
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Wed, 21 Apr 2010 17:14:28 +0200

firefox (3.6.3+nobinonly-0ubuntu3) lucid; urgency=low

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * AppArmor: add read access to /etc/xul-ext/**, now needed by adblock

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Create checksums for NSS libraries to make FIPS mode work (LP: #559881)
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 13 Apr 2010 22:20:28 +0100

firefox (3.6.3+nobinonly-0ubuntu2) lucid; urgency=low

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Fix LP: #526291 - abrowser menu entry has Firefox icon. After changing the
    branding in common-post-build-arch, ensure that the firefox icons in 
    dist/bin/icons are replaced with the abrowser icons
    - update debian/rules
  * Fix LP: #408238 - does not provide gnome-www-browser
    - update debian/firefox-gnome-support.postinst.in
    - add debian/firefox-gnome-support.prerm.in
    - update debian/rules
  * Update Google and Yahoo! search URL's
    - add debian/patches/ubuntu_codes_google.patch
    - update debian/patches/series
    - update debian/firefox.js
  * Fix LP: #520166 - Restore ability to set a preferred plugin for a given
    mime-type, which regressed since we are not using the system xulrunner
    - add debian/patches/bzXXX_plugin_for_mimetype_pref.patch
    - update debian/patches/series
  * Fix LP: #557640 - nrf-003 testcase failed Default "Welcome to Ubuntu" page
    doesn't appear without connectivity - re-enable the NetworkManager
    integration
    - update debian/firefox.js
  * Fix LP: #541951 - Firefox 3.6 does not honour lockPref - resurrect the
    patch used in xulrunner to reimplement this
    - add debian/patches/bz467738_att351145_lockPref_everywhere.patch
    - update debian/patches/series

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * AppArmor:
    - add apturl (LP: #558432)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 09 Apr 2010 12:29:53 +0100

firefox (3.6.3+nobinonly-0ubuntu1) lucid; urgency=low

  * New upstream release v3.6.3 (FIREFOX_3_6_3_RELEASE)

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * AppArmor:
    - add leafpad and mousepad text editors for XFCE users (LP: #543587)

  [ Micah Gersten <micahg@ubuntu.com> ]
  * fix LP: #548866 - forgets middlemouse.contentLoadURL on upgrade; add patch
    from xulrunner-1.9.1
    - update debian/patches/series
    - add debian/patches/lp548866_bz467766_att351173-dont-reset-user-prefs-on-upgrade.patch

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Add a cairo LCD filter to use Freetype LCD colour filtering features,
    based on the same patch applied to our system cairo package. Thanks to
    Marc Deslauriers for helping to make this work. (LP: #512615)
    - add debian/patches/lp512615_cairo_lcd_filter.patch
    - update debian/patches/series
  * Fix LP: #546490 - "Firefox will not start in debug mode"
    - update debian/firefox.sh.in
  * Fix a build issue installing ubuntu-abrowser.js when building with
    DEB_MIN_SYSDEPS=0
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 02 Apr 2010 16:44:02 +0100

firefox (3.6.2+nobinonly-0ubuntu1) lucid; urgency=low

  * New upstream release v3.6.2 (FIREFOX_3_6_2_RELEASE)

  [ Felix Geyer <debfx-pkg@fobos.de> ]
  * Rebase mozilla-kde.patch for 3.6.2
    - update debian/patches/mozilla-kde.patch

  [ Jamie Strandboge <jamie@ubuntu.com > ]
  * AppArmor profile cleanup for Lucid users:
    - remove sys_ptrace now that the kernel DTRT (LP: #498317)
    - don't use @{PROC}/[0-9]*/mounts or /etc/gnome/defaults.list (part of
      gnome abstraction now)
    - don't use @{PROC}/[0-9]*/maps (part of base abstraction)
    - don't use /etc/sound (part of audio abstraction)
    - use 'owner' for Desktop and all dot files and directories in @{HOME}
    - use ubuntu-bittorrent-clients abstraction
    - use ubuntu-media-players abstraction
    - allow access to xubuntu default app list (LP: #500231)
    - add ark and xarchiver for KDE and XFCE archive managers
    - add thunar for XFCE
    - add editors supported by It's All Text, thanks to James Troup
      (LP: #507711)
    - allow RealPlayer plugin and access to /usr/local/lib (LP: #501822)
    - allow Ux for scim and scim-bridge
    - allow ix for gst-plugin-scanner
  * ship different AppArmor profiles for different releases:
    - move usr.bin.firefox.apparmor.in to usr.bin.firefox.apparmor.9.10
    - add usr.bin.firefox.apparmor.10.04
    - debian/rules: ship AppArmor profile based on release:
      + add DISTRIB, DISTRIB_VERSION_MAJOR and DISTRIB_VERSION_MINOR
      + ship 9.10 profile for Karmic and under and 10.04 profile for Lucid
        and later
  * update AppArmor profile to transition to a java child profile rather
    than Ux. This has the added benefit of restricting java a bit more than
    before. This is needed since the java plugins are expecting certain
    environment variables to be present, which get scrubbed with Ux. 'cx'
    doesn't remove these from the environment but allows for better profiling
    over 'ux'. Thanks to John Johansen for discussion and idea. (LP: #484148)

  [ Alexander Sack <asac@ubuntu.com> ]
  * fix LP: #518422 - Firefox does not start with certain addons installed;
    don't normalize paths for xpti.dat
    - add debian/patches/lp518422.patch
    - update debian/series

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Bump minimum system NSS to 3.12.6 after upstream landing of (bmo: 545755)
    aka Update Mozilla stable branches to NSS 3.12.6 and minimal support for 
    RFC 5746
    - update debian/rules
  * Really fix FTBFS for sparc; Add configure flag to correct variable
    - update debian/rules

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 24 Mar 2010 01:17:46 -0500

firefox (3.6+nobinonly-0ubuntu6) lucid; urgency=low

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * adjust AppArmor profile to allow scim

  [ Felix Geyer <debfx-pkg@fobos.de>]
  * Apply KDE integration from openSUSE (LP: #494067)
    - add debian/patches/mozilla-kde.patch
    - add debian/patches/firefox-kde.patch
    - update debian/patches/series
    - update debian/rules
  * Add kmozillahelper to suggests of firefox
    - update debian/control

  [ Kees Cook <kees@ubuntu.com> ]
  * fix LP: #531581 - cannot report bugs or crashes when profile names contains
    spaces; concatenate non alnum characters in profile name for apport use
    - update debian/apport/firefox.py

  [ Micah Gersten <micahg@ubuntu.com> ]
  * fix LP: #531895 - Firefox isn't in Ubuntu Software Center's "Internet" or 
    "Web Browsers" sections; Add Internet and WebBrowser Categories to .desktop
    - update debian/abrowser.desktop
    - update debian/firefox-final.desktop
    - update debian/firefox-namoroka.desktop
  * fix FTBFS on sparc; disable jit on sparc until bmo 502369 is fixable
    - update debian/rules

 -- Micah Gersten <micahg@ubuntu.com>  Sat, 06 Mar 2010 23:47:38 -0600

firefox (3.6+nobinonly-0ubuntu5) lucid; urgency=low

  [ Micah Gersten <micahg@ubuntu.com> ]
  * fix LP: #514108 - Cookie Accept Dialog Not Shown on Firefox 3.6; install chrome/comm.* libraries
    - update debian/rules
  * fix LP: #525181 - "Make a Support Request to the Ubuntu Community" bookmark 
    woefully out of date; update bookmark
    - update debian/patches/ubuntu_bookmarks.patch

  [ Felix Geyer <debfx-pkg@fobos.de> ]
  * fix LP: #396786 - Default theme missing in Firefox 3.6
    - update debian/firefox.install

  [ Alexander Sack <asac@ubuntu.com> ]
  * use preference way to set yahoo search code 'chr-ubuntu-os' rather
    than patching source
    - update debian/firefox.js
    - delete debian/patches/ubuntu_codes_yahoo.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Mon, 22 Feb 2010 12:53:08 +0100

firefox (3.6+nobinonly-0ubuntu4) lucid; urgency=low

  * fix LP: #523569 - No search providers or default search provider
    in 3.6+nobinonly-0ubuntu3; fix syntax issue in bugfix for bmo 534663
    - update debian/patches/bz534663_attXXX_normalize_distribution_searchplugins.patch

 -- Alexander Sack <asac@ubuntu.com>  Thu, 18 Feb 2010 03:16:19 +0100

firefox (3.6+nobinonly-0ubuntu3) lucid; urgency=low

  [ Alexander Sack <asac@ubuntu.com> ]
  * fix LP: #520963 - sysprefs not honoured since firefox is built without
    system xulrunner; resurrect the patch we ship in xulrunner
    - add debian/patches/add_syspref_dir.patch
    - update debian/patches/series
  * fix LP: #520682 - Only search provider is Ask.com; set en-US as
    distribution.searchplugins.defaultLocale in syspref firefox.js
    - update debian/firefox.js
  * fix LP: #428306 - default search engines are removed and readded (keywords
    wiped) with upgrade
    - add debian/patches/bz534663_attXXX_normalize_distribution_searchplugins.patch
    - update debian/patches/series
  * add ubuntu fr code for yahoo (en-US) searchplugin
    - add debian/patches/ubuntu_codes_yahoo.patch
    - update debian/patches/series

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Rename apport hook to firefox.py (unversioned)
    - rename debian/apport/firefox-3.6.py => debian/apport/firefox.py
  * Update apport hook to pull from unversioned profile directory
  * Update apport hook to report on non-distro package and tag PPA
  * Collect version info for firefox/abrowser packages
    - update debian/apport/firefox.py
  * Install apport hook again
    - update debian/firefox.install

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * debian/firefox.postinst.in: move aside the old firefox-3.5 AppArmor
    profile

 -- Alexander Sack <asac@ubuntu.com>  Wed, 17 Feb 2010 21:48:12 +0100

firefox (3.6+nobinonly-0ubuntu2) lucid; urgency=low

  [ Alexander Sack <asac@ubuntu.com> ]
  * fix firefox-3.5-gnome-support transitional package typo; depend
    on firefox-gnome-support instead of firefox-3.5-gnome-support
    - update debian/control
  
  [ Michael Vogt <mvo@ubuntu.com> ]
  * add missing Replace: firefox-3.0 for the firefox-branding package 
    (LP: #518747). This fixes a upgrade issues from hardy to lucid.
    - update debian/control

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * debian/firefox.postinst.in:
    - remove AppArmor profile from dailies on upgrades (LP: #512470)
    - remove extraneous -T -W from apparmor_parser
    - check for disabled profile ourselves, since apparmor_parser on Ubuntu
      9.04 and earlier didn't honor the disable/ directory
  * debian/firefox.preinst.in: unconditionally disable the AppArmor profile
    on Ubuntu 9.04 and earlier, since it requires abstractions found only
    in 9.10
  * debian/control: have firefox Depends on lsb-release (needed in preinst)
  * debian/usr.bin.firefox.apparmor.in:
    - adjustments in rules for name change (LP: #513160)
    - allow /usr/bin/tr

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Add replaces to firefox-branding on kubuntu-firefox-installer (LP: #439431)
    - update debian/control
  * Add firefox 3 transitional packages and Replaces/Provides/Conflicts
    (LP: #513074)
    - update debian/control
  * Don't install firefox.xml for adding entries to 
    gnome-default-applications-properties (LP: #519606)
    - update debian/control
  * Update rosetta template name to firefox-3.6
    - update debian/translation-support/install.rdf.in
  * Update EM_TRANSLATION variables for firefox 3.6
    - update debian/rules

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 10 Feb 2010 14:52:12 -0600

firefox (3.6+nobinonly-0ubuntu1) lucid; urgency=low

  * New upstream release v3.6 (FIREFOX_3_6_RELEASE)
    + fix LP: #449744 - Firefox crashes when attempting to load Firebug 1.5
    + fix LP: #66015 - Duplicate spell checking dictionaries for every entry
    + fix LP: #132938 - tooltips dont work in sidebar
    + fix LP: #195698 - Password asked separately for each tab that requires it
                        (proxy)
    + fix LP: #239462 - tooltips disappear too fast
    + fix LP: #385816 - Resize corner grab stays visible after maximize
    + fix LP: #429476 - firefox crash on javascript page
    + fix LP: #432876 - Icons missing in Firefox searchbox drop down list
    + fix LP: #486284 - maxlength on input box can be overriden by autocomplete
    + fix LP: #501393 - Integrate Firefox notifications with notify-osd bling

  [ H. Montoliu <hmontoliu@ubuntu.com> ]
  * fix LP: #361052 - firefox apport hook fails to retrieve pluginreg.dat file
  * update debian/apport/firefox-3.6.py - removed unused code and minor refactoring.

  [ Fabien Tassin <fta@ubuntu.com> ]
  * Update the location of the upsteam branch now that 3.6/Namoroka has its own
    branch, and trunk moved on to 3.7
    - update debian/mozclient/firefox-3.6.conf
  * Use Namoroka instead of Shiretoko as brand name and use it for snapshots.
    Name it Namoroka in the Preferred Application UI too
    - update debian/firefox-3.6-shiretoko.desktop => debian/firefox-3.6-namoroka.desktop
    - update debian/firefox-3.6.xml
    - update debian/rules
  * Target the 'default' branch instead of tip
    - add debian/moz-rev.sh
    - update debian/mozclient/firefox-3.6.conf
  * Add firefox 3.6 to the list of Preferred Applications in Gnome
    - add debian/firefox-3.6.xml
    - update debian/firefox-3.6-gnome-support.install
  * Add ${misc:Depends} to all non-transitional packages, make firefox-3.6-dbg
    depend on firefox-3.6 with the exact same version, move -dbg packges to
    priority extra and add firefox-3.6-gnome-support-dbg
    - update debian/control
  * Update diverged patches:
    - update debian/patches/browser_branding.patch
    - update debian/patches/firefox-profilename
    - update debian/patches/ubuntu_bookmarks.patch
    - update debian/patches/lp185622_system_path_default_browser.patch
    - update debian/patches/dont_depend_on_nspr_sources.patch

  [ Alexander Sack <asac@ubuntu.com> ]
  * add libnotify-dev to build-depends
    - update debian/control
  * add libiw-dev to build-depends to fix build failure
    - update debian/control
  * until we move searchplugins to a separate package provided only by the current default
    firefox, we need to make firefox-3.6 replace all the older firefox binary packages:
    firefox-3.5, firefox-3.2, firefox-3.1, firefox-3.0
    - update debian/control
  * implement MIN_SYS_DEPS approach that does not use system xulrunner
    and only a minimal set of system dependencies.
    + drop patches not required anymore:
      - delete debian/patches/dont_depend_on_nspr_sources.patch
      - update debian/patches/series
    + update browser directory provider patch
      - update debian/patches/bz515232_att399338_distro_locale_searchplugins.patch
    + move .install lines that depend on whether MIN_SYS_DEPS is used or not
      to debian/rules in ifneq (,$(MIN_SYS_DEPS)) blocks 
      - update debian/rules
      - update debian/firefox-3.5.install
    + ship gnome support .so's inside of the main package, but keep dependencies in
      the (now empty) gnome-support package; to achieve this, we first install
      the gnome support files in the -gnome-support package and move them to the
      main package _after_ shlib depends where generated
      - update debian/rules
    + do not build-depend on xulrunner dev package anymore; local xulrunner builds
      with MIN_SYS_DEPS=0 should still work though
      - update debian/control
    + make firefox-3.5 conflict firefox-3.5-gnome-support as it shipps the gnome
      files directly now
      - update debian/control
  * add patch for armv7 support
    - add debian/patches/bz532198_lp488354_ns_invokebyindex_not_thumb2_safe.patch
    - update debian/patches/series
  * move to unversioned binary and source package name for "archive" firefox
    + generalize final version dependent pieces in debian/rules
      - update debian/rules
    + update mozclient/ files to create unversioned sources/tarballs
      - rename debian/mozclient/firefox-3.6.conf => debian/mozclient/firefox.conf
      - update debian/mozclient/firefox.conf
      - rename debian/mozclient/firefox-3.6.mk => debian/mozclient/firefox.mk
    + rename and update previously versioned debhelper files
      - rename debian/firefox-3.6-dev.install => debian/firefox-dev.install
      - rename debian/firefox-3.6-dev.links => debian/firefox-dev.links
      - rename debian/firefox-3.6-gnome-support.install => debian/firefox-gnome-support.install
      - rename debian/firefox-3.6-gnome-support.postinst.in => debian/firefox-gnome-support.postinst.in
      - rename debian/firefox-3.6.dirs => debian/firefox.dirs
      - rename debian/firefox-3.6.install => debian/firefox.install
      - update debian/firefox.install
      - rename debian/firefox-3.6.links => debian/firefox.links
      - update debian/firefox.links
    + rename versioned maintainer scripts
      - rename debian/firefox-3.6.postinst.in => debian/firefox.postinst.in
      - rename debian/firefox-3.6.postrm.in => debian/firefox.postrm.in
      - rename debian/firefox-3.6.preinst.in => debian/firefox.preinst.in
      - rename debian/firefox-3.6.prerm.in => debian/firefox.prerm.in
    + rename and update previously versioned .desktop, gnome helper and other debian
      integration files
      - rename debian/abrowser-3.6.desktop => debian/abrowser.desktop
      - rename debian/firefox-3.6-final.desktop => debian/firefox-final.desktop
      - update debian/firefox-final.desktop
      - rename debian/firefox-3.6-minefield.desktop => debian/firefox-minefield.desktop
      - update debian/firefox-minefield.desktop
      - rename debian/firefox-3.6-namoroka.desktop => debian/firefox-namoroka.desktop
      - update debian/firefox-namoroka.desktop
      - rename debian/firefox-3.6.menu => debian/firefox.menu
      - update debian/firefox.menu
      - rename debian/firefox-3.6.xml => debian/firefox.xml
      - update debian/firefox.xml
      - rename debian/firefox-3.6-restart-required.update-notifier => debian/firefox-restart-required.update-notifier
      - update debian/firefox-restart-required.update-notifier
      - update debian/control
    + disable patches for versioned directories and binaries
      - update debian/patches/series
    + add fix issues in libpr0n for make syntax issues after lucid dash/bash update;
      patch by Kees Cook <kees@ubuntu.com>
      - add debian/patches/fix-build-glitch.patch
      - update debian/patches/series
  * ease transition for daily firefox-3.6 users by adding conflicts/replaces on firefox-3.6-gnome-support
    to firefox binary package which now ships bits previously in there.
    - update debian/control
  * update to firefox.sh.in start script from firefox-3.5 branch and add firefox-3.6 transition
    accordingly; also adjust a bunch of wrongly worded debug messages
    - update debian/firefox.sh.in
  * fix version number used in profile migration dialog
    - update debian/migrator/main.c
  * fix wrapper startscript to properly handle all-static firefox build
    - update debian/firefox.sh.in
  * fix DEBIAN_NAME_OTHER to work for non-versioned abrowser main packages
    - update debian/rules
  * fix startscript for abrowser; set CMDNAME_USER=firefox for run-mozilla.sh;
    and also use META_NAME to guess the -bin binary
    - update debian/firefox.sh.in
  * add CMDNAME_USER feature to overwrite cmdname for abrowser in run-mozilla.sh
    - add debian/patches/abrowser_run_mozilla.patch
    - update debian/patches/series
  * fix abrowser.desktop; use unversioned icon and exec name
    - update debian/abrowser.desktop
  * copy abrowser.desktop translations from firefox-3.5.head branch
    - update debian/abrowser.desktop
  * add firefox-2* transitional packages for hardy users
    - update debian/control

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Rebase/minor code change after upstream landing of unified manifest (bmo: 511642)
    - update debian/patches/awesome_browser_branding_install.patch
    - update debian/patches/browser_branding.patch
    - update debian/patches/bzXXX_moz_app_name_inconsistencies.patch

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * add AppArmor profile (disabled by default)
    - debian/firefox-3.6.dirs: add etc/apparmor.d/disable
    - add debian/firefox-3.6.preinst.in: disable the profile on new installs,
      installs where the last modified profile is disabled and upgrades to
      this version
    - debian/firefox-3.6.postinst.in: reload profile
    - add debian/firefox-3.5.postrm.in: cleanup force-complain and disable
      directories
    - add debian/usr.bin.firefox.apparmor.in
    - add debian/README.Debian.in with note about AppArmor
    - debian/apport/firefox-3.6.py: add AppArmor information if the profile is
      not disabled
    - debian/rules: install profile and update subst_files
    - allow dirname and pwd. Thanks to Thomas Templin. (LP: #510644)
    - allow the IBM jre
    - debian/usr.bin.firefox.apparmor.in: use @LIBDIR@/firefox-*bin as binary
      confined by AppArmor

  [ Kees Cook <kees@ubuntu.com> ]
  * enable PIE build for stronger security (LP: #507744)
    - update debian/rules
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Sat, 23 Jan 2010 16:46:32 +0100

firefox-3.5 (3.5.7+nobinonly-0ubuntu1) lucid; urgency=low

  * New upstream release v3.5.7 (FIREFOX_3_5_7_RELEASE)
    - see USN-878-1

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * Add metadata for mozilla-devscripts
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 05 Jan 2010 18:02:04 -0600

firefox-3.5 (3.5.6+nobinonly-0ubuntu1) lucid; urgency=low

  * New upstream release v3.5.6 (FIREFOX_3_5_6_RELEASE)
    - see USN-874-1

  [ Micah Gersten <launchpad@micahscomputing.com> ]
  * Bump minimum system cairo to 1.8.8
    - update debian/rules 
  * Fix .desktop Name field for Slovak translation (LP: 448683)
    - update debian/firefox-3.5-final.desktop 
  * Fix .desktop Name field for Estonian and Arabic translations
    (LP: 419507, LP: 321239) 
    - update debian/firefox-3.5-final.desktop 

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * AppArmor fixes:
    - allow access to nautilus, to allow "Open containing folder" to work
      (LP: #452591)
    - allow access for deluge (LP: #455792)
    - work better with KDE by adding kde abstraction, allow access to soffice,
      allow access to okular and read access to /etc/fstab (for print dialog)
      (LP: #447006)
    - allow access to acroread (LP: #473268)
    - allow access to eog (LP: #464016)
    - allow access to transmission (LP: #476299)
    - deny noisy write attempts to deny /usr/lib/xulrunner-*/components/*.tmp
      as seen with 'firefox --help')
    - deny noisy read to /.suspended (when navigating directories)
    - allow access to /usr/bin/liferea-add-feed (LP: #488851)
    - allow access to azureus (LP: #482677)
    - don't require 'owner' for /media (LP: #479580)
    - adjust AppArmor profile binary globbing to match other branches
    - allow ixr access to sed (for first runs)

  [ Alexander Sack <asac@ubuntu.com> ]
  * bump lower bound for system sqlite3 to >= 3.6.16.1
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Wed, 16 Dec 2009 00:43:08 +0100

firefox-3.5 (3.5.5+nobinonly-0ubuntu2) lucid; urgency=low

  * New upstream release v3.5.5 (FIREFOX_3_5_5_RELEASE)
    * fixes regressions/crashes

 -- Alexander Sack <asac@ubuntu.com>  Mon, 09 Nov 2009 11:40:35 +0100

firefox-3.5 (3.5.4+nobinonly-0ubuntu1) lucid; urgency=low

  * New upstream release v1.9.1.4 (FIREFOX_3_5_4_RELEASE)
    - see USN-853-1

  [ Alexander Sack <asac@ubuntu.com> ]
  * use awesome-browser-branch-3.5 during tarball creation
    - update debian/mozclient/firefox-3.5.conf
  * drop branding patch for lp:396156 as new upstream tarballs
    automatically contain this fix now.
    - delete debian/patches/lp396156_prepatch_abrowser_branding.patch
    - update debian/patches/series

  [ Fabien Tassin <fta@ubuntu.com> ]
  * Don't enable the AppArmor profile by default for backports coming
    from the Mozilla daily PPA. It's still possible for users to
    enable that themselves though
    - update debian/firefox-3.5.preinst.in

 -- Alexander Sack <asac@ubuntu.com>  Mon, 09 Nov 2009 11:21:28 +0100

firefox-3.5 (3.5.3+build1+nobinonly-0ubuntu6) karmic; urgency=low

  [ Fabien Tassin <fta@ubuntu.com> ]
  * fix LP: #454166 - target the 'default' branch instead of tip
    - add debian/moz-rev.sh
    - update debian/mozclient/firefox-3.5.conf

  [ Alexander Sack <asac@ubuntu.com> ]
  * fix LP: #455504 - abrowser does not run from Applications Menu;
    create the unversioned   link in debian/rules like we do for the
    firefox name
    - update debian/rules
  * fix LP: #455517 - supersede firefox 3.0 and xulrunner-1.9 in karmic;
    add transitional packages and add Conflicts/Replaces/Provides
    accordingly.
    - update debian/control
  * fix LP: #396156 - Help→About does not function (abrowser-3.5,
    jaunty-proposed); we prepatch the required changes to
    browser/branding/awesome-browser/ tree taken from the 3.5 branding
    branch: lp:~mozillateam/firefox/awesome-browser-branding-3.5
    - add debian/patches/lp396156_prepatch_abrowser_branding.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Tue, 20 Oct 2009 10:42:56 +0200

firefox-3.5 (3.5.3+build1+nobinonly-0ubuntu5) karmic; urgency=low

  * fix LP: #411691 - many Exception... "update.locale file doesn't exist" in
    console"; patch by Micah Gersten <launchpad@micahscomputing.com>
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Thu, 15 Oct 2009 02:49:12 +0200

firefox-3.5 (3.5.3+build1+nobinonly-0ubuntu4) karmic; urgency=low

  [ Fabien Tassin <fta@ubuntu.com> ]
  * Bump requirement for system sqlite to >= 3.6.16 (bmo 508104)
    - update debian/rules

  [ Alexander Sack <asac@ubuntu.com> ]
  * fix LP: #423610 - daily build failures after landing of mozilla-nss.pc droppage
    (bug 422829); we drop our previously used nspr pkgconfig patch and fix
    configure.in to not require in-source nspr if libxul-sdk is used
    - delete debian/patches/nspr_flags_by_pkg_config_hack.patch
    - add debian/patches/bzXXX_libxul_sdk_nspr.patch
    - update debian/patches/series
  * now that we always use libxul-sdk for getting the nspr flags we
    can use --without-system-nspr and --without-system-nss all the time
    - update debian/rules
  * rework localized search engine patch to use ChromeRegistry locale
    information rather than a char pref; also change plugin dir order to allow
    locale specific searchplugins to overlay the ones shipped in
    "searchplugins/common"
    - add debian/patches/bz515232_att399338_distro_locale_searchplugins.patch
    - update debian/patches/series
  * adjust packaging to support localized searchplugins
    + ship default searchplugins in /usr/lib/firefox-addons/searchplugins/en-US/
      and link that directory to $(DEBIAN_FF3_DIR)/distribution/searchplugins instead
      of the main firefox APP_DIR
      - update debian/rules
    + set default searchplugin locale pref to en-US - which is used as a
      fallback if no matching searchplugins/LOCALE directory exists for the
      current locale directory
      - update debian/firefox.js
    + do not install upstream searchplugins through debhelper file and
      install "debsearch" to the new distribution/.../en-US location
      - update debian/firefox-3.0.install
    + ship "common" searchplugins link that points to the old default
      searchplugins location '/usr/lib/firefox-addons/searchplugins/
      - update debian/rules

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * fix bugs surrounding apparmor profile
    + allow ixr access to gnash (LP: #429061)
    + allow ixr access to pulseaudio (LP: #432702)
    + allow access to plugins directory (LP: #428071)
    + allow access to mounted media (LP: #433362)
    + allow access to abstractions/ubuntu-console-email,
      abstractions/ubuntu-email and abstractions/ubuntu-gnome-terminal
      for mailto:. Add commented section for using xterm and konsole
      - update debian/usr.bin.firefox-3.5
    + allow access to extensions directory (LP: #433128)
    + allow 'k' access to @{HOME}/.mozilla/**/*.sqlite* (LP: #449286)
    + allow Ux access to apport-bug (LP: #449423)
    + allow access to /etc/mplayerplug-in.conf (LP: #439484)

 -- Alexander Sack <asac@ubuntu.com>  Thu, 15 Oct 2009 02:30:48 +0200

firefox-3.5 (3.5.3+build1+nobinonly-0ubuntu3) karmic; urgency=low

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * disable profile on upgrades from earlier Ubuntu releases (LP: #436221)
    - update debian/firefox-3.5.preinst.in

 -- Alexander Sack <asac@ubuntu.com>  Mon, 28 Sep 2009 10:35:46 +0200

firefox-3.5 (3.5.3+build1+nobinonly-0ubuntu2) karmic; urgency=low

  * security/stability update v3.5.3 build1 (FIREFOX_3_5_3_BUILD1)
    - see USN-821-1
    - fix LP: #333127 - Firefox 3.5 and above crash on full screen flash video
    - fix LP: #236853 - firefox crashed with SIGSEGV in NSSRWLock_LockRead_Util()

  [ Alexander Sack <asac@ubuntu.com> ]
  * fix LP: #422365 - apport hook fails because profiles_d is not initialized
    in add_info if no profiles.ini exist; we ensure that profiles_d gets instantiated
    as an empty map even if no profiles.ini exist.
    - update debian/apport/firefox-3.5.py
  * hook firefox-addons/searchplugins as the distribution/searchplugins
    directory to support localized distro search engines.
    - update debian/rules
  * in case localized search engines are available the main searchplugins
    directory is not scanned anymore; to fix this we provide a compatibility
    link /usr/lib/firefox-addons/searchplugins/common => /usr/lib/firefox-addons/searchplugins
    - update debian/firefox-3.5.links
  * fix localized search engine upstream code to properly deal with general.useragent.locale
    being a complex pref; also change plugin dir order to allow locale specific searchplugins
    to overlay the ones shipped in "searchplugins/common"
    - add debian/patches/fix_complex_locale_distro_searchplugins.patch
    - update debian/patches/series

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * add AppArmor profile (disabled by default) (LP: #382917)
    - debian/firefox-3.5.dirs: add etc/apparmor.d/disable
    - add debian/firefox-3.5.preinst.in: disable the profile on new installs
      and upgrades to this version
    - debian/firefox-3.5.postinst.in: reload profile
    - add debian/firefox-3.5.postrm.in: cleanup force-complain and disable
      directories
    - add debian/usr.bin.firefox.apparmor.in
    - debian/rules: install profile
    - add debian/README.Debian.in with note about AppArmor
    - debian/apport/firefox-3.5.py: add AppArmor information if the profile is
      not disabled
    - debian/firefox-3.5.preinst.in: allow for when apparmor is not installed

 -- Alexander Sack <asac@ubuntu.com>  Thu, 03 Sep 2009 10:03:08 +0200

firefox-3.5 (3.5.2+nobinonly-0ubuntu2) karmic; urgency=low

  Firefox 3.5 by default upload
  + see: https://blueprints.launchpad.net/ubuntu/+spec/desktop-karmic-firefox-3.5

  [ Fabien Tassin <fta@ubuntu.com> ]
  * Make firefox-3.5 the default firefox. Use the official branding only
    for releases (the -daily PPA remains branded as Shiretoko, like the
    upstream nightlies). Activate the profile migrator and the apport hooks.
    Add the meta packages to make the transition smoother.
    - update debian/control
    - drop debian/patches/firefox-fsh
    - drop debian/patches/firefox-profilename
    - update debian/patches/series
    - update debian/firefox-3.5.install
    - update debian/firefox.sh.in
    - update debian/migrator/main.c
    - update debian/mozclient/firefox-3.5.mk
    - update debian/rules
    - update debian/firefox-3.5-final.desktop
    - update debian/firefox-3.5-shiretoko.desktop
    - update debian/abrowser-3.5.desktop
    - update debian/apport/firefox-3.5.py

  [ Alexander Sack <asac@ubuntu.com> ]
  * make -final and -shiretoko .desktop file refer to unversioned "firefox"
    Binary and Icon
    - update debian/firefox-3.5-shiretoko.desktop
    - update debian/firefox-3.5-final.desktop
    - update debian/firefox-3.5-minefield.desktop
    - update debian/abrowser-3.5.desktop
  * add translations for .desktop file from firefox-3.0.head branch
    - update debian/firefox-3.5-final.desktop
    - update debian/abrowser-3.5.desktop
  * set BUILD_OFFICIAL = 1 to enable all official build features
    - update debian/rules
  * fix LP: #404827 - Firefox doesn't warn about Attack Sites!?; add
    --enable-safe-browsing to configure flags
    - update debian/rules
  * fix LP: #383484 - search engine plugins missing in firefox-3.5 packages;
    installing searchplugins and default theme as now firefox-3.5
    Replaces: firefox-3.0
    - update debian/firefox-3.5.install
  * fix restart issues by installing proper versioned binary (without a
    firefox-fsh patch); in turn drop unversioned firefox link from .install
   - update debian/rules
   - update debian/firefox-3.0.install

 -- Alexander Sack <asac@ubuntu.com>  Mon, 10 Aug 2009 17:05:37 +0200

firefox-3.5 (3.5.2+nobinonly-0ubuntu1) karmic; urgency=low

  * security/stability update v3.5.2 (FIREFOX_3_5_2_RELEASE)

  [ Fabien Tassin <fta@ubuntu.com> ]
  * Fix postinst to also consider firefox-3.5 for the update-notifier
    restart notification
    - update debian/firefox-3.5.postinst.in
  * Fix bogus prerm rule removing the wrong alternative
    - update renamed debian/firefox-3.5.prerm
  * Refresh diverged patch
    - update debian/patches/nspr_flags_by_pkg_config_hack.patch

 -- Alexander Sack <asac@ubuntu.com>  Mon, 03 Aug 2009 16:52:25 +0200

firefox-3.5 (3.5.1+build1+nobinonly-0ubuntu1) karmic; urgency=low

  * security/stability update v3.5.1 build1 (FIREFOX_3_5_1_BUILD1)
  * fix LP: #396460 - Firefox 3.5 'final' version is in repos but tooltip
    in menu says 'beta'; we update the shiretoko desktop file to not
    say "beta" anymore
    - update debian/firefox-3.5-shiretoko.desktop
  * fix LP: #398121 - firefox-3.5-gnome-support failed to install/upgrade; we
    make the postinst script more failsafe
    - update debian/firefox-3.5-gnome-support.postinst.in

 -- Alexander Sack <asac@ubuntu.com>  Thu, 16 Jul 2009 18:27:57 +0200

firefox-3.5 (3.5+nobinonly-0ubuntu1) karmic; urgency=low

  * New upstream release taken from tag FIREFOX_3_5_RELEASE
  * Bump Depends/Build-Depends for xulrunner-1.9.1(-dev) to >= 1.9.1
    - update debian/control
  * Bump EM_TRANSLATION_{MIN,MAX}_VERSION and MaxVersion/MinVersion
    (from application.ini)
    - update debian/rules

 -- Fabien Tassin <fta@ubuntu.com>  Tue, 30 Jun 2009 20:01:33 +0200

firefox-3.5 (3.5~rc2+nobinonly-0ubuntu1) karmic; urgency=low
 
  * New upstream release taken from tag FIREFOX_3_5rc2_RELEASE
  * Fix startup page, release notes and first run bogus URLs when
    using non official brandings. Also fix bogus addons URLs due
    to our change of appname (LP: #388880)
    - update debian/patches/firefox-profilename
  * Fix profile migrator broken when using abrowser-3.5 (LP: #331654)
    - update debian/firefox.sh.in
  * Bump Standards-Version to 3.8.1
    - update debian/control
  * Call update-menus
    - update debian/firefox-3.5.postinst.in
  * Make firefox-3.5-dbg depend on firefox-3.5 with the exact same version
    - update debian/control
  * Bump Depends and Build-depends to xulrunner* >= 1.9.1~rc2
    - update debian/control
  * Refresh diverged patch:
    - update debian/patches/firefox-profilename
 
 -- Fabien Tassin <fta@ubuntu.com>  Fri, 19 Jun 2009 18:55:00 +0200

firefox-3.5 (3.5~b4+nobinonly-0ubuntu2) karmic; urgency=low

  * bump (build-)depends version on xulrunner-1.9.1 to >= 1.9.1~b4
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Wed, 06 May 2009 22:27:21 +0200

firefox-3.5 (3.5~b4+nobinonly-0ubuntu1) karmic; urgency=low

  * New upstream release 3.5 b4

  [ H. Montoliu ]
  * fix LP: #361052 - firefox apport hook fails to retrieve pluginreg.dat file
    - update debian/apport/firefox-3.5.py - removed unused code and minor refactoring

 -- Alexander Sack <asac@ubuntu.com>  Wed, 29 Apr 2009 15:19:59 +0200

firefox-3.5 (3.5~b4~hg20090330r24021+nobinonly-0ubuntu1) jaunty; urgency=low

  * New upstream snapshot, needed to initiate the firefox 3.1->3.5 transition (LP: #352995)
  * Add libstartup-notification0-dev to build-deps as it now seems to be
    mandatory on lpia
    - update debian/control
  * Fix the mozclient include to really use the local configuration
    - update debian/rules
  * Update MOZCLIENT_GETDATE to make it use pushlog so it is not confused by merges with
    dates in the past
    - update debian/mozclient/firefox-3.5.conf

 -- Fabien Tassin <fta@ubuntu.com>  Mon, 30 Mar 2009 19:00:40 +0200

firefox-3.1 (3.1~b3+build2+nobinonly-0ubuntu1) jaunty; urgency=low

  * New upstream release taken from tag FIREFOX_3_1b3_BUILD2 (LP: #339181)

 -- Fabien Tassin <fta@ubuntu.com>  Sat, 07 Mar 2009 15:27:58 +0100

firefox-3.1 (3.1~b3~hg20090205r23182+nobinonly-0ubuntu1) jaunty; urgency=low

  [ Fabien Tassin <fta@ubuntu.com> ]
  * Drop upstreamed patch now that it has landed and add --with-system-libxul
    to configure.
    - update debian/rules
    - drop debian/patches/installer_shouldnt_copy_xulrunner.patch
    - update debian/patches/series

  [ Alexander Sack <asac@ubuntu.com> ]
  * add lower bound for xulrunner-1.9.1-dev build-depends   to >=
    1.9.1~b3~
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Sat, 07 Feb 2009 15:18:30 +0100

firefox-3.1 (3.1~b3~hg20090122r22900+nobinonly-0ubuntu1) jaunty; urgency=low

  [ Alexander Sack ]
  * improve reload plugins patch; dont rename function
    - update debian/patches/bzXXX_reload_new_plugins.patch 
  * forward reload plugins patch upstream
    - debian/patches/bzXXX_reload_new_plugins.patch => 
        bz460917_att350845_reload_new_plugins.patch
  * fix reload new plugins patch - use variables that actually exist on 3.1
    - update debian/patches/bz460917_att350845_reload_new_plugins.patch

  [ Fabien Tassin ]
  * Move mozclient project files from mozilla-descripts to this package
    and update the upstream branch now that it has moved to 3.2
    - add debian/mozclient/firefox-3.1.conf
    - add debian/mozclient/firefox-3.1.mk
    - update debian/rules
  * Fix menu still mentionning firefox 4
    - update debian/firefox-3.1.menu
  * Fix WM class for minefield
    - update debian/firefox-3.1-minefield.desktop
  * Fix the update-notifier script to really look for firefox-3.1
    - update debian/firefox-3.1-restart-required.update-notifier
  * Fix patch series after the rename of patch bz460917_*
    - update debian/patches/series
  * Revert to codename branding for betas
    - update debian/rules
  * Fix typo in control file
    - update debian/control
  * Drop useless patch:
    - drop debian/patches/ftbfs-with-branding-dir
    - update debian/patches/series
  * Update diverged patches:
    - update debian/patches/ubuntu_no_app_updates.patch
    - update debian/patches/dont_depend_on_nspr_sources.patch
    - update and rename debian/patches/ubuntu_bookmarks.html =>
      debian/patches/ubuntu_bookmarks.patch & d/p/series

 -- Fabien Tassin <fta@ubuntu.com>  Fri, 23 Jan 2009 00:33:43 +0100

firefox-3.1 (3.1~b2+build1+nobinonly-0ubuntu1) jaunty; urgency=low

  New upstream release: 3.1 beta 2 from FIREFOX_3_1b2_BUILD1 (LP: #274187)

  [ Fabien Tassin <fta@ubuntu.com> ]
  * Change appname and use a dedicated profile so 3.1 could run along with
    3.0 without locking/corrupting the profile. Initial 3.1 profile is
    cloned from 3.0 whenever possible.
    - update debian/firefox.sh.in
    - add debian/patches/firefox-profilename
    - add debian/patches/firefox-fsh
  * Use Shiretoko, codename for 3.1 instead of Granparadiso
    - rename debian/firefox-3.1-granparadiso.desktop => firefox-3.1-shiretoko.desktop
    - update debian/rules
  * Unset FORCE_OFFICIAL_BRANDING to return to minefield branding for
    intermediate snapshots and to Shiretoko branding for milestones
    - update debian/rules
  * Set MALLOC_OPTIONS=O before calling xulrunner during build. This is needed
    to avoid a dead-lock in jemalloc when running under fakeroot
    - update debian/rules
  * Drop system nspr/nss (until the soname work is stable)
    - update debian/rules
  * Update requirement for system sqlite3 to >= 3.6.0
    - update debian/rules
  * Add libasound2-dev to Build-Depends for the new HTML5 <video> tag
    - update debian/control
  * Drop dom-inspector, venkman and legacy firefox-{,trunk,granparadiso}
    packages
    - update debian/control
  * Resurrect the -dbg package, at least until bug 156575 is fixed
    - update debian/control
  * Update diverged patches:
    - update debian/patches/nspr_flags_by_pkg_config_hack.patch
    - update debian/patches/bzXXX_reload_new_plugins.patch
    - update debian/patches/firefox-fsh
    - update debian/patches/firefox-profilename
    - update debian/patches/lp185622_system_path_default_browser.patch
    - update debian/patches/browser_branding.patch
  * Drop patches applied upstream
    - drop debian/patches/lp269656_know_your_rights.patch
      (See https://bugzilla.mozilla.org/show_bug.cgi?id=456439)
    - drop debian/patches/installer_use_stdout_for_missing_files.patch
    - drop debian/patches/bz412610_att335369_realpath_overflow.patch
    - drop debian/patches/bz436133_att322801.patch
    - drop debian/patches/bz421977_att334578.patch
    - update debian/patches/series

  [ Alexander Sack <asac@ubuntu.com> ]
  * ship $MOZ_APP_DIR/distribution/distribution.ini
    - add debian/distribution.ini
    - update debian/rules

 -- Fabien Tassin <fta@ubuntu.com>  Fri, 28 Nov 2008 16:02:43 +0100

firefox-3.0 (3.0.4+nobinonly-0ubuntu3) UNRELEASED; urgency=low

  [ Nick Ellery <nick.ellery@ubuntu.com> ]
  * fix LP: #270477 - firefox-3.0-branding has errors in it's package description
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Wed, 26 Nov 2008 21:56:44 +0100

firefox-3.0 (3.0.4+nobinonly-0ubuntu2) jaunty; urgency=low

  * ship $MOZ_APP_DIR/distribution/distribution.ini
    - add debian/distribution.ini
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Mon, 24 Nov 2008 12:40:07 +0100

firefox-3.0 (3.0.4+nobinonly-0ubuntu1) jaunty; urgency=low

  * new security/stability update FIREFOX_3_0_4_RELEASE (v3.0.4)
    - see USN-667-1

  [ Fabien Tassin <fta@ubuntu.com> ]
  * Fix missing comma in Build-Depends breaking older dpkg-dev
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Sun, 16 Nov 2008 17:12:57 +0100

firefox-3.0 (3.0.3+nobinonly-0ubuntu2) intrepid; urgency=low

  * fix LP: #282875: about:rights does not display; the latest update
    of the know your right page contained illegal xml.
    - update debian/patches/lp269656_know_your_rights.patch

 -- Alexander Sack <asac@ubuntu.com>  Mon, 20 Oct 2008 17:37:05 +0200

firefox-3.0 (3.0.3+nobinonly-0ubuntu1) intrepid; urgency=low

  [ Steve Langasek <steve.langasek@ubuntu.com> ]
  * Fix the wrapper script to handle all possible invocations.
    LP: #275410.

  [ Fabien Tassin <fta@ubuntu.com> ]
  * Remove some hardcoded 3.0 to make the merge in the 3.1 branch smoother
    - update debian/rules
    - update debian/firefox.sh.in
  * Fix abrowser symlink in libdir which must be versioned unless control
    ships a meta package. Add versioned symlinks in libdir for firefox and
    abrowser now that the launcher script uses $0
    - update debian/rules
  * Fix the desktop file for abrowser to call it abrowser-3.0 instead
    of firefox-3.0, and move the desktop icons to the branding packages
    - update debian/rules
  * Add a ubuntu-abrowser.js file dedicated to abrowser and set useragent
    to Firefox/version
    - add debian/ubuntu-abrowser.js.tmpl
    - update debian/rules
  * Fix typo in branding patch for unofficial branding
    - update debian/patches/browser_branding.patch

  [ Alexander Sack <asac@ubuntu.com> ]
  * add ubuntu code to preferences for yahoo searchplugin
    - update debian/firefox.js
  * fix gnome integration systempath patch in such a way that it properly
    refers to "abrowser" and not awesome-browser
    - update debian/patches/lp185622_system_path_default_browser.patch
  * update aboutRights.xhtml to v1
    - update debian/patches/lp269656_know_your_rights.patch
  * resurrecting ubuntu default bookmarks
    - update debian/patches/browser_branding.patch
    - update debian/patches/series
  * add explicit minimum version to firefox-3.0 depend on firefox-3.0-branding
    and abrowser-3.0-branding (>= 3.0.3+nobinonly-0ubuntu1), to reflect
    that the desktop launcher icon has been moved from firefox-3.0 to
    -branding
    - update debian/control

 -- Fabien Tassin <fta@ubuntu.com>  Mon, 13 Oct 2008 16:05:14 +0200

firefox-3.0 (3.0.3+build1+nobinonly-0ubuntu1) intrepid; urgency=low

  new regression fix release (v3.0.3 build1)
    - see USN-645-3
  * fixes LP: #270429: [MASTER] passwords lost from 3.0.1 to 3.0.2
  * improve about:rights wording slightly to read "... offers optional
    web site ..." while previously it read "... uses web sitweb sitee ...";
    thanks to PJ for the initial suggestion
    - update debian/patches/lp269656_know_your_rights.patch

 -- Alexander Sack <asac@ubuntu.com>  Thu, 25 Sep 2008 12:01:59 +0200

firefox-3.0 (3.0.2+build6+nobinonly-0ubuntu2) intrepid; urgency=low

  * fix LP: #273907 - abrowser does not start: :$pkglibdir/abrowser link
    missing; we introduce the proper link in the firefox-3.0 package
    - update debian/rules
  * fix LP: #269795 - abrowser shouldn't display the EULA; we fix this by
    using brand.properties to determine whether we have official branding or
    not. In turn the about:rights notification only gets displayed when
    official build is running.
    - update debian/patches/lp269656_know_your_rights.patch
  * fix LP: #206191 - Firefox 3 "set as Desktop background" does not work
    properly; we cherry-pick latest upstream patch from bugzilla
    - add debian/patches/bz421977_att334578.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Wed, 24 Sep 2008 18:48:23 +0200

firefox-3.0 (3.0.2+build6+nobinonly-0ubuntu1) intrepid; urgency=low

  Security/Stability update (v3.0.2 build6)
    - see USN-645-1

  [ Fabien Tassin <fta@ubuntu.com> ]
  * Add a -g/--debug switch to the launcher script to start firefox inside gdb.
    Note that it must be specified first on the command line.
    - update debian/firefox.sh.in
  * Make the branding patch also work for non official branding.
    - update debian/patches/browser_branding.patch

  [ Alexander Sack <asac@ubuntu.com> ]
  * Fix branding code in debian/rules: a) fix .desktop target filename
    to be unversioned if and only if control ships a meta package name
    - update debian/rules
  * Don't cp debian/$(DESKTOP) debian/$(DEBIAN_APP_NAME).desktop in
    pre-build:: which is a left over from previous branding split
    approaches and unused now.
    - update debian/rules
  * Use APPNAME=`basename $0` in firefox start script; fix bug that would
    trick abrowser into restarting itself through the "firefox" command.
    - debian/firefox.sh.in
  * Fix LP: #269656 - AN IRRELEVANT LICENSE IS PRESENTED TO
    YOU FREE-OF-CHARGE ON STARTUP; we implement the "Know Your Rights..."
    approach based on the mocked-up's published by mozilla
    http://blog.lizardwrangler.com/2008/09/17/mock-ups-available-for-notices-previously-was-eula/
    - add debian/patches/lp269656_know_your_rights.patch
    - update debian/patches/series
  * abrowser Provides: firefox to ease transition of rdepends
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Tue, 23 Sep 2008 17:44:47 +0200

firefox-3.0 (3.0.2+build3+nobinonly-0ubuntu2) intrepid; urgency=low

  [ Alexander Sack ]
  * new patch that adds canonical affiliate code to en-US amazon searchplugin
    - add debian/patches/ubuntu_codes_amazon.patch
    - update debian/patches/series
  * rename the webbrowser and webbrowser-3.0-branding package to abrowser and
    abrowser-3.0-branding; in turn we rename the desktop file and the links
    to the binaries
    - rename debian/webbrowser-3.0.desktop
    - update debian/control
    - update debian/rules
    - update debian/firefox-3.0.links

 -- Alexander Sack <asac@ubuntu.com>  Thu, 11 Sep 2008 17:25:42 +0200

firefox-3.0 (3.0.2+build3+nobinonly-0ubuntu1) intrepid; urgency=low

  [ Alexander Sack <asac@ubuntu.com> ]
  * Fix: LP #246775 - "wrong user-agent string in hardy build" by adding proper
    build-depends
    - update debian/control
  * Fix: LP #240880 - Remove "previously known as" paragraph
    - update debian/control
  * webbrowser-3.0-branding split using the awesome branding (LP: #263938)
    + we add a new .desktop file to the source and teach the debian/rules
      code about it
      - add debian/webbrowser-3.0.desktop
      - update debian/rules
    + we magically run config.status on just the Makefiles of our branding
      in the binary-install/webbrowser-3.0-branding target
      - update debian/rules
    + we introduce a firefox-3.0-branding package as well as an
      webbrowser-3.0-branding package in control; webbrowser-3.0-branding
      conflicts firefox-3.0-branding, while firefox-3.0 depends on
      firefox-3.0-branding | webbrowser-3.0-branding; we update the firefox
      meta package to depend on the firefox-3.0-branding; we add a new
      metapackage "webbrowser" that tracks the stable webbrowser branch, just
      like firefox, but with the difference that it depends on 
      webbrower-3.0-branding package
      - update debian/control
    + higher mozilla-devscripts bar to 0.10 to reflect that we need that
      version to properly produce awesome-browser branded original tarballs
      - update debian/control
    + patch browser/installer packages-static file to install awesome-browser
      content and locale bits
      - add debian/patches/awesome_browser_branding_install.patch
      - update debian/patches/series
    + patch firefox to ship branding chrome bits in separate jar files.
      - debian/patches/browser_branding.patch
      - debian/patches/series
    + install firefox branding bits to the firefox-3.0-branding package
      and remove them from the firefox-3.0 package so that we ship the awesome
      browser chrome by default; in turn we fix that not all awesome branding
      bits were available by doing a full make install
      DESTDIR=debian/tmp-awesome.
      - update debian/rules
      - update debian/firefox-3.0.install
    + dpkg-divert non-chrome branding bits; add firefox-3.0-branding.preinst.in
      and firefox-3.0-branding.postrm.in maintainer script templates and
      register them for substitution in debian/rules; for chrome the trick is
      to not divert the whole branding, but just disable the
      awesome-browser.manifest when the firefox-3.0-branding package gets
      installed; doing so disables the locales override and unhooks the
      awesome branding in a way that the offcial branding will take over. We
      also try to cleanup diverts that have disappeared during upgrade in
      old-postrm of the branding package; this is required to properly cleanup
      during major firefox version upgrades - where pkglibdir changes.
      - add debian/firefox-3.0-branding.postrm.in
      - add debian/firefox-3.0-branding.preinst.in
      - update debian/rules
    + introduce rules variable APP_NAME_OTHER, which is used as a placeholder
      for awesome-browser
      - update debian/rules
    + special case when \"Web Browser\" is found
      to be shortBrandName. In that case we use /usr/bin/webbrowser as
      exePath in nsGNOMEShellService (for settin default browser)
      - update debian/patches/lp185622_system_path_default_browser.patch
    + ship /usr/bin/webbrowser and /usr/bin/webbrowser-3.0 links in
      firefox-3.0 package
      - update debian/firefox-3.0.links
    + ship awesome branding in webbrowser-3.0-branding package
      - update debian/rules

  [ Fabien Tassin ]
  * Drop more firefox-3.0 references to ease merge with the 3.1 branch
    - update debian/rules
  * Fix buffer overflow in realpath() at runtime and drop -U_FORTIFY_SOURCE
    from CPPFLAGS (LP: #263014)
    - add debian/patches/bz412610_att335369_realpath_overflow.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Tue, 02 Sep 2008 11:59:53 +0200

firefox-3.0 (3.0.1+build1+nobinonly-0ubuntu2) intrepid; urgency=low

  RELEASE 3.0.1+build1+nobinonly-0ubuntu2 to ubuntu/intrepid
  * Fix: #246775 - "wrong user-agent string in hardy build" by adding proper
    build-depends
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Sat, 26 Jul 2008 16:08:26 +0200

firefox-3.0 (3.0.1+build1+nobinonly-0ubuntu1) intrepid; urgency=low

  * LP: #247494 - new security/stability release (v3.0.1 build1)
    - see USN-626-1

  [ Alexander Sack <asac@ubuntu.com> ]
  * bump build dependencies for xulrunner 1.9 dev to >= 1.9+nobinonly-0ubuntu3~
    in order to force jemalloc build; bump binary depends accordingly
    - update debian/control
  * add useragent config file and install it in $pkglibdir/defaults/preferences;
    replace @VENDOR@, @VENDOR_SUB@ and @VENDOR_COMMENT@ tokens with lsb_release
    id, release, codename
    - add debian/ubuntu-useragent.js.tmpl
    - update debian/rules
  * bump maxVersion to 1.9.0.* to ease future upgrades of firefox-3.0/xulrunner-1.9
    tandem and lower minVersion to 1.9.0.1 in post-install; in turn adjust binary
    and build depends accordingly.
    - update debian/rules
    - update debian/control

  [ Fabien Tassin <fta@sofaraway.org> ]
  * Add an empty chrome.manifest in all extensions missing that
    file so it prevents the "failure in Chrome Registration" popup
    - update debian/rules
  * Don't use wildcards to detect xulrunner paths, it fails when
    more that one xulrunner is installed
    - update debian/rules
  * Get DEBIAN_NAME and DEBIAN_APP_NAME from changelog and make more use
    of variables to make the merge with the 3.1 branch easier
    - update debian/rules
    - update debian/firefox-3.0.postinst.in
    - update debian/firefox-3.0.prerm

 -- Alexander Sack <asac@ubuntu.com>  Fri, 18 Jul 2008 17:39:57 +0200

firefox-3.0 (3.0+nobinonly-0ubuntu2) intrepid; urgency=low

  * New upstream release: 3.0 RC2 (LP: #237690)

  [ Alexander Sack <asac@ubuntu.com> ]
  * Fix LP: #236266 - "Build Failure on HPPA architecture" by applying patch
    from bugzilla https://bugzilla.mozilla.org/show_bug.cgi?id=436133
    - add debian/patches/bz436133_att322801.patch
    - update debian/patches/series
  * drop left-over patch that disabled parts of safe-browsing by default.
    - delete debian/patches/force_safebrowsing_off.patch
    - update debian/firefox.js
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Tue, 10 Jun 2008 12:51:01 +0200

firefox-3.0 (3.0~rc1+nobinonly-0ubuntu1) intrepid; urgency=low

  * new upstream release 3.0 RC1 (LP: #233922)

  [ Fabien Tassin <fta@sofaraway.org> ]
  * Bump xulrunner-1.9 dependencies to ~rc
    - update debian/control
  * Bump EM_TRANSLATION_VERSION and EM_TRANSLATION_{MIN,MAX}_VERSION to 3.0
    and clean-up the code to avoid unnecessary complexity
    - update debian/rules
  * Refresh diverged patches
    - update debian/patches/bzXXX_reload_new_plugins.patch
  * Fix 'Categories' field in desktop file by changing GTK into Application
    to make KDE happy (LP: #220325)
    - update debian/firefox-3.0-final.desktop
  * Build with default gcc (hardy: 4.2, intrepid: 4.3)
    - update debian/rules
    - update debian/control
  * Prevent EULA dialog to popup on first run by setting the browser.EULA.override
    key to true
    - update debian/firefox.js
  * Drop LDFLAGS workaround now that jemalloc is no longer a static lib
    - udate debian/rules
  * Workaround multiple crashes in Intrepid caused by Intrepid shipping gcc 4.3 
    with -D_FORTIFY_SOURCE=2 by default
    - udate debian/rules

  [ Alexander Sack <asac@ubuntu.com> ]
  * Fix LP: #218865 - "ubufox is not suggested or recommended by firefox-3.0";
    we add ubufox to recommends of firefox-3.0 package.
    - update debian/control
  * Fix apport hook to properly detect global gre extensions
    - update debian/apport/firefox-3.0.py
  * disable app.update feature in code so the auto app update feature will
    never be enabled (independent from the pref setting)
    - add debian/patches/ubuntu_no_app_updates.patch
    - update debian/patches/series
  * install firefox.cfg as an example using dh_installdocs rather than
    dh_install as it wasn't used at all
    - update debian/rules

 -- Fabien Tassin <fta@sofaraway.org>  Wed, 21 May 2008 16:25:00 +0200

firefox-3.0 (3.0~b5+nobinonly-0ubuntu3) hardy; urgency=low

  * improve translation support by shipping a crafted install.rdf. We ship a
    template install.rdf.in in debian/translation-support and replace the
    em:{version,maxVersion,minVersion} during build. For now those versions
    are maintained manually because we need maintainer attention on upgrades
    considering the upstream string freeze. To increase failsafeness, we fail
    the build if the version appears to be out of sync with the upstream
    version in the post-install target. The install.rdf is finally added to
    the zip file in the binary-post-install rule used to produce the
    en-US.xpi.
    - add debian/translation-support/install.rdf.in
    - update debian/rules

  * remove unused debian/firefoxrc (aka /etc/firefox-3.0/firefoxrc) file from
    files shipped. Its not considered by firefox startscript anymore and just
    causes confusion.
    - remove debian/firefoxrc
    - update debian/firefox-3.0.install

 -- Alexander Sack <asac@ubuntu.com>  Sun, 20 Apr 2008 15:47:10 +0200

firefox-3.0 (3.0~b5+nobinonly-0ubuntu2) hardy; urgency=low

  * fix "firefox-3.0 gets removed on dist-upgrade when firefox-3.0 build is
    not available on mirror". We deal with this situation by dropping the
    Break: field from xulrunner-1.9 and adding upper bounds on xulrunner-1.9
    to firefox-3.0 binary.
    - update debian/control

  * fix extension and theme reporting in apport hook. we now list gre,
    app and local extensions/themes separately
    - update debian/apport/firefox-3.0.py

  * fix "update-notifier hint gets installed in postinst even when firefox is
    not running" - LP: #214620. The fix now uses pgrep -x to test more
    accurately for the firefox itsself. Thanks to Colin Watson for the idea.
    We use the same pgrep test in the notifiers DisplayIf: expression as well.
    - update debian/firefox-3.0-restart-required.update-notifier
    - update debian/firefox-3.0.postinst.in

 -- Alexander Sack <asac@ubuntu.com>  Tue, 15 Apr 2008 12:12:13 +0200

firefox-3.0 (3.0~b5+nobinonly-0ubuntu1) hardy; urgency=low

  * Firefox 3.0 Beta 5 package - "ready for prime-time"!

  * Multiple fixes and improvements to debian/rules: "rewrite substitution
    rules", "bad .autoreg install path makes package ftbfs", "Firefox must not
    ship reporter extension; its shipped in xulrunner-1.9", "enable
    mozilla-devscript's in binary-post-install", "--disable-debug passed twice
    in configure"
    - update debian/rules

       * Alexander Sack <asac@ubuntu.com>
       * Fabien Tassin <fta@sofaraway.org>

  * Multiple fixes to the apport hook: "remove .pyc file garbage during prerm",
    "bad install path", "bad extension directories used to gather data"
    - update debian/apport/firefox-3.0.py
    - update debian/firefox-3.0.prerm
    - update debian/firefox-3.0.install

       * Alexander Sack <asac@ubuntu.com>
       * Fabien Tassin <fta@sofaraway.org>

  * Multiple fixes required by libxul linkage with jemalloc: "libjemalloc.so
    cannot be installed - doesn't exist", "-Wl,-Bsymbolic-functions in LDFLAGS
    cause crashes at startup"
    - update debian/firefox-3.0.install
    - update debian/rules

       * Fabien Tassin <fta@sofaraway.org>

  * Fix multiple misc bugs: "migration creates double dots for abandoned
    profiles", "Wikipedia search plugin shipped upstream",  "blocklist.xml not
    installed", "use LIBDIR when touching .autoreg in postinst", "Fix restart
    notification misbehaviour", "Improve package description (LP: #207199)"
    - update debian/firefox.sh.in
    - drop debian/wikipedia.*
    - update debian/firefox-3.0.install
    - update debian/rules
    - update debian/firefox-3.0.postinst.in
    - update debian/firefox-3.0-restart-required.update-notifier

       * Alexander Sack <asac@ubuntu.com>
       * Fabien Tassin <fta@sofaraway.org>

  * Misc package housekeeping changes: "Bump xulrunner-1.9
    dependencies to b5", "Adjust patches", "desktop files not valid
    (LP: #194970)", "relax dependencies on xulrunner. no upper bounds":
    - update debian/control
    - update debian/patches/dont_depend_on_nspr_sources.patch
    - update debian/patches/nspr_flags_by_pkg_config_hack.patch

       * Fabien Tassin <fta@sofaraway.org>

  * Multiple Translation related fixes and improvements: "Reuse translations
    from firefox 2 .desktop file", "include lp-export-xpi.mk from
    mozilla-devscripts and export en-US.xpi to debian/lp-export-xpis/
    directory"
    - update debian/firefox-final.desktop
    - update debian/rules
    - update debian/control

       * Alexander Sack <asac@ubuntu.com>
       * Fabien Tassin <fta@sofaraway.org>

  * Fixing chrome registration issues by properly shipping
    $(DEBIAN_FF3_DIR)/.autoreg and touching it in postinst maintainer scripts
    - update debian/rules
    - update debian/firefox-3.0.postinst.in
    - add debian/firefox-3.0-gnome-support.postinst 

       * Alexander Sack <asac@ubuntu.com>
       * Fabien Tassin <fta@sofaraway.org>

  * fix LP: #185622 - "Firefox 3 doesn't act as the default browser"; we
    always check for and use /usr/bin/firefox now. Don't use " to delimit
    the parameters of the preferred browser command used to update gconf
    protocol-handler.
    - add debian/patches/lp185622_system_path_default_browser.patch
    - update debian/patches/series

       * Alexander Sack <asac@ubuntu.com>

  * fix "New plugins only recognized _after_ restarting firefox"; the gecko
    1.9 plugin host doesn't scan plugin directories automatically for
    previously not available mime-types and extensions anymore. This fix
    assures that the browser receives a NewPluginInstalled through the
    tabbrowser.selectedBrowser by registering a special listener before
    starting the plugin installer wizard. After plugins are properly installed
    we remove that listener again.
    - add debian/patches/bzXXX_reload_new_plugins.patch
    - update debian/patches/series

       * Alexander Sack <asac@ubuntu.com>

 -- Fabien Tassin <fta@sofaraway.org>  Fri, 04 Apr 2008 21:26:23 +0200

firefox-3.0 (3.0~b4+nobinonly-0ubuntu1) hardy; urgency=low

  [ Fabien Tassin <fta@sofaraway.org> ]
  * Bump xulrunner-1.9 dependencies to b4
    - update debian/control
  * Refresh diverged patches:
    - update debian/patches/dont_depend_on_nspr_sources.patch
    - update debian/patches/force_safebrowsing_off.patch
  * Drop extension from desktop launchers icons (LP: #190688)
    - update debian/firefox-3.0-*.desktop
  * Install new libjemalloc.so
    - update debian/firefox-3.0.install
  * Add optional support for system sqlite3 (we need >= 3.5 not in hardy)
    - update debian/rules
  * Fix debsearch.src to work with new packages.ubuntu.com codebase (LP: #194681)
    Contributed by David Futcher <bobbocanfly@gmail.com>
    - update debian/debsearch.src
  * Bump gtk+ requirement to 2.10 because of the new Print Dialog
    - update debian/control
  * Add Polish translation to deskstop launcher (LP: #196953)
    Contributed by Tomasz Dominikowski <dominikowski@gmail.com>
    - update debian/firefox-3.0-final.desktop
  * Change $(shell) into $(wildcard) for XUL SDK detection
    - update debian/rules
  * Drop DEB_AUTO_UPDATE_DEBIAN_CONTROL cdbs variable completely. It was
    wrongly set to zero
    - update debian/rules
  * Stop build-tree/mozilla/README to be shipped as a doc by setting
    cdbs DEB_INSTALL_DOCS_ALL to $(NULL)
    - update debian/rules

  [ Alexander Sack <asac@ubuntu.com> ]
  * reuse apport hook from firefox 2 package initially developed by Hilario J.
    Montoliu <hmontoliu@gmail.com> (LP: #199666)
    - add debian/apport/firefox-3.0.py
    - update debian/firefox-3.0.install

 -- Alexander Sack <asac@ubuntu.com>  Thu, 13 Mar 2008 16:52:36 +0100

firefox-3.0 (3.0~b3+nobinonly-0ubuntu4) hardy; urgency=low

  * fix firefox.desktop install (ftbfs)
    - update debian/firefox-3.0.install
  * fix StartupWMClass in desktop file
    - update debian/firefox-3.0-final.desktop
  * fix Name and Description and Exec in desktop file
    - update debian/firefox-3.0-final.desktop

 -- Alexander Sack <asac@ubuntu.com>  Mon, 25 Feb 2008 14:37:43 +0100

firefox-3.0 (3.0~b3+nobinonly-0ubuntu3) hardy; urgency=low

  * introduce transitional dummy package for firefox-libthai => firefox-3.0
    (thai line break is now done by pango) (LP: #193542)
    - update debian/control
  * ship firefox.desktop again to not break existing launchers (LP: #193902)
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Mon, 25 Feb 2008 11:46:11 +0100

firefox-3.0 (3.0~b3+nobinonly-0ubuntu2) hardy; urgency=low

  * make aptitude happy by using versioned Replaces on firefox*
    - update debian/control
  * make firefox-{dom-inspector,gnome-support} meta packages depend on
    firefox-3.0-* instead of xulrunner-1.9-* to improve transition behaviour.
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Thu, 14 Feb 2008 13:40:37 +0100

firefox-3.0 (3.0~b3+nobinonly-0ubuntu1) hardy; urgency=low

  * Firefox 3 Beta 3 release (FIREFOX_3_0b3_RELEASE)

  [ Alexander Sack ]
  * use default upstream gcc tweaks for improved performance - especially of
    the javascript engine
    - update debian/rules
  * add gtk based profile migrator dialog, build it during |pre-build| and clean
    it in |clean| target of debian/rules; finally, install the binary in firefox
    pkglibdir.
    - add debian/migrator/main.c
    - update debian/rules
  * drop version suffix from MOZ_APP and application.ini (going back to
    upstreams plain |firefox|) and drop patches accordingly
    - drop debian/patches/firefox-fsh
    - drop debian/patches/firefox-profilename
    - update debian/patches/series
  * install firefox binary instead of firefox-3.0 (after MOZ_APP_NAME
    tweakage was dropped in on of the previous commits
    - update debian/firefox-3.0.install
  * reuse firefox.sh.in script to determine on whether the user was a beta
    user and if thats the case ask the user (by running the profile migrator
    added above) which profile to use in future
    - update debian/firefox.sh.in
  * fix DEBIAN_FF3_DIR, which diverged from install dir after dropping
    special application name and profile dir tweaks
    - update debian/rules
  * drop development version disclaimer from package description and improve
    the package description by stripping technical details and referrals to
    other browser applications that are less known than firefox and thus don't
    provide any valuable info to normal users.
    - update debian/control
  * bump build dependency for xulrunner-1.9-dev to >= 1.9~b3
    - update debian/control
  * bump bin dependency on xulrunner-1.9 and on xulrunner-1.9-gnome-support
    to >= 1.9~b3
    - update debian/control
  * introduce (empty) firefox meta package that automatically upgrades users
    to latest major releases of firefox; firefox 2 will be reuploaded as
    firefox-2 and then be demoted to universe
    - update debian/control
  * make firefox-3.0 conflict/replace old firefox 2 package to force upgrade
    - update debian/control
  * remove "Development Version" disclaimer from package short descriptions
    - update debian/control
  * introduce empty meta packages for firefox, firefox-dom-inspector,
    firefox-gnome-support and firefox-dev to provide a seamingless upgrade path
    from previous firefox versions. Add Conficts/Replaces accordingly and make
    firefox-3.0 Conflicts/Replaces/Provides firefox-libthai which is now fully
    integrated in the core as pango line breaking feature is used.
    - update debian/control
  * provide link /usr/bin/firefox => /usr/bin/firefox-4.0
    - add debian/firefox-3.0.links

  [ Fabien Tassin ]
  * Add support for mozilla-devscripts and clean-up rules file accordingly
    - update debian/rules
  * Clean-up rules file to make more use of $(EXTRA_SYSTEM_CONFIGURE_FLAGS)
    - update debian/rules
  * Update diverged patch:
    - update debian/patches/ftbfs-with-branding-dir
  * Add #DEBHELPER# token to prerm script
    - update debian/firefox-3.0.prerm
  * Replace deprecated ${Source-Version} by ${binary:Version}
    - update debian/control
  * Bump requirement for system cairo to >= 1.5.8 as we now need
    the newly added cairo_path_extents()
    - update debian/rules
  * Add a menu file
    - add debian/firefox-3.0.menu
  * Include mozilla-devscripts file using -include so ifneq could be omitted
    - update debian/rules
  * Improve migration script to take care of all previously used profile
    directories (during alpha and beta phases)
    - update debian/firefox.sh.in

 -- Alexander Sack <asac@ubuntu.com>  Wed, 13 Feb 2008 16:55:10 +0100

firefox-3.0 (3.0~b3~cvs20080101t1000+nobinonly-0ubuntu1) hardy; urgency=low

  * new years upstream snapshot (3.0b3 pre, CVS 20080101t1000) features:
    - new firefox 3 version (LP: #178066)
    - file upload dialog has preview for images (LP: #89381)
    - gnome/gtk theme icons for main navigation and mime-type icons work
      properly now (LP: #160942)
    - honours proper plugin/extension locations now (LP: #123118)
      (see https://wiki.ubuntu.com/XulrunnerGecko)
    - import bookmarks from ffox 2 properly (LP: #163746)
    - proper implementation for adding security exceptions (LP: #179706)

  [ Alexander Sack ]
  * new upstream snapshot (3.0b3 pre, CVS 20080101t1000)
  * update firefox-profile patch because of changed upstream codebase
    - update debian/patches/firefox-profilename
  * firefox-3.0 now has its own extensions directory because latest
    xulrunner-1.9 supports extensions (and plugins) in three directories:
    PROFILE, APP (ffox), GRE (xul)
    - update debian/firefox-3.0.dirs
    - update debian/rules
  * exceptional official branding release for cvs version to hardy: add easy to
    use FORCE_OFFICIAL_BRANDING switch in rules and enable it for this release
    - update debian/rules

  [ Fabien Tassin ]
  * Move xulrunner-1.9 dependencies to b3
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Wed, 02 Jan 2008 15:43:50 +0100

firefox-3.0 (3.0~b2+nobinonly-0ubuntu1) hardy; urgency=low

  [ Fabien Tassin ]
  * new upstream snapshot (3.0b2 from FIREFOX_3_0b2_RELEASE)
    - update debian/changelog
  * Drop debian/patches/no-have-stdint-h-ftbfs.patch integrated
    upstream and bump xulrunner requirements to 1.9~b2~cvs20071119
    - update debian/control
    - drop debian/patches/no-have-stdint-h-ftbfs.patch
    - update debian/patches/series
  * Add libdbus-glib-1-dev >= 0.60 to build-deps. See MozBug #388743.
    - update debian/control
  * Update rules to use system cairo if cairo >= 1.5.4 is found
    - update debian/rules
  * Add libpixman-1-dev to build-deps, needed by system cairo
    - update debian/control
  * Update Standards-Version to 3.7.3
    - update debian/control
  * Drop -1.9 suffix of expected xulrunner-1.9 pkg-config files
    - update debian/patches/nspr_flags_by_pkg_config_hack.patch
  * Fold Build-Depends line making changes easier to track in diffs
    - update debian/control

  [ Alexander Sack ]
  * use system nspr and system nss; add build-depends accordingly
    - update debian/control
    - update debian/rules
  * add versioned depends on xulrunner-1.9 >= 1.9~b2+nobinonly which is the
    first xulrunner-1.9 that officially uses system nspr/nss.
  * tighten dependency on xulrunner-1.9 << 1.9~b3~
    - update debian/control
  * drop DEV_PACKAGE_INDICATION business because xulrunner pkg-config files
    properly reference system-nss/nspr since 1.9+b2+nobinonly
    - update debian/rules

 -- Fabien Tassin <fta@sofaraway.org>  Wed, 19 Dec 2007 20:23:23 +0100

firefox-3.0 (3.0~b1+nobinonly-0ubuntu1) hardy; urgency=low

  * new upstream snapshot (3.0b1 from FIREFOX_3_0b1_RELEASE)
    - update debian/changelog
  * Rename desktop file firefox-3.0-final.desktop so it doesn't
    get cleaned out
    - update debian/rules
    - rename debian/firefox-3.0.desktop to firefox-3.0-final.desktop
  * Install extensions in /usr/lib/xulrunner-addons/extensions
    - update debian/firefox-3.0.install
    - update debian/rules
  * Use official branding for beta too as homepage/releasenotes URLs
    are maintained that way. Disable crash reporter.
    - update debian/patches/firefox-profilename
    - update debian/rules
    - update debian/firefox-3.0-final.desktop
  * Fix URLs for addons/themes/plugins
    - update debian/patches/firefox-profilename
  * Revert hardcoded lib path to the upstream path, move searchplugins to
    /usr/lib/firefox-addons/searchplugins and plugins to
    /usr/lib/firefox-addons/plugins.
    - update debian/patches/firefox-fsh
    - update debian/rules
    - divert debian/firefox-3.0.postinst => debian/firefox-3.0.postinst.in
    - divert debian/firefox.sh => debian/firefox.sh.in
    - add debian/firefox-3.0.dirs
    - drop debian/firefox-3.0.links
    - update debian/firefox-3.0{,-gnome-support}.install
  * Drop --with-default-mozilla-five-home, prefer default value
    - update debian/rules

 -- Fabien Tassin <fta@sofaraway.org>  Tue, 27 Nov 2007 02:27:42 +0100

firefox-3.0 (3.0~b1~rc3+nobinonly-0ubuntu1) hardy; urgency=low

  RELEASE: 3.0~b1~rc3+nobinonly-0ubuntu1 to ubuntu/hardy

  [ Fabien Tassin ]
  * new upstream snapshot: 3.0a9pre cvs20071105t0828
  * Add a dependency on firefox-3.0-gnome-support to xulrunner-1.9-gnome-support
    - update debian/control
  * Fix a typo in rules file (non ascii char)
    - update debian/rules
  * new upstream snapshot (1.9b1 rc3 from FIREFOX_3_0b1_RC3)
    - update debian/changelogs
  * Update depends/build-depends for xulrunner-1.9 to >= 1.9~b1~rc
    - update debian/control

  [ Alexander Sack ]
  * Use granparadiso branding for alpha and beta builds and official branding
    for final builds:
    - update debian/rules
  * Use --enable-official-branding for final builds
    - update debian/rules
    - add debian/firefox-3.0.desktop
  * fix places regression by shipping usr/lib/firefox-3.0/modules
    - update debian/firefox-3.0.install

 -- Fabien Tassin <fta@sofaraway.org>  Tue, 14 Nov 2007 14:34:50 +0100

firefox-3.0 (3.0~alpha9~cvs20071003t0648-0ubuntu1~mt1) gutsy; urgency=low

  RELEASE: 3.0~alpha9~cvs20071003t0648-0ubuntu1~mt1 to gutsy/ppa

  [ Fabien Tassin ]
  * update diverged debian/patches/firefox-fsh
  * build with or without nss/nspr depending on version like xulrunner-1.9
    - update debian/rules

 -- Fabien Tassin <fta@sofaraway.org>  Mon, 08 Oct 2007 16:28:50 +0200

firefox-3.0 (3.0~alpha8+nobinonly-0ubuntu1) gutsy; urgency=low

  RELEASE: 3.0~alpha8+nobinonly-0ubuntu1 to gutsy/universe.

  * new orig.tar.gz without binary only files (LP: #121734).
  * debian/firefox.sh: fix typo in firefox.sh profile migration code
    (LP: #150529).

 -- Alexander Sack <asac@ubuntu.com>  Tue, 09 Oct 2007 10:48:36 +0200

firefox-3.0 (3.0~alpha8-0ubuntu2) gutsy; urgency=low

  * debian/control: add missing Depends: on xulrunner-1.9 (LP: #149916).

 -- Alexander Sack <asac@ubuntu.com>  Mon, 08 Oct 2007 10:45:06 +0200

firefox-3.0 (3.0~alpha8-0ubuntu1) gutsy; urgency=low

  RELEASE: 3.0~alpha8-0ubuntu1 to gutsy/universe.

  [ Alexander Sack ]
  * drop libnspr4-dev and libnss3-dev build-depends for gutsy upload.
  * don't build with system-nspr/-nss for gutsy universe upload.
  * add nspr_flags_by_pkg_config_hack.patch to use pkg-config to get
    nspr libs and cflags from xulrunner-1.9-dev package.

 -- Alexander Sack <asac@ubuntu.com>  Fri, 05 Oct 2007 02:38:08 +0200

firefox-3.0 (3.0~alpha8-0ubuntu1~mt3) gutsy; urgency=low

  RELEASE: 3.0~alpha8-0ubuntu1~mt3 to gutsy/PPA.

  [ Fabien Tassin ]
  * Unset browser.safebrowsing.enabled by default
    Update debian/firefox.js
  * Compile with gcc/g++ 4.2 for all archs.
  * Add debian/patches/force_safebrowsing_off.patch forcing
    the default to off so users could decide to turn it if they
    want to.
  * Fix a typo in debian/control (Fixes LP #146694)
  * Fix a FTBFS introduced by gcc-4.2 that fixed a visibility bug
    [GCC bug 26905] triggering WRAP_SYSTEM_INCLUDES in firefox.
    This WRAP_SYSTEM_INCLUDES triggered code depending on nspr
    sources that are no longer accessible because of the stripped
    tarball.
    - add debian/patches/dont_depend_on_nspr_sources.patch
    - update debian/patches/series
    - update debian/changelog
  * Clean a possible left over from trunk in update-notifier user
    directory
    - update debian/firefox-3.0.postinst

 -- Alexander Sack <asac@ubuntu.com>  Wed, 03 Oct 2007 21:46:15 +0200

firefox-3.0 (3.0~alpha8-0ubuntu1~mt2) gutsy; urgency=low

  [ Fabien Tassin ]
  * dummify firefox-3.0-dom-inspector and firefox-3.0-venkman
    now that we ship those two extensions with xulrunner

  [ Alexander Sack ]
  * make debian/firefox.sh executable in pre-build:: target.

 -- Alexander Sack <asac@ubuntu.com>  Thu, 27 Sep 2007 20:05:10 +0200

firefox-3.0 (3.0~alpha8-0ubuntu1~mt1) gutsy; urgency=low

  Upstream Release: 3.0~a8 aka MOZILLA_1_9a8_RELEASE

  [ Fabien Tassin ]
  * new release: GranParadiso 3.0 alpha 8
  * Fix debian/rules to detect which xul-dev package is installed
  * Change branding based on Version (use MineField if version
    matches cvs, otherwise use GranParadiso)
  * Move gnome component into firefox-3.0-gnome-support

 -- Alexander Sack <asac@ubuntu.com>  Tue, 25 Sep 2007 02:30:07 +0200

firefox-3.0 (3.0~a8~cvs20070914t1713-0ubuntu1~mt2) gutsy; urgency=low

  RELEASE: 3.0~a8~cvs20070914t1713-0ubuntu1~mt2 to gutsy/PPA.

  [ Fabien Tassin ]
  * Massive app-name change from firefox-trunk to firefox-3.0
  * Add a migration profile script:
    add debian/firefox.sh, update debian/firefox-3.0.install
    debian/firefox-3.0.links

 -- Alexander Sack <asac@ubuntu.com>  Fri, 21 Sep 2007 20:47:20 +0200

firefox-trunk (3.0~a8~cvs20070914t1713-0ubuntu1~mt1) gutsy; urgency=low

  RELEASE: 3.0~a8~cvs20070914t1713-0ubuntu1~mt1 to gutsy/PPA.

  [ Fabien Tassin ]
  * new cvs snapshot: 3.0a8pre cvs20070914t1713 using a stripped tarball
    produced my mozclient
  * update debian/control to fix xulrunner version (1.9a8pre vs 1.9~a8)
  * drop patches no longer useful:
      bz386844_java_plugin_crash_in_xsync.patch
      bz392722_fix_nsinstall_on_double_slash.patch
      bz386866_ftbfs_toolkit_xre_Makefile_in.patch
  * Link venkman from xulrunner-1.9
  * Update firefox-dom-inspector package to just link the
    extension from xulrunner-1.9
  * Update debian/firefox-trunk.install to install browserconfig.properties
  * Make the installer complain about missing files on stdout
    instead of stderr so logs are easier to read.
    Add debian/patches/installer_use_stdout_for_missing_files.patch
    and update debian/patches/series

  [ Alexander Sack ]
  * Use --disable-install-strip to prevent packager from stripping symbols:
    - debian/rules: add --disable-install-strip as configure option.
    - debian/patches/installer_shouldnt_skip_strip_if_disable_strip_configured,
      series: drop patch to disable stripping symbols during |make install| in
      favour of generic upstream solution provided by --disable-install-strip.

 -- Alexander Sack <asac@ubuntu.com>  Tue, 18 Sep 2007 00:14:51 +0200

firefox-trunk (3.0~a8~cvs20070829-0ubuntu1) gutsy; urgency=low

  RELEASE: 3.0~a8~cvs20070829-0ubuntu1 to gutsy/PPA.

  [ Fabien Tassin ]
  * new cvs snapshot: 3.0a8pre cvs20070829
  * update debian/rules to use system xulrunner by adding:
    --with-libxul-sdk=/usr/lib/xulrunner-devel-1.9a8pre
  * update debian/patches/trunk-fsh to use $(MOZ_APP_NAME) while copying
    xulrunner-stub
  * add debian/patches/installer_shouldnt_copy_xulrunner.patch to prevent
    the installer to dump xulrunner files into firefox install dir,
    update debian/patches/series
  * fix debian/firefox-trunk-dev.install and debian/firefox-trunk-dev.links
    to reflect new install scheme
  * temporary disable debian/firefox-trunk-dev.* as 'make install' is not
    properly installing those files upstream.
  * update debian/changelog

 -- Alexander Sack <asac@ubuntu.com>  Wed, 29 Aug 2007 20:53:27 +0200

firefox-trunk (3.0~a8~cvs20070825-0ubuntu1) gutsy; urgency=low

  RELEASE: 3.0~a8~cvs20070825-0ubuntu1 to gutsy/PPA.

  [ Fabien Tassin ]
  * new cvs snapshot: 3.0a8pre cvs20070825
  * Add debian/patches/installer_shouldnt_skip_strip_if_disable_strip_configured
    contributed by asac, fixing --disable-strip (was being ignored)
  * Drop debian/patches/bz390451_master_password_lost.patch now fully integrated
    upstream. Update debian/patches/series
  * Update debian/patches/bz392722_fix_nsinstall_on_double_slash.patch to
    also fix security/coreconf/nsinstall/nsinstall.c

 -- Alexander Sack <asac@ubuntu.com>  Sat, 25 Aug 2007 16:56:07 +0000 

firefox-trunk (3.0~a8~cvs20070818-0ubuntu1) gutsy; urgency=low

  RELEASE: 3.0~a8~cvs20070818-0ubuntu1 to gutsy/PPA.

  [ Fabien Tassin ]
  * new cvs snapshot: 3.0a8pre cvs20070818
    (bump version from 2.99 to 3.0a8pre, as that's what it really is
     in mozilla/browser/config/version.txt)
  * Update debian/patches/trunk-profilename to patch firefox-branding.js
    in the right place now that we no longer specify a branding.
  * Update to cvs20070818 and patch clean-up
    - debian/rules: drop --disable-airbag, add --disable-crashreporter
    - debian/patches/config_rules_install_dist_files =>
      debian/patches/bz386904_config_rules_install_dist_files.patch
    - debian/patches/fix_nsinstall_on_double_slash.patch =>
      debian/patches/bz392722_fix_nsinstall_on_double_slash.patch
    - debian/patches/ftbfs_toolkit_xre_Makefile_in =>
      debian/patches/bz386866_ftbfs_toolkit_xre_Makefile_in.patch
    - update debian/patches/bz390451_master_password_lost.patch:
      Fix committed but work-around still in place upstream
    - remove unused debian/patches/fix_make_install
    - refresh diverging debian/patches/no-have-stdint-h-ftbfs.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Sat, 18 Aug 2007 14:27:09 +0000 

firefox-trunk (2.99+2cvs20070813-0ubuntu1) gutsy; urgency=low

  RELEASE: 2.99+2cvs20070813-0ubuntu1 to gutsy/PPA.

  [ Fabien Tassin ] New cvs snapshot: 2.99+2cvs20070813
  * Fix crash in java plugin in XSync(). See Mozilla Bug #386844.
    Closes LP Bug #132235
  * Minefield. Update debian/rules to remove forced unofficial branding
    that produced Granparadiso branding. Update debian/firefox-trunk.desktop
    to use the name Minefield.
  * Really disable system cairo. Commit #47 was broken.
    Update debian/rules.
  * Fix update-notifier
    - rename debian/firefox-restart-required.update-notifier into
      debian/firefox-trunk-restart-required.update-notifier
    - update debian/firefox-trunk-restart-required.update-notifier to
      use Firefox-Trunk as application name
    - update debian/firefox-trunk.install to reflect rename
    - update debian/firefox-trunk.{postinst,prerm} to install/remove
      that update-notifier file.
  * Re-enable master password previously hidden as preventive measure.
    Add debian/patches/bz390451_master_password_lost.patch and update
    debian/patches/series. Fixes Mozilla Bug #390451 (not committed
    in trunk yet).
  * Add debian/firefox-trunk.{postinst,prerm} scripts to add a
    x-www-browser alternative for /usr/bin/firefox-trunk.
    Priority set to 40, lower than firefox-granparadiso (50) and
    plain firefox (70).
  * update debian/rules to force --disable-system-cairo until we figure out
    what's causing the assert/crash on shutdown. See LP Bug #122735.
  * Fix cdbs install scripts
    - update debian/firefox-trunk.install and debian/firefox-trunk.links
    - Fix a typo in firefox-trunk.links (LP Bug #122737)
    - update debian/firefox-trunk-dev.install and add
      debian/firefox-trunk-dev.links 
  * drop debian/control.in and set DEB_AUTO_UPDATE_DEBIAN_CONTROL=0
    in debian/rules (below the includes as the value is overwritten
    otherwise)
  * update Build-Depends and fix Suggests in debian/control  
  * Redo debian/patches/trunk-fsh like for GranParadiso:
    - remove version from $installdir so that we do the right thing.
    It is useless anyway and it broke the profile migration when -dev
    was not installed. 
  * Add debian/patches/trunk-profilename:
    - change application name from Firefox to Firefox-Trunk
    - update startup script changing profile name
    from ~/.mozilla/firefox to ~/.mozilla/firefox-trunk.
    The startup script will try to initialize that new profile by
    using existing firefox profile, keeping the later untouched.
    - update URLs in upstream branding as changing application name
    produces invalid URLs.
    - update debian/patches/series  
  * debian/rules: --disable-airbag as we don't want it and configure
    fails because we need libcurl 
  * update debian/patches/fix_nsinstall_on_double_slash.patch to preserve
    the initial (upstream) multiple trailling slashes pruning used
    for mkdir()
  * new cvs snapshot: 2.99+2cvs20070805. Update debian/changelog 

 -- Alexander Sack <asac@ubuntu.com>  Mon, 13 Aug 2007 23:25:32 +0200 

firefox-trunk (2.99+2cvs20070805-0ubuntu1) gutsy; urgency=low

  * new cvs snapshot: 2.99+2cvs20070805

 -- Alexander Sack <asac@ubuntu.com>  Mon, 23 Jul 2007 09:43:55 +0000

firefox-trunk (2.99+2cvs20070703-0ubuntu0) feisty; urgency=low

  * debian/patches/trunk-fsh: applied manually to build-tree/mozilla
    /browser/app/makefile.in, due to failure to apply during build
  * debian/patches/ftbfs_toolkit_xre_Makefile_in: Made and applied to fix
    toolkit/xre/Makefile.in to fix failure to build to fix Mozilla bug 
    #386866
  * debian/patches/config_rules_install_dist_files: Made patch due to
    failure to find application.ini when launched to fix Mozilla bug
    #386904  (Thanks to Alexander Sack <asac@ubuntu.com>)
  * debian/patches: Removed old patches that are no longer needed
    - removed submakefiles-fix
    - removed test
  * debian/patches/series: updated as needed
  * debian/firefox-trunk.install: Added lines to generate application.ini
    and platform.ini
  * debian/rules: Removed --with-system-png=/usr \ due to failure to
    build during configure, stating system's libpng doesn't have APNG 
    support 
  * Reminder to see if we can patch libpng (asac)

 -- John Vivirito <gnomefreak@ubuntu.com>  Wed, 04 Jul 2007 20:37:00 -0400

firefox-trunk (2.99+2cvs20070628-0ubuntu0) feisty; urgency=low

  * merging copyright file fix from granparadiso branch
  * debian/copyright, debian/MPL, debian/docs: added previously missed
    copyright files.

 -- Alexander Sack <asac@ubuntu.com>  Fri, 15 Jun 2007 13:52:16 +0200

firefox-trunk (2.99+2cvs20070601-0ubuntu0) feisty; urgency=low

  * update upstream cvs
  * debian/rules: don't use system-nspr and system-nss anymore
  * debian/control*: drop build-depends accordingly
  * debian/firefox-trunk.links: don't create link 
    usr/lib/firefox/libnssckbi.so ... which was the wrong place
    anyway
  * debian/patches/series, debian/patches/nspr_macro_backport_for_gfx_thebes:
    drop nspr hack as we don't build against system nss/nspr for the time being

 -- Alexander Sack <asac@ubuntu.com>  Fri, 25 May 2007 10:10:00 +0200

firefox-trunk (2.99+2cvs20070417-0ubuntu0) feisty; urgency=low

  * update upstream cvs
  * debian/rules, debian/control[.in]: build against system-nspr and 
    system-nss for gutsy; drop explicity depends on libnspr and libnss
    as those are now properly detected

 -- Alexander Sack <asac@ubuntu.com>  Wed, 18 Apr 2007 13:00:00 +0200

firefox-trunk (2.99+1-3.0a.20070201-0ubuntu0) feisty; urgency=low

  * package firefox 3 preview
  * rewrite packaging, make use of cdbs with quilt patch
    system.
  + imported initial patches

 -- Alexander Sack <asac@ubuntu.com>  Thu, 22 Feb 2007 09:00:00 +0200

firefox (2.0.0.1+1-0ubuntu2) feisty; urgency=low

  * browser/app/Makefile.in: link firefox-bin with
    --no-as-needed again. (regression from
    2.0.0.1+1-0ubuntu1)
  * browser/components/feeds/src/FeedWriter.js: fix
    RSS preview/subscription for flat chrome
    (Closes lp#61182)
  * debian/rules: set BUILD_OFFICIAL and MOZILLA_OFFICIAL environment
    so build gets a proper BUILD_ID (Closes LP#).

 -- Alexander Sack <asac@ubuntu.com>  Mon, 19 Feb 2007 12:45:00 +0100

firefox (2.0.0.1+1-0ubuntu1) feisty; urgency=low

  * repackage with new upstream mozilla.org and split up patches
    into distinct feature patches available at 
    http://people.ubuntu.com/~asac/firefox-patches/
  * make use of original source tarball as distributed from
    ftp.mozilla.org
  * debian/rules: use --enable-official-branding to produce
    official firefox branding; remove icons in debian/ dir;
    add more garbage cleanup
  * debian/firefox.links: /usr/share/pixmaps/firefox.png and
    usr/share/pixmaps/mozilla-firefox.png now link to
    usr/share/firefox/icons/mozicon128.png
  * drop FeedWriter.js patch, no rational available.
  * xpcom/reflect/xptcall/src/md/unix/xptcinvoke_arm.cpp,
    xpcom/reflect/xptcall/src/md/unix/xptcstubs_arm.cpp,
    xpcom/reflect/xptcall/src/md/unix/Makefile.in,
    xpcom/reflect/xptcall/src/md/unix/xptcinvoke_mips.cpp,
    xpcom/reflect/xptcall/src/md/unix/xptcinvoke_asm_mips.s,
    xpcom/reflect/xptcall/src/md/unix/xptcstubs_linux_m68k.cpp,
    xpcom/reflect/xptcall/src/md/unix/xptcinvoke_asm_parisc_linux.s,
    xpcom/reflect/xptcall/src/md/unix/xptcstubs_asm_parisc_linux.s,
    xpcom/reflect/xptcall/src/md/unix/xptcstubs_asm_mips.s,
    configure.in, config/rules.mk, security/coreconf/Linux.mk:
    drop debian architecture patches for 
    not ubuntu platforms
  * debian/control: taking over maintainership
  * configure.in: update hidden visibility patch from bugzilla
  * configure.in: drop
  * Makefile.in: drop explicit export of nss as build system is not
    broken anymore
  * browser/app/Makefile.in: drop linker tweaks for now.
  * browser/app/profile/firefox.js: drop override for homepage
  * browser/locales/en-US/chrome/branding/brand.properties: drop further
    branding hacks not needed anymore
  * browser/components/search/nsSearchService.js: drop not needed
    official browser hacks
  * prefs-size.diff: removed garbage file from source 

 -- Alexander Sack <asac@ubuntu.com>  Wed, 15 Feb 2007 23:15:00 +0100

firefox (2.0.0.1+0dfsg-0ubuntu2) feisty; urgency=low

  * Build using hunspell instead of myspell.
    - debian/control: Build-depend on libhunspell-dev instead of libmyspell-dev.
    - config/autoconf.mk.in: Add MOZ_MYSPELL_CFLAGS.
    - extensions/spellcheck/myspell/src/Makefile.in: Use MOZ_MYSPELL_CFLAGS.
    - extensions/spellcheck/myspell/src/mozMySpell.h: Include hunspell.cxx
      instead of myspell.cxx.
